!******************************************************************************!
!                                                                              !
!    ctparameter56.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter56.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2019-10-14 10:32             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter56
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter56()
  if (dZuL_QED2_scheme .eq. 1) then
    dZuL_QED2 = (2d0*Ten36*coupl(nGC_2)**2d0 + 2d0*Ten37*coupl(nGC_39)**2d0 +  &
                2d0*Ten38*coupl(nGC_23)**2d0 + 2d0*Ten40*coupl(nGC_2)**2d0 +   &
                2d0*Ten41*coupl(nGC_39)**2d0 + 2d0*Ten42*coupl(nGC_23)**2d0 -  &
                4d0*Ten45*cMU_reg**2d0*coupl(nGC_2)**2d0 + 4d0*Ten49*cMU_reg** &
                2d0*coupl(nGC_2)**2d0 + pi**2d0*(-coupl(nGC_2)**2d0/pi**2d0 -  &
                coupl(nGC_23)**2d0/pi**2d0 - coupl(nGC_39)**2d0/pi**2d0))/(16d0&
                *pi**2d0)
    dZuL_QED2 = cone*real(dZuL_QED2,kind=dp)
  end if 
end subroutine set_ctparameter56
end module ctparameter56
