!******************************************************************************!
!                                                                              !
!    currents_info1.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   currents_info1.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2019-10-14 10:32             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module currents_info1
  implicit none
  contains
  subroutine fill_current_1(check)
    use class_particles
    use current_keys, only: createCurrent
    logical, intent(in) :: check
    call createCurrent(P_WMinus, P_H, P_Z, P_GPlus, 717, check)
    call createCurrent(P_ghWmAnti, P_ghA, P_WMinus, 865, check)
    call createCurrent(P_GMinus, P_G0, P_A, P_WPlus, 468, check)
    call createCurrent(P_WPlus, P_GPlus, P_GMinus, P_WMinus, 219, check)
    call createCurrent(P_GPlus, P_b, P_tAnti, 283, check)
    call createCurrent(P_WPlus, P_H, P_H, P_WMinus, 22, check)
    call createCurrent(P_G0, P_H, P_A, 1058, check)
    call createCurrent(P_GPlus, P_ghA, P_ghWpAnti, 195, check)
    call createCurrent(P_WPlus, P_A, P_GMinus, P_G0, 72, check)
    call createCurrent(P_t, P_tAnti, P_A, 698, check)
    call createCurrent(P_WPlus, P_G0, P_GMinus, 911, check)
    call createCurrent(P_GPlus, P_A, P_Z, P_GMinus, 782, check)
    call createCurrent(P_G0, P_WMinus, P_WPlus, P_G0, 598, check)
    call createCurrent(P_nu_mu, P_muPlus, P_GMinus, 154, check)
    call createCurrent(P_H, P_A, P_GMinus, P_WPlus, 891, check)
    call createCurrent(P_H, P_ghWpAnti, P_ghWp, 271, check)
    call createCurrent(P_WMinus, P_GPlus, P_A, P_H, 234, check)
    call createCurrent(P_Z, P_bAnti, P_b, 538, check)
    call createCurrent(P_H, P_tauPlus, P_tauMinus, 777, check)
    call createCurrent(P_G0, P_cAnti, P_c, 383, check)
    call createCurrent(P_WMinus, P_Z, P_GPlus, P_G0, 157, check)
    call createCurrent(P_G0, P_GPlus, P_Z, P_WMinus, 64, check)
    call createCurrent(P_G0, P_WPlus, P_GMinus, P_A, 9, check)
    call createCurrent(P_Z, P_GPlus, P_H, P_WMinus, 649, check)
    call createCurrent(P_nu_eAnti, P_nu_e, P_A, 1088, check)
    call createCurrent(P_H, P_H, P_A, P_Z, 1123, check)
    call createCurrent(P_WMinus, P_GPlus, P_H, P_A, 807, check)
    call createCurrent(P_GPlus, P_A, P_GMinus, P_A, 1006, check)
    call createCurrent(P_H, P_WMinus, P_WPlus, 240, check)
    call createCurrent(P_WMinus, P_Z, P_H, P_GPlus, 936, check)
    call createCurrent(P_A, P_WMinus, P_A, P_WPlus, 655, check)
    call createCurrent(P_muPlus, P_muMinus, 1125, check)
    call createCurrent(P_muMinus, P_muPlus, P_G0, 502, check)
    call createCurrent(P_bAnti, P_b, P_Z, 524, check)
    call createCurrent(P_G0, P_G0, P_G0, P_G0, 340, check)
    call createCurrent(P_G0, P_uAnti, P_u, 407, check)
    call createCurrent(P_H, P_GMinus, P_WPlus, P_A, 244, check)
    call createCurrent(P_nu_muAnti, P_muMinus, P_GPlus, 1038, check)
    call createCurrent(P_GPlus, P_Z, P_Z, P_GMinus, 802, check)
    call createCurrent(P_A, P_c, P_cAnti, 496, check)
    call createCurrent(P_s, P_sAnti, P_H, 631, check)
    call createCurrent(P_t, P_tAnti, P_G0, 788, check)
    call createCurrent(P_g, P_WPlus, P_WMinus, P_g, 1151, check)
    call createCurrent(P_GPlus, P_GMinus, P_g, P_g, 1155, check)
    call createCurrent(P_H, P_G0, P_G0, 47, check)
    call createCurrent(P_GMinus, P_WPlus, P_H, P_Z, 687, check)
    call createCurrent(P_WMinus, P_WPlus, P_Z, 752, check)
    call createCurrent(P_d, P_WPlus, P_uAnti, 658, check)
    call createCurrent(P_Z, P_nu_tau, P_nu_tauAnti, 837, check)
    call createCurrent(P_A, P_uAnti, P_u, 670, check)
    call createCurrent(P_A, P_GPlus, P_GMinus, P_A, 711, check)
    call createCurrent(P_g, P_cAnti, P_c, 254, check)
    call createCurrent(P_dAnti, P_u, P_GMinus, 163, check)
    call createCurrent(P_uAnti, P_d, P_WPlus, 970, check)
    call createCurrent(P_A, P_Z, P_g, P_g, 1191, check)
    call createCurrent(P_GMinus, P_nu_mu, P_muPlus, 817, check)
    call createCurrent(P_A, P_muMinus, P_muPlus, 917, check)
    call createCurrent(P_GMinus, P_WPlus, P_WMinus, P_GPlus, 10, check)
    call createCurrent(P_WPlus, P_Z, P_GMinus, P_H, 880, check)
    call createCurrent(P_Z, P_WMinus, P_WPlus, 323, check)
    call createCurrent(P_GMinus, P_Z, P_GPlus, P_Z, 905, check)
    call createCurrent(P_H, P_H, 1126, check)
    call createCurrent(P_Z, P_g, P_Z, P_g, 1180, check)
    call createCurrent(P_H, P_ghWp, P_ghWpAnti, 372, check)
    call createCurrent(P_uAnti, P_u, 1072, check)
    call createCurrent(P_A, P_ghWp, P_ghWpAnti, 485, check)
    call createCurrent(P_t, P_tAnti, P_H, 1004, check)
    call createCurrent(P_Z, P_GPlus, P_GMinus, P_A, 714, check)
    call createCurrent(P_b, P_A, P_bAnti, 403, check)
    call createCurrent(P_G0, P_b, P_bAnti, 519, check)
    call createCurrent(P_eMinus, P_nu_eAnti, P_WPlus, 324, check)
    call createCurrent(P_ghA, P_WPlus, P_ghWpAnti, 596, check)
    call createCurrent(P_A, P_GMinus, P_WPlus, P_H, 473, check)
    call createCurrent(P_WPlus, P_WMinus, P_g, P_g, 1170, check)
    call createCurrent(P_WMinus, P_WPlus, P_WMinus, P_WPlus, 934, check)
    call createCurrent(P_A, P_ePlus, P_eMinus, 521, check)
    call createCurrent(P_GPlus, P_G0, P_A, P_WMinus, 852, check)
    call createCurrent(P_G0, P_WMinus, P_G0, P_WPlus, 251, check)
    call createCurrent(P_s, P_g, P_sAnti, 35, check)
    call createCurrent(P_tauPlus, P_tauMinus, P_H, 861, check)
    call createCurrent(P_Z, P_H, P_GPlus, P_WMinus, 188, check)
    call createCurrent(P_nu_tau, P_tauPlus, P_GMinus, 1010, check)
    call createCurrent(P_Z, P_GPlus, P_WMinus, P_H, 854, check)
    call createCurrent(P_sAnti, P_s, 1118, check)
    call createCurrent(P_WMinus, P_nu_mu, P_muPlus, 36, check)
    call createCurrent(P_GMinus, P_Z, P_WPlus, P_H, 791, check)
    call createCurrent(P_GPlus, P_A, P_WMinus, 445, check)
    call createCurrent(P_WPlus, P_Z, P_G0, P_GMinus, 303, check)
    call createCurrent(P_c, P_sAnti, P_GMinus, 434, check)
    call createCurrent(P_H, P_WMinus, P_WPlus, P_H, 566, check)
    call createCurrent(P_Z, P_GMinus, P_WPlus, 804, check)
    call createCurrent(P_WMinus, P_G0, P_GPlus, 333, check)
    call createCurrent(P_H, P_ghZAnti, P_ghZ, 241, check)
    call createCurrent(P_G0, P_eMinus, P_ePlus, 467, check)
    call createCurrent(P_ghWpAnti, P_GPlus, P_ghA, 678, check)
    call createCurrent(P_GPlus, P_Z, P_GMinus, 850, check)
    call createCurrent(P_ghWmAnti, P_H, P_ghWm, 369, check)
    call createCurrent(P_muMinus, P_WPlus, P_nu_muAnti, 957, check)
    call createCurrent(P_WPlus, P_GMinus, P_A, 915, check)
    call createCurrent(P_nu_e, P_GMinus, P_ePlus, 238, check)
    call createCurrent(P_Z, P_nu_e, P_nu_eAnti, 750, check)
    call createCurrent(P_G0, P_GPlus, P_WMinus, P_A, 620, check)
    call createCurrent(P_WMinus, P_WPlus, P_Z, P_Z, 387, check)
    call createCurrent(P_nu_muAnti, P_nu_mu, 1128, check)
    call createCurrent(P_nu_eAnti, P_eMinus, P_GPlus, 482, check)
    call createCurrent(P_Z, P_H, P_A, P_H, 1053, check)
    call createCurrent(P_WMinus, P_ghWp, P_ghZAnti, 646, check)
    call createCurrent(P_A, P_WMinus, P_GPlus, P_G0, 878, check)
    call createCurrent(P_muMinus, P_muPlus, P_H, 129, check)
    call createCurrent(P_g, P_GMinus, P_GPlus, P_g, 1189, check)
    call createCurrent(P_u, P_dAnti, P_WMinus, 618, check)
    call createCurrent(P_tAnti, P_GPlus, P_b, 58, check)
    call createCurrent(P_g, P_H, P_g, P_H, 1198, check)
    call createCurrent(P_WMinus, P_dAnti, P_u, 304, check)
    call createCurrent(P_g, P_g, P_g, P_Z, 1209, check)
    call createCurrent(P_WPlus, P_WMinus, P_H, P_H, 894, check)
    call createCurrent(P_WPlus, P_GMinus, P_GPlus, P_WMinus, 133, check)
    call createCurrent(P_dAnti, P_d, 1064, check)
    call createCurrent(P_WMinus, P_ghWmAnti, P_ghA, 248, check)
    call createCurrent(P_GMinus, P_WPlus, P_Z, P_G0, 198, check)
    call createCurrent(P_Z, P_WPlus, P_A, P_WMinus, 15, check)
    call createCurrent(P_s, P_sAnti, P_Z, 318, check)
    call createCurrent(P_s, P_A, P_sAnti, 74, check)
    call createCurrent(P_g, P_H, P_g, 1156, check)
    call createCurrent(P_GMinus, P_GPlus, 1052, check)
    call createCurrent(P_WPlus, P_Z, P_A, P_WMinus, 426, check)
    call createCurrent(P_H, P_GPlus, P_GMinus, P_H, 601, check)
    call createCurrent(P_Z, P_ghWm, P_ghWmAnti, 798, check)
    call createCurrent(P_GMinus, P_g, P_GPlus, P_g, 1199, check)
    call createCurrent(P_Z, P_Z, P_g, P_g, 1205, check)
    call createCurrent(P_G0, P_WMinus, P_Z, P_GPlus, 87, check)
    call createCurrent(P_WMinus, P_GMinus, P_GPlus, P_WPlus, 1023, check)
    call createCurrent(P_nu_muAnti, P_nu_mu, P_A, 1097, check)
    call createCurrent(P_Z, P_H, P_WPlus, P_GMinus, 842, check)
    call createCurrent(P_muPlus, P_muMinus, P_G0, 425, check)
    call createCurrent(P_H, P_H, P_Z, P_Z, 118, check)
    call createCurrent(P_H, P_G0, P_A, 1078, check)
    call createCurrent(P_WPlus, P_A, P_H, P_GMinus, 328, check)
    call createCurrent(P_nu_mu, P_nu_muAnti, P_A, 1096, check)
    call createCurrent(P_ghA, P_WMinus, P_ghWmAnti, 778, check)
    call createCurrent(P_A, P_nu_tau, P_nu_tauAnti, 1139, check)
    call createCurrent(P_Z, P_WPlus, P_Z, P_WMinus, 223, check)
    call createCurrent(P_cAnti, P_g, P_c, 1007, check)
    call createCurrent(P_ghZ, P_ghWmAnti, P_GMinus, 577, check)
    call createCurrent(P_A, P_cAnti, P_c, 779, check)
    call createCurrent(P_WPlus, P_Z, P_WMinus, 314, check)
    call createCurrent(P_G0, P_H, P_Z, 446, check)
    call createCurrent(P_tauPlus, P_tauMinus, P_A, 650, check)
    call createCurrent(P_GMinus, P_Z, P_A, P_GPlus, 511, check)
    call createCurrent(P_WPlus, P_d, P_uAnti, 81, check)
    call createCurrent(P_Z, P_A, P_G0, P_G0, 1063, check)
    call createCurrent(P_GMinus, P_bAnti, P_t, 292, check)
    call createCurrent(P_G0, P_Z, P_G0, P_A, 1059, check)
    call createCurrent(P_A, P_ghWm, P_ghWmAnti, 413, check)
    call createCurrent(P_WPlus, P_H, P_A, P_GMinus, 486, check)
    call createCurrent(P_ePlus, P_Z, P_eMinus, 587, check)
    call createCurrent(P_G0, P_sAnti, P_s, 892, check)
    call createCurrent(P_bAnti, P_b, P_g, 792, check)
    call createCurrent(P_cAnti, P_Z, P_c, 165, check)
    call createCurrent(P_WPlus, P_H, P_GMinus, P_Z, 633, check)
    call createCurrent(P_Z, P_G0, P_G0, P_A, 1071, check)
    call createCurrent(P_g, P_tAnti, P_t, 1144, check)
    call createCurrent(P_GPlus, P_GMinus, 1105, check)
    call createCurrent(P_G0, P_g, P_g, P_G0, 1175, check)
    call createCurrent(P_eMinus, P_WPlus, P_nu_eAnti, 420, check)
    call createCurrent(P_t, P_H, P_tAnti, 877, check)
    call createCurrent(P_cAnti, P_A, P_c, 624, check)
    call createCurrent(P_g, P_g, P_H, 1184, check)
    call createCurrent(P_GPlus, P_GMinus, P_H, P_H, 594, check)
    call createCurrent(P_muPlus, P_muMinus, P_H, 720, check)
    call createCurrent(P_GPlus, P_GMinus, P_WPlus, P_WMinus, 740, check)
    call createCurrent(P_Z, P_ePlus, P_eMinus, 191, check)
    call createCurrent(P_WPlus, P_G0, P_GMinus, P_Z, 115, check)
    call createCurrent(P_tauPlus, P_G0, P_tauMinus, 955, check)
    call createCurrent(P_tauMinus, P_WPlus, P_nu_tauAnti, 904, check)
    call createCurrent(P_G0, P_GPlus, P_A, P_WMinus, 21, check)
    call createCurrent(P_d, P_uAnti, P_GPlus, 311, check)
    call createCurrent(P_muPlus, P_Z, P_muMinus, 612, check)
    call createCurrent(P_uAnti, P_u, P_H, 669, check)
    call createCurrent(P_A, P_GPlus, P_WMinus, P_G0, 771, check)
    call createCurrent(P_Z, P_WPlus, P_WMinus, P_Z, 789, check)
    call createCurrent(P_WMinus, P_ghZAnti, P_ghWp, 547, check)
    call createCurrent(P_nu_e, P_nu_eAnti, P_Z, 595, check)
    call createCurrent(P_H, P_H, P_Z, P_A, 1080, check)
    call createCurrent(P_G0, P_WMinus, P_GPlus, P_Z, 392, check)
    call createCurrent(P_GMinus, P_ghWmAnti, P_ghA, 961, check)
    call createCurrent(P_H, P_GPlus, P_WMinus, 11, check)
    call createCurrent(P_t, P_Z, P_tAnti, 856, check)
    call createCurrent(P_H, P_tauMinus, P_tauPlus, 96, check)
    call createCurrent(P_G0, P_dAnti, P_d, 652, check)
    call createCurrent(P_ghZAnti, P_GMinus, P_ghWp, 252, check)
    call createCurrent(P_H, P_g, P_H, P_g, 1217, check)
    call createCurrent(P_s, P_Z, P_sAnti, 3, check)
    call createCurrent(P_GMinus, P_A, P_GPlus, P_Z, 357, check)
    call createCurrent(P_t, P_GMinus, P_bAnti, 644, check)
    call createCurrent(P_ghA, P_ghWmAnti, P_GMinus, 1, check)
    call createCurrent(P_WPlus, P_WMinus, P_A, P_A, 25, check)
    call createCurrent(P_ghWmAnti, P_ghA, P_GMinus, 177, check)
    call createCurrent(P_nu_e, P_WMinus, P_ePlus, 629, check)
    call createCurrent(P_H, P_cAnti, P_c, 417, check)
    call createCurrent(P_ghG, P_ghGAnti, P_g, 542, check)
    call createCurrent(P_bAnti, P_b, P_G0, 385, check)
    call createCurrent(P_GMinus, P_A, P_H, P_WPlus, 578, check)
    call createCurrent(P_H, P_G0, P_H, P_G0, 265, check)
    call createCurrent(P_ghZ, P_WMinus, P_ghWmAnti, 985, check)
    call createCurrent(P_H, P_GMinus, P_WPlus, P_Z, 959, check)
    call createCurrent(P_G0, P_WPlus, P_Z, P_GMinus, 546, check)
    call createCurrent(P_WPlus, P_A, P_A, P_WMinus, 794, check)
    call createCurrent(P_nu_tau, P_A, P_nu_tauAnti, 1109, check)
    call createCurrent(P_H, P_H, P_GPlus, P_GMinus, 645, check)
    call createCurrent(P_ghWpAnti, P_GPlus, P_ghZ, 174, check)
    call createCurrent(P_GMinus, P_dAnti, P_u, 90, check)
    call createCurrent(P_WPlus, P_nu_muAnti, P_muMinus, 907, check)
    call createCurrent(P_G0, P_WPlus, P_A, P_GMinus, 498, check)
    call createCurrent(P_muMinus, P_muPlus, P_A, 873, check)
    call createCurrent(P_G0, P_u, P_uAnti, 461, check)
    call createCurrent(P_ghWp, P_WMinus, P_ghZAnti, 520, check)
    call createCurrent(P_GMinus, P_u, P_dAnti, 827, check)
    call createCurrent(P_ghWm, P_ghZAnti, P_GPlus, 6, check)
    call createCurrent(P_WMinus, P_c, P_sAnti, 947, check)
    call createCurrent(P_A, P_muPlus, P_muMinus, 866, check)
    call createCurrent(P_H, P_uAnti, P_u, 339, check)
    call createCurrent(P_WMinus, P_GPlus, P_Z, 259, check)
    call createCurrent(P_u, P_A, P_uAnti, 497, check)
    call createCurrent(P_ghZ, P_ghWmAnti, P_WMinus, 593, check)
    call createCurrent(P_H, P_Z, P_GMinus, P_WPlus, 815, check)
    call createCurrent(P_ghWm, P_ghWmAnti, P_G0, 702, check)
    call createCurrent(P_H, P_g, P_g, 1207, check)
    call createCurrent(P_uAnti, P_G0, P_u, 572, check)
    call createCurrent(P_A, P_u, P_uAnti, 574, check)
    call createCurrent(P_GMinus, P_WPlus, P_H, P_A, 691, check)
    call createCurrent(P_A, P_A, P_GPlus, P_GMinus, 92, check)
    call createCurrent(P_G0, P_c, P_cAnti, 527, check)
    call createCurrent(P_A, P_ghWmAnti, P_ghWm, 964, check)
    call createCurrent(P_WMinus, P_WPlus, P_g, P_g, 1204, check)
    call createCurrent(P_dAnti, P_d, P_Z, 411, check)
    call createCurrent(P_Z, P_GPlus, P_WMinus, P_G0, 492, check)
    call createCurrent(P_ghWpAnti, P_ghZ, P_WPlus, 160, check)
    call createCurrent(P_G0, P_A, P_WMinus, P_GPlus, 389, check)
    call createCurrent(P_b, P_bAnti, P_G0, 857, check)
    call createCurrent(P_GMinus, P_A, P_Z, P_GPlus, 734, check)
    call createCurrent(P_A, P_WPlus, P_WMinus, 62, check)
    call createCurrent(P_ghA, P_ghWpAnti, P_GPlus, 99, check)
    call createCurrent(P_GMinus, P_WPlus, P_G0, 591, check)
    call createCurrent(P_nu_mu, P_nu_muAnti, P_Z, 923, check)
    call createCurrent(P_A, P_g, P_Z, P_g, 1216, check)
    call createCurrent(P_g, P_H, P_H, P_g, 1193, check)
    call createCurrent(P_ghWmAnti, P_Z, P_ghWm, 995, check)
    call createCurrent(P_GPlus, P_A, P_WMinus, P_G0, 823, check)
    call createCurrent(P_G0, P_ghWm, P_ghWmAnti, 994, check)
    call createCurrent(P_G0, P_A, P_WPlus, P_GMinus, 818, check)
    call createCurrent(P_tauPlus, P_A, P_tauMinus, 85, check)
    call createCurrent(P_WPlus, P_Z, P_H, P_GMinus, 237, check)
    call createCurrent(P_nu_tau, P_nu_tauAnti, P_A, 1131, check)
    call createCurrent(P_GMinus, P_GPlus, P_H, 954, check)
    call createCurrent(P_H, P_sAnti, P_s, 37, check)
    call createCurrent(P_GPlus, P_A, P_G0, P_WMinus, 829, check)
    call createCurrent(P_GMinus, P_Z, P_GPlus, P_A, 561, check)
    call createCurrent(P_cAnti, P_c, P_g, 696, check)
    call createCurrent(P_Z, P_G0, P_GPlus, P_WMinus, 98, check)
    call createCurrent(P_WPlus, P_GMinus, P_Z, P_G0, 2, check)
    call createCurrent(P_WMinus, P_GPlus, P_A, 925, check)
    call createCurrent(P_ePlus, P_eMinus, P_A, 839, check)
    call createCurrent(P_A, P_A, P_H, 1203, check)
    call createCurrent(P_WPlus, P_Z, P_Z, P_WMinus, 902, check)
    call createCurrent(P_A, P_GPlus, P_GMinus, P_Z, 370, check)
    call createCurrent(P_GMinus, P_GPlus, P_WPlus, P_WMinus, 1016, check)
    call createCurrent(P_GMinus, P_G0, P_WPlus, P_Z, 277, check)
    call createCurrent(P_muMinus, P_nu_muAnti, P_WPlus, 663, check)
    call createCurrent(P_ghZ, P_GMinus, P_ghWmAnti, 913, check)
    call createCurrent(P_WPlus, P_A, P_WMinus, P_A, 508, check)
    call createCurrent(P_A, P_GPlus, P_WMinus, 249, check)
    call createCurrent(P_GMinus, P_WMinus, P_GPlus, P_WPlus, 962, check)
    call createCurrent(P_Z, P_GMinus, P_G0, P_WPlus, 235, check)
    call createCurrent(P_GMinus, P_GMinus, P_GPlus, P_GPlus, 780, check)
    call createCurrent(P_WMinus, P_Z, P_WPlus, P_A, 273, check)
    call createCurrent(P_Z, P_WMinus, P_GPlus, P_G0, 26, check)
    call createCurrent(P_G0, P_muMinus, P_muPlus, 222, check)
    call createCurrent(P_GPlus, P_A, P_GMinus, 266, check)
    call createCurrent(P_WMinus, P_nu_e, P_ePlus, 619, check)
    call createCurrent(P_sAnti, P_s, P_H, 830, check)
    call createCurrent(P_H, P_WMinus, P_H, P_WPlus, 436, check)
    call createCurrent(P_A, P_H, P_GMinus, P_WPlus, 899, check)
    call createCurrent(P_Z, P_WPlus, P_G0, P_GMinus, 797, check)
    call createCurrent(P_nu_mu, P_muPlus, P_WMinus, 531, check)
    call createCurrent(P_A, P_G0, P_WPlus, P_GMinus, 660, check)
    call createCurrent(P_ghGAnti, P_g, P_ghG, 381, check)
    call createCurrent(P_eMinus, P_A, P_ePlus, 515, check)
    call createCurrent(P_WMinus, P_WPlus, P_A, P_Z, 275, check)
    call createCurrent(P_s, P_cAnti, P_WPlus, 346, check)
    call createCurrent(P_Z, P_uAnti, P_u, 268, check)
    call createCurrent(P_GPlus, P_GMinus, P_A, P_Z, 900, check)
    call createCurrent(P_WPlus, P_GMinus, P_H, P_A, 615, check)
    call createCurrent(P_A, P_GMinus, P_WPlus, P_G0, 460, check)
    call createCurrent(P_GPlus, P_H, P_WMinus, P_Z, 625, check)
    call createCurrent(P_G0, P_A, P_H, 1070, check)
    call createCurrent(P_nu_tauAnti, P_Z, P_nu_tau, 306, check)
    call createCurrent(P_nu_muAnti, P_GPlus, P_muMinus, 463, check)
    call createCurrent(P_WPlus, P_A, P_GMinus, P_H, 375, check)
    call createCurrent(P_A, P_WMinus, P_WPlus, 825, check)
    call createCurrent(P_H, P_WMinus, P_GPlus, 169, check)
    call createCurrent(P_GPlus, P_H, P_GMinus, P_H, 207, check)
    call createCurrent(P_WMinus, P_GPlus, P_H, 931, check)
    call createCurrent(P_GPlus, P_GMinus, P_Z, 384, check)
    call createCurrent(P_GPlus, P_G0, P_G0, P_GMinus, 609, check)
    call createCurrent(P_WMinus, P_GPlus, P_Z, P_G0, 187, check)
    call createCurrent(P_dAnti, P_g, P_d, 404, check)
    call createCurrent(P_s, P_sAnti, P_G0, 458, check)
    call createCurrent(P_nu_eAnti, P_nu_e, 1089, check)
    call createCurrent(P_GMinus, P_A, P_GPlus, P_A, 361, check)
    call createCurrent(P_nu_muAnti, P_muMinus, P_WPlus, 479, check)
    call createCurrent(P_WPlus, P_b, P_tAnti, 310, check)
    call createCurrent(P_A, P_GMinus, P_GPlus, P_A, 355, check)
    call createCurrent(P_nu_e, P_A, P_nu_eAnti, 1056, check)
    call createCurrent(P_WMinus, P_G0, P_G0, P_WPlus, 532, check)
    call createCurrent(P_c, P_cAnti, P_A, 12, check)
    call createCurrent(P_ghA, P_GPlus, P_ghWpAnti, 380, check)
    call createCurrent(P_GMinus, P_ghZAnti, P_ghWp, 893, check)
    call createCurrent(P_Z, P_Z, P_GPlus, P_GMinus, 344, check)
    call createCurrent(P_GPlus, P_WMinus, P_A, P_H, 503, check)
    call createCurrent(P_H, P_GPlus, P_Z, P_WMinus, 841, check)
    call createCurrent(P_sAnti, P_s, P_A, 270, check)
    call createCurrent(P_WPlus, P_ghWm, P_ghZAnti, 884, check)
    call createCurrent(P_s, P_sAnti, 1083, check)
    call createCurrent(P_H, P_Z, P_H, P_Z, 80, check)
    call createCurrent(P_G0, P_Z, 1045, check)
    call createCurrent(P_A, P_A, P_WPlus, P_WMinus, 800, check)
    call createCurrent(P_Z, P_GMinus, P_GPlus, P_A, 684, check)
    call createCurrent(P_WPlus, P_GMinus, P_H, P_Z, 610, check)
    call createCurrent(P_WPlus, P_g, P_WMinus, P_g, 1210, check)
    call createCurrent(P_eMinus, P_ePlus, P_Z, 274, check)
    call createCurrent(P_WMinus, P_Z, P_A, P_WPlus, 424, check)
    call createCurrent(P_dAnti, P_GMinus, P_u, 1013, check)
    call createCurrent(P_ghWp, P_G0, P_ghWpAnti, 514, check)
    call createCurrent(P_GMinus, P_Z, P_GPlus, 583, check)
    call createCurrent(P_G0, P_Z, P_GPlus, P_WMinus, 286, check)
    call createCurrent(P_b, P_bAnti, P_Z, 874, check)
    call createCurrent(P_g, P_sAnti, P_s, 1031, check)
    call createCurrent(P_tAnti, P_t, P_A, 398, check)
    call createCurrent(P_G0, P_G0, P_WPlus, P_WMinus, 55, check)
    call createCurrent(P_A, P_Z, P_H, P_H, 1099, check)
    call createCurrent(P_muMinus, P_A, P_muPlus, 733, check)
    call createCurrent(P_GMinus, P_ePlus, P_nu_e, 924, check)
    call createCurrent(P_u, P_uAnti, P_H, 116, check)
    call createCurrent(P_G0, P_A, P_GPlus, P_WMinus, 528, check)
    call createCurrent(P_Z, P_g, P_g, P_Z, 1185, check)
    call createCurrent(P_ghZAnti, P_ghWm, P_GPlus, 351, check)
    call createCurrent(P_nu_mu, P_A, P_nu_muAnti, 1129, check)
    call createCurrent(P_A, P_WPlus, P_WMinus, P_A, 296, check)
    call createCurrent(P_WMinus, P_GPlus, P_Z, P_H, 551, check)
    call createCurrent(P_GPlus, P_H, P_WMinus, 844, check)
    call createCurrent(P_GPlus, P_A, P_WMinus, P_H, 987, check)
    call createCurrent(P_A, P_g, P_g, P_A, 1195, check)
    call createCurrent(P_ghZ, P_ghWpAnti, P_WPlus, 763, check)
    call createCurrent(P_c, P_sAnti, P_WMinus, 122, check)
    call createCurrent(P_GPlus, P_WMinus, P_WPlus, P_GMinus, 654, check)
    call createCurrent(P_Z, P_GMinus, P_GPlus, 145, check)
    call createCurrent(P_G0, P_bAnti, P_b, 783, check)
    call createCurrent(P_A, P_d, P_dAnti, 1042, check)
    call createCurrent(P_WPlus, P_ghAAnti, P_ghWm, 284, check)
    call createCurrent(P_ePlus, P_nu_e, P_WMinus, 345, check)
    call createCurrent(P_g, P_A, P_g, P_A, 1174, check)
    call createCurrent(P_ghWpAnti, P_G0, P_ghWp, 938, check)
    call createCurrent(P_GPlus, P_tauMinus, P_nu_tauAnti, 28, check)
    call createCurrent(P_Z, P_WPlus, P_WMinus, P_A, 452, check)
    call createCurrent(P_GPlus, P_ghZAnti, P_ghWm, 716, check)
    call createCurrent(P_H, P_H, P_H, 396, check)
    call createCurrent(P_b, P_bAnti, P_H, 84, check)
    call createCurrent(P_WPlus, P_ghZ, P_ghWpAnti, 433, check)
    call createCurrent(P_GMinus, P_G0, P_G0, P_GPlus, 194, check)
    call createCurrent(P_ePlus, P_WMinus, P_nu_e, 0, check)
    call createCurrent(P_ghZAnti, P_GPlus, P_ghWm, 739, check)
    call createCurrent(P_WMinus, P_WPlus, P_H, P_H, 781, check)
    call createCurrent(P_Z, P_H, P_Z, 533, check)
    call createCurrent(P_dAnti, P_A, P_d, 431, check)
    call createCurrent(P_H, P_WPlus, P_GMinus, P_A, 347, check)
    call createCurrent(P_Z, P_nu_muAnti, P_nu_mu, 927, check)
    call createCurrent(P_ghWp, P_ghWpAnti, P_G0, 929, check)
    call createCurrent(P_GMinus, P_tauPlus, P_nu_tau, 1036, check)
    call createCurrent(P_A, P_g, P_A, P_g, 1192, check)
    call createCurrent(P_WPlus, P_WMinus, P_A, P_Z, 715, check)
    call createCurrent(P_WMinus, P_H, P_GPlus, P_Z, 483, check)
    call createCurrent(P_Z, P_G0, P_WMinus, P_GPlus, 573, check)
    call createCurrent(P_A, P_sAnti, P_s, 226, check)
    call createCurrent(P_A, P_WMinus, P_WPlus, P_A, 607, check)
    call createCurrent(P_g, P_WMinus, P_g, P_WPlus, 1177, check)
    call createCurrent(P_H, P_GPlus, P_WMinus, P_A, 1019, check)
    call createCurrent(P_GPlus, P_GMinus, P_GMinus, P_GPlus, 33, check)
    call createCurrent(P_H, P_H, P_G0, P_G0, 367, check)
    call createCurrent(P_sAnti, P_A, P_s, 352, check)
    call createCurrent(P_GMinus, P_GPlus, P_WMinus, P_WPlus, 166, check)
    call createCurrent(P_Z, P_A, P_g, P_g, 1172, check)
    call createCurrent(P_H, P_WPlus, P_GMinus, P_Z, 16, check)
    call createCurrent(P_ghWmAnti, P_GMinus, P_ghA, 585, check)
    call createCurrent(P_GPlus, P_WPlus, P_WMinus, P_GMinus, 415, check)
    call createCurrent(P_ghWm, P_H, P_ghWmAnti, 1026, check)
    call createCurrent(P_G0, P_GPlus, P_GMinus, P_G0, 523, check)
    call createCurrent(P_WMinus, P_GPlus, P_WPlus, P_GMinus, 405, check)
    call createCurrent(P_g, P_A, P_Z, P_g, 1146, check)
    call createCurrent(P_G0, P_g, P_G0, P_g, 1176, check)
    call createCurrent(P_Z, P_b, P_bAnti, 1025, check)
    call createCurrent(P_d, P_dAnti, P_Z, 178, check)
    call createCurrent(P_ePlus, P_eMinus, P_Z, 976, check)
    call createCurrent(P_A, P_G0, P_GMinus, P_WPlus, 912, check)
    call createCurrent(P_dAnti, P_H, P_d, 984, check)
    call createCurrent(P_nu_mu, P_nu_muAnti, 1098, check)
    call createCurrent(P_ghWmAnti, P_ghWm, P_G0, 147, check)
    call createCurrent(P_WMinus, P_A, P_A, P_WPlus, 279, check)
    call createCurrent(P_WPlus, P_WMinus, P_Z, P_A, 991, check)
    call createCurrent(P_G0, P_G0, P_WMinus, P_WPlus, 576, check)
    call createCurrent(P_A, P_G0, P_Z, P_G0, 1092, check)
    call createCurrent(P_GMinus, P_WPlus, P_Z, P_H, 568, check)
    call createCurrent(P_nu_muAnti, P_WPlus, P_muMinus, 441, check)
    call createCurrent(P_A, P_g, P_g, P_g, 1183, check)
    call createCurrent(P_Z, P_WPlus, P_H, P_GMinus, 980, check)
    call createCurrent(P_GMinus, P_WPlus, P_A, 1027, check)
    call createCurrent(P_g, P_A, P_g, P_Z, 1208, check)
    call createCurrent(P_WPlus, P_tAnti, P_b, 944, check)
    call createCurrent(P_nu_tauAnti, P_nu_tau, 1104, check)
    call createCurrent(P_Z, P_dAnti, P_d, 1039, check)
    call createCurrent(P_g, P_g, P_G0, P_G0, 1147, check)
    call createCurrent(P_A, P_GPlus, P_WMinus, P_H, 432, check)
    call createCurrent(P_tAnti, P_H, P_t, 879, check)
    call createCurrent(P_WPlus, P_ghWm, P_ghAAnti, 360, check)
    call createCurrent(P_g, P_g, P_g, P_A, 1152, check)
    call createCurrent(P_A, P_nu_muAnti, P_nu_mu, 1103, check)
    call createCurrent(P_nu_eAnti, P_WPlus, P_eMinus, 876, check)
    call createCurrent(P_cAnti, P_s, P_GPlus, 630, check)
    call createCurrent(P_Z, P_Z, P_WPlus, P_WMinus, 588, check)
    call createCurrent(P_G0, P_A, P_GMinus, P_WPlus, 155, check)
    call createCurrent(P_Z, P_WMinus, P_Z, P_WPlus, 963, check)
    call createCurrent(P_c, P_g, P_cAnti, 402, check)
    call createCurrent(P_G0, P_WMinus, P_GPlus, P_A, 386, check)
    call createCurrent(P_ghWp, P_H, P_ghWpAnti, 642, check)
    call createCurrent(P_WPlus, P_G0, P_Z, P_GMinus, 363, check)
    call createCurrent(P_Z, P_GMinus, P_A, P_GPlus, 285, check)
    call createCurrent(P_c, P_cAnti, P_Z, 749, check)
    call createCurrent(P_tauPlus, P_tauMinus, 1061, check)
    call createCurrent(P_WMinus, P_A, P_GPlus, P_G0, 164, check)
    call createCurrent(P_A, P_GMinus, P_GPlus, 885, check)
    call createCurrent(P_uAnti, P_u, P_g, 692, check)
    call createCurrent(P_Z, P_GPlus, P_A, P_GMinus, 451, check)
    call createCurrent(P_g, P_g, P_H, P_H, 1215, check)
    call createCurrent(P_Z, P_ghWpAnti, P_ghWp, 724, check)
    call createCurrent(P_WMinus, P_G0, P_GPlus, P_Z, 258, check)
    call createCurrent(P_ePlus, P_eMinus, P_G0, 953, check)
    call createCurrent(P_ghWp, P_A, P_ghWpAnti, 870, check)
    call createCurrent(P_nu_tauAnti, P_nu_tau, P_Z, 208, check)
    call createCurrent(P_WMinus, P_G0, P_WPlus, P_G0, 319, check)
    call createCurrent(P_A, P_dAnti, P_d, 294, check)
    call createCurrent(P_tAnti, P_t, 1130, check)
    call createCurrent(P_GMinus, P_H, P_A, P_WPlus, 315, check)
    call createCurrent(P_WPlus, P_WMinus, P_H, 824, check)
    call createCurrent(P_WPlus, P_Z, P_WMinus, P_Z, 46, check)
    call createCurrent(P_sAnti, P_H, P_s, 673, check)
    call createCurrent(P_sAnti, P_G0, P_s, 447, check)
    call createCurrent(P_GPlus, P_GMinus, P_Z, P_A, 651, check)
    call createCurrent(P_ghGAnti, P_ghG, P_g, 34, check)
    call createCurrent(P_bAnti, P_H, P_b, 493, check)
    call createCurrent(P_H, P_A, P_Z, P_H, 1135, check)
    call createCurrent(P_dAnti, P_Z, P_d, 230, check)
    call createCurrent(P_G0, P_Z, P_WMinus, P_GPlus, 983, check)
    call createCurrent(P_GPlus, P_G0, P_WMinus, P_A, 168, check)
    call createCurrent(P_ghWm, P_ghWmAnti, P_A, 582, check)
    call createCurrent(P_GMinus, P_G0, P_WPlus, P_A, 989, check)
    call createCurrent(P_Z, P_u, P_uAnti, 509, check)
    call createCurrent(P_H, P_g, P_g, P_H, 1178, check)
    call createCurrent(P_muMinus, P_Z, P_muPlus, 534, check)
    call createCurrent(P_G0, P_G0, P_Z, P_Z, 443, check)
    call createCurrent(P_Z, P_Z, P_G0, P_G0, 540, check)
    call createCurrent(P_Z, P_G0, P_WPlus, P_GMinus, 828, check)
    call createCurrent(P_Z, P_WPlus, P_WMinus, 221, check)
    call createCurrent(P_Z, P_nu_mu, P_nu_muAnti, 455, check)
    call createCurrent(P_b, P_bAnti, P_A, 937, check)
    call createCurrent(P_nu_tau, P_WMinus, P_tauPlus, 810, check)
    call createCurrent(P_A, P_GMinus, P_WPlus, 51, check)
    call createCurrent(P_A, P_G0, 1055, check)
    call createCurrent(P_H, P_H, P_WMinus, P_WPlus, 932, check)
    call createCurrent(P_GPlus, P_H, P_WMinus, P_A, 626, check)
    call createCurrent(P_A, P_WPlus, P_GMinus, P_G0, 725, check)
    call createCurrent(P_Z, P_GPlus, P_GMinus, P_Z, 143, check)
    call createCurrent(P_sAnti, P_WMinus, P_c, 597, check)
    call createCurrent(P_g, P_d, P_dAnti, 770, check)
    call createCurrent(P_uAnti, P_u, P_G0, 365, check)
    call createCurrent(P_GPlus, P_tAnti, P_b, 808, check)
    call createCurrent(P_GPlus, P_Z, P_GMinus, P_A, 356, check)
    call createCurrent(P_H, P_A, P_H, P_Z, 1094, check)
    call createCurrent(P_WMinus, P_GPlus, P_GMinus, P_WPlus, 341, check)
    call createCurrent(P_ghZAnti, P_ghZ, P_H, 504, check)
    call createCurrent(P_ghWp, P_GMinus, P_ghZAnti, 378, check)
    call createCurrent(P_ghWpAnti, P_ghWp, P_Z, 701, check)
    call createCurrent(P_g, P_g, P_g, P_g, 82, check)
    call createCurrent(P_GPlus, P_GMinus, P_Z, P_Z, 20, check)
    call createCurrent(P_tAnti, P_b, P_WPlus, 611, check)
    call createCurrent(P_WMinus, P_G0, P_Z, P_GPlus, 395, check)
    call createCurrent(P_Z, P_g, P_g, P_A, 1141, check)
    call createCurrent(P_g, P_WPlus, P_g, P_WMinus, 1218, check)
    call createCurrent(P_H, P_A, P_WMinus, P_GPlus, 805, check)
    call createCurrent(P_A, P_H, P_G0, 1111, check)
    call createCurrent(P_nu_eAnti, P_eMinus, P_WPlus, 969, check)
    call createCurrent(P_H, P_GPlus, P_A, P_WMinus, 557, check)
    call createCurrent(P_Z, P_GPlus, P_G0, P_WMinus, 379, check)
    call createCurrent(P_H, P_Z, P_WPlus, P_GMinus, 293, check)
    call createCurrent(P_uAnti, P_A, P_u, 95, check)
    call createCurrent(P_Z, P_g, P_A, P_g, 1143, check)
    call createCurrent(P_g, P_WMinus, P_WPlus, P_g, 1159, check)
    call createCurrent(P_WPlus, P_GMinus, P_WMinus, P_GPlus, 831, check)
    call createCurrent(P_uAnti, P_WPlus, P_d, 1020, check)
    call createCurrent(P_Z, P_A, P_GMinus, P_GPlus, 776, check)
    call createCurrent(P_A, P_GPlus, P_Z, P_GMinus, 760, check)
    call createCurrent(P_g, P_Z, P_Z, P_g, 1186, check)
    call createCurrent(P_Z, P_H, P_H, P_Z, 49, check)
    call createCurrent(P_G0, P_H, P_G0, 77, check)
    call createCurrent(P_G0, P_A, P_Z, P_G0, 1095, check)
    call createCurrent(P_ghZAnti, P_WMinus, P_ghWp, 53, check)
    call createCurrent(P_H, P_Z, P_H, P_A, 1079, check)
    call createCurrent(P_uAnti, P_H, P_u, 764, check)
    call createCurrent(P_H, P_H, P_GMinus, P_GPlus, 541, check)
    call createCurrent(P_t, P_WMinus, P_bAnti, 1022, check)
    call createCurrent(P_GPlus, P_WMinus, P_A, P_G0, 1029, check)
    call createCurrent(P_GPlus, P_nu_muAnti, P_muMinus, 997, check)
    call createCurrent(P_A, P_H, P_WMinus, P_GPlus, 1008, check)
    call createCurrent(P_g, P_g, P_A, P_g, 1162, check)
    call createCurrent(P_G0, P_Z, P_WPlus, P_GMinus, 181, check)
    call createCurrent(P_sAnti, P_c, P_GMinus, 755, check)
    call createCurrent(P_H, P_d, P_dAnti, 342, check)
    call createCurrent(P_A, P_GMinus, P_GPlus, P_Z, 27, check)
    call createCurrent(P_s, P_H, P_sAnti, 329, check)
    call createCurrent(P_cAnti, P_c, 1066, check)
    call createCurrent(P_WMinus, P_t, P_bAnti, 103, check)
    call createCurrent(P_g, P_g, P_A, P_Z, 1179, check)
    call createCurrent(P_Z, P_GMinus, P_H, P_WPlus, 869, check)
    call createCurrent(P_muPlus, P_H, P_muMinus, 429, check)
    call createCurrent(P_WMinus, P_ghWp, P_ghAAnti, 138, check)
    call createCurrent(P_WMinus, P_Z, P_GPlus, 140, check)
    call createCurrent(P_A, P_nu_eAnti, P_nu_e, 1136, check)
    call createCurrent(P_H, P_muMinus, P_muPlus, 914, check)
    call createCurrent(P_Z, P_WPlus, P_GMinus, P_G0, 560, check)
    call createCurrent(P_WMinus, P_Z, P_Z, P_WPlus, 719, check)
    call createCurrent(P_WPlus, P_GMinus, P_Z, P_H, 348, check)
    call createCurrent(P_GPlus, P_WMinus, P_Z, P_G0, 713, check)
    call createCurrent(P_H, P_GMinus, P_H, P_GPlus, 933, check)
    call createCurrent(P_WMinus, P_H, P_WPlus, 256, check)
    call createCurrent(P_A, P_GPlus, P_GMinus, 134, check)
    call createCurrent(P_muPlus, P_G0, P_muMinus, 1024, check)
    call createCurrent(P_WPlus, P_WMinus, P_Z, 125, check)
    call createCurrent(P_Z, P_G0, P_Z, P_G0, 401, check)
    call createCurrent(P_WPlus, P_Z, P_GMinus, 748, check)
    call createCurrent(P_s, P_cAnti, P_GPlus, 756, check)
    call createCurrent(P_ePlus, P_nu_e, P_GMinus, 564, check)
    call createCurrent(P_g, P_g, 1081, check)
    call createCurrent(P_bAnti, P_A, P_b, 131, check)
    call createCurrent(P_s, P_GPlus, P_cAnti, 440, check)
    call createCurrent(P_WMinus, P_H, P_WPlus, P_H, 977, check)
    call createCurrent(P_WPlus, P_GMinus, P_G0, 700, check)
    call createCurrent(P_WPlus, P_muMinus, P_nu_muAnti, 182, check)
    call createCurrent(P_ghWp, P_ghWpAnti, P_Z, 412, check)
    call createCurrent(P_GPlus, P_WMinus, P_H, 745, check)
    call createCurrent(P_cAnti, P_c, P_G0, 104, check)
    call createCurrent(P_dAnti, P_d, P_g, 809, check)
    call createCurrent(P_Z, P_Z, P_H, 556, check)
    call createCurrent(P_WMinus, P_GMinus, P_WPlus, P_GPlus, 206, check)
    call createCurrent(P_WMinus, P_Z, P_GPlus, P_H, 517, check)
    call createCurrent(P_H, P_WMinus, P_GPlus, P_A, 981, check)
    call createCurrent(P_A, P_A, P_g, P_g, 1160, check)
    call createCurrent(P_bAnti, P_g, P_b, 281, check)
    call createCurrent(P_b, P_Z, P_bAnti, 1001, check)
    call createCurrent(P_WPlus, P_A, P_GMinus, 196, check)
    call createCurrent(P_cAnti, P_WPlus, P_s, 898, check)
    call createCurrent(P_WMinus, P_H, P_GPlus, P_A, 871, check)
    call createCurrent(P_ghAAnti, P_WMinus, P_ghWp, 332, check)
    call createCurrent(P_WPlus, P_uAnti, P_d, 1028, check)
    call createCurrent(P_GMinus, P_GPlus, P_A, 881, check)
    call createCurrent(P_u, P_uAnti, 1133, check)
    call createCurrent(P_GPlus, P_GPlus, P_GMinus, P_GMinus, 838, check)
    call createCurrent(P_WMinus, P_g, P_g, P_WPlus, 1196, check)
    call createCurrent(P_GMinus, P_GPlus, P_A, P_A, 308, check)
    call createCurrent(P_GPlus, P_s, P_cAnti, 374, check)
    call createCurrent(P_d, P_uAnti, P_WPlus, 24, check)
    call createCurrent(P_muMinus, P_H, P_muPlus, 316, check)
    call createCurrent(P_GMinus, P_GPlus, P_GMinus, P_GPlus, 419, check)
    call createCurrent(P_A, P_H, P_GPlus, P_WMinus, 152, check)
    call createCurrent(P_uAnti, P_GPlus, P_d, 204, check)
    call createCurrent(P_Z, P_c, P_cAnti, 868, check)
    call createCurrent(P_tauPlus, P_WMinus, P_nu_tau, 289, check)
    call createCurrent(P_Z, P_Z, 1044, check)
    call createCurrent(P_b, P_tAnti, P_WPlus, 106, check)
    call createCurrent(P_g, P_g, P_WPlus, P_WMinus, 1187, check)
    call createCurrent(P_H, P_ghZ, P_ghZAnti, 156, check)
    call createCurrent(P_sAnti, P_s, P_Z, 1035, check)
    call createCurrent(P_uAnti, P_Z, P_u, 795, check)
    call createCurrent(P_H, P_GPlus, P_GMinus, 832, check)
    call createCurrent(P_WMinus, P_GPlus, P_H, P_Z, 803, check)
    call createCurrent(P_WMinus, P_A, P_WPlus, 200, check)
    call createCurrent(P_GPlus, P_Z, P_A, P_GMinus, 889, check)
    call createCurrent(P_ghWpAnti, P_ghA, P_WPlus, 193, check)
    call createCurrent(P_g, P_uAnti, P_u, 408, check)
    call createCurrent(P_ghWm, P_WPlus, P_ghZAnti, 948, check)
    call createCurrent(P_WMinus, P_A, P_WPlus, P_A, 882, check)
    call createCurrent(P_WMinus, P_g, P_WPlus, P_g, 1211, check)
    call createCurrent(P_A, P_GPlus, P_H, P_WMinus, 480, check)
    call createCurrent(P_G0, P_s, P_sAnti, 920, check)
    call createCurrent(P_Z, P_H, P_Z, P_H, 89, check)
    call createCurrent(P_d, P_dAnti, 1065, check)
    call createCurrent(P_WPlus, P_ghWpAnti, P_ghZ, 757, check)
    call createCurrent(P_g, P_Z, P_g, P_Z, 1153, check)
    call createCurrent(P_g, P_g, P_Z, P_g, 1182, check)
    call createCurrent(P_GMinus, P_A, P_GPlus, 943, check)
    call createCurrent(P_Z, P_sAnti, P_s, 589, check)
    call createCurrent(P_nu_e, P_ePlus, P_WMinus, 393, check)
    call createCurrent(P_H, P_ghWmAnti, P_ghWm, 179, check)
    call createCurrent(P_nu_mu, P_GMinus, P_muPlus, 833, check)
    call createCurrent(P_H, P_eMinus, P_ePlus, 732, check)
    call createCurrent(P_G0, P_G0, P_H, P_H, 736, check)
    call createCurrent(P_WMinus, P_H, P_H, P_WPlus, 689, check)
    call createCurrent(P_WMinus, P_A, P_GPlus, P_H, 325, check)
    call createCurrent(P_ghWp, P_ghAAnti, P_WMinus, 478, check)
    call createCurrent(P_H, P_G0, P_Z, 45, check)
    call createCurrent(P_G0, P_Z, P_GMinus, P_WPlus, 184, check)
    call createCurrent(P_G0, P_WMinus, P_A, P_GPlus, 744, check)
    call createCurrent(P_GMinus, P_GPlus, P_Z, P_Z, 668, check)
    call createCurrent(P_ghZAnti, P_ghWm, P_WPlus, 753, check)
    call createCurrent(P_dAnti, P_d, P_H, 972, check)
    call createCurrent(P_WPlus, P_nu_eAnti, P_eMinus, 54, check)
    call createCurrent(P_ghWm, P_GPlus, P_ghZAnti, 1032, check)
    call createCurrent(P_WMinus, P_GPlus, 1046, check)
    call createCurrent(P_G0, P_GMinus, P_A, P_WPlus, 968, check)
    call createCurrent(P_ghWm, P_ghAAnti, P_WPlus, 820, check)
    call createCurrent(P_Z, P_G0, P_G0, P_Z, 13, check)
    call createCurrent(P_GPlus, P_A, P_GMinus, P_Z, 666, check)
    call createCurrent(P_WMinus, P_WPlus, P_G0, P_G0, 161, check)
    call createCurrent(P_WMinus, P_WPlus, 1117, check)
    call createCurrent(P_GMinus, P_ghWmAnti, P_ghZ, 453, check)
    call createCurrent(P_g, P_GPlus, P_GMinus, P_g, 1140, check)
    call createCurrent(P_WMinus, P_A, P_Z, P_WPlus, 785, check)
    call createCurrent(P_GMinus, P_Z, P_Z, P_GPlus, 834, check)
    call createCurrent(P_GPlus, P_ghWpAnti, P_ghZ, 1037, check)
    call createCurrent(P_ghAAnti, P_ghWm, P_WPlus, 110, check)
    call createCurrent(P_A, P_G0, P_H, 1108, check)
    call createCurrent(P_WPlus, P_WMinus, P_WPlus, P_WMinus, 575, check)
    call createCurrent(P_GMinus, P_H, P_WPlus, 202, check)
    call createCurrent(P_nu_tau, P_Z, P_nu_tauAnti, 648, check)
    call createCurrent(P_G0, P_d, P_dAnti, 921, check)
    call createCurrent(P_Z, P_GPlus, P_WMinus, 302, check)
    call createCurrent(P_WPlus, P_GMinus, P_G0, P_A, 335, check)
    call createCurrent(P_bAnti, P_G0, P_b, 747, check)
    call createCurrent(P_H, P_Z, P_A, P_H, 1112, check)
    call createCurrent(P_WPlus, P_Z, P_WMinus, P_A, 737, check)
    call createCurrent(P_nu_muAnti, P_Z, P_nu_mu, 78, check)
    call createCurrent(P_WPlus, P_WMinus, P_G0, P_G0, 971, check)
    call createCurrent(P_G0, P_G0, P_GMinus, P_GPlus, 530, check)
    call createCurrent(P_GPlus, P_G0, P_GMinus, P_G0, 70, check)
    call createCurrent(P_H, P_Z, P_G0, 231, check)
    call createCurrent(P_ghZ, P_ghZAnti, P_H, 377, check)
    call createCurrent(P_GPlus, P_GMinus, P_H, 847, check)
    call createCurrent(P_A, P_nu_e, P_nu_eAnti, 1138, check)
    call createCurrent(P_c, P_cAnti, P_H, 190, check)
    call createCurrent(P_bAnti, P_t, P_WMinus, 127, check)
    call createCurrent(P_GPlus, P_nu_eAnti, P_eMinus, 883, check)
    call createCurrent(P_Z, P_H, P_H, P_A, 1076, check)
    call createCurrent(P_GMinus, P_H, P_WPlus, P_Z, 114, check)
    call createCurrent(P_Z, P_cAnti, P_c, 709, check)
    call createCurrent(P_G0, P_GMinus, P_GPlus, P_G0, 1014, check)
    call createCurrent(P_WMinus, P_GPlus, P_G0, 457, check)
    call createCurrent(P_nu_eAnti, P_A, P_nu_e, 1054, check)
    call createCurrent(P_nu_tauAnti, P_WPlus, P_tauMinus, 693, check)
    call createCurrent(P_WMinus, P_G0, P_GPlus, P_A, 664, check)
    call createCurrent(P_bAnti, P_Z, P_b, 418, check)
    call createCurrent(P_H, P_G0, P_G0, P_H, 52, check)
    call createCurrent(P_A, P_GMinus, P_A, P_GPlus, 590, check)
    call createCurrent(P_A, P_Z, P_G0, P_G0, 1114, check)
    call createCurrent(P_WPlus, P_eMinus, P_nu_eAnti, 371, check)
    call createCurrent(P_tAnti, P_WPlus, P_b, 312, check)
    call createCurrent(P_muPlus, P_muMinus, P_A, 518, check)
    call createCurrent(P_WMinus, P_H, P_A, P_GPlus, 93, check)
    call createCurrent(P_WMinus, P_Z, P_WPlus, P_Z, 621, check)
    call createCurrent(P_G0, P_tauPlus, P_tauMinus, 890, check)
    call createCurrent(P_Z, P_WPlus, P_GMinus, P_H, 903, check)
    call createCurrent(P_cAnti, P_H, P_c, 743, check)
    call createCurrent(P_d, P_dAnti, P_A, 796, check)
    call createCurrent(P_WMinus, P_Z, P_G0, P_GPlus, 592, check)
    call createCurrent(P_A, P_Z, 1049, check)
    call createCurrent(P_GMinus, P_Z, P_G0, P_WPlus, 474, check)
    call createCurrent(P_WMinus, P_ghAAnti, P_ghWp, 746, check)
    call createCurrent(P_G0, P_G0, P_H, 545, check)
    call createCurrent(P_tauPlus, P_GMinus, P_nu_tau, 812, check)
    call createCurrent(P_u, P_H, P_uAnti, 956, check)
    call createCurrent(P_WMinus, P_ghWmAnti, P_ghZ, 712, check)
    call createCurrent(P_H, P_A, P_GPlus, P_WMinus, 742, check)
    call createCurrent(P_c, P_GMinus, P_sAnti, 636, check)
    call createCurrent(P_cAnti, P_c, P_A, 73, check)
    call createCurrent(P_eMinus, P_ePlus, 1137, check)
    call createCurrent(P_ghWp, P_ghZAnti, P_WMinus, 979, check)
    call createCurrent(P_WPlus, P_WMinus, P_WMinus, P_WPlus, 872, check)
    call createCurrent(P_u, P_uAnti, P_Z, 916, check)
    call createCurrent(P_c, P_cAnti, 1060, check)
    call createCurrent(P_WPlus, P_s, P_cAnti, 928, check)
    call createCurrent(P_H, P_A, P_Z, 1073, check)
    call createCurrent(P_ghWm, P_WPlus, P_ghAAnti, 464, check)
    call createCurrent(P_WPlus, P_A, P_Z, P_WMinus, 330, check)
    call createCurrent(P_H, P_muPlus, P_muMinus, 406, check)
    call createCurrent(P_WMinus, P_ghA, P_ghWmAnti, 321, check)
    call createCurrent(P_GMinus, P_G0, P_WPlus, 368, check)
    call createCurrent(P_H, P_dAnti, P_d, 908, check)
    call createCurrent(P_WPlus, P_WMinus, 1116, check)
    call createCurrent(P_tauMinus, P_G0, P_tauPlus, 570, check)
    call createCurrent(P_nu_tau, P_tauPlus, P_WMinus, 454, check)
    call createCurrent(P_WPlus, P_GMinus, P_A, P_H, 444, check)
    call createCurrent(P_H, P_H, P_H, P_H, 146, check)
    call createCurrent(P_nu_tauAnti, P_A, P_nu_tau, 1047, check)
    call createCurrent(P_G0, P_GMinus, P_G0, P_GPlus, 75, check)
    call createCurrent(P_Z, P_g, P_g, P_g, 1206, check)
    call createCurrent(P_Z, P_nu_tauAnti, P_nu_tau, 656, check)
    call createCurrent(P_Z, P_tauPlus, P_tauMinus, 552, check)
    call createCurrent(P_Z, P_Z, P_H, P_H, 901, check)
    call createCurrent(P_WPlus, P_H, P_WMinus, P_H, 859, check)
    call createCurrent(P_ghZ, P_WPlus, P_ghWpAnti, 727, check)
    call createCurrent(P_G0, P_ghWpAnti, P_ghWp, 836, check)
    call createCurrent(P_G0, P_Z, P_A, P_G0, 1074, check)
    call createCurrent(P_WPlus, P_ghA, P_ghWpAnti, 448, check)
    call createCurrent(P_GMinus, P_nu_e, P_ePlus, 322, check)
    call createCurrent(P_g, P_s, P_sAnti, 121, check)
    call createCurrent(P_ghWm, P_ghWmAnti, P_H, 139, check)
    call createCurrent(P_A, P_WPlus, P_GMinus, P_H, 43, check)
    call createCurrent(P_A, P_A, P_GMinus, P_GPlus, 113, check)
    call createCurrent(P_WMinus, P_ePlus, P_nu_e, 554, check)
    call createCurrent(P_A, P_ghWpAnti, P_ghWp, 416, check)
    call createCurrent(P_b, P_bAnti, 1057, check)
    call createCurrent(P_H, P_ghWm, P_ghWmAnti, 602, check)
    call createCurrent(P_muPlus, P_A, P_muMinus, 819, check)
    call createCurrent(P_WMinus, P_A, P_G0, P_GPlus, 499, check)
    call createCurrent(P_tauMinus, P_tauPlus, 1090, check)
    call createCurrent(P_G0, P_GMinus, P_WPlus, P_A, 76, check)
    call createCurrent(P_GPlus, P_A, P_A, P_GMinus, 699, check)
    call createCurrent(P_t, P_tAnti, 1087, check)
    call createCurrent(P_G0, P_WPlus, P_G0, P_WMinus, 544, check)
    call createCurrent(P_G0, P_WMinus, P_GPlus, 102, check)
    call createCurrent(P_eMinus, P_GPlus, P_nu_eAnti, 170, check)
    call createCurrent(P_c, P_A, P_cAnti, 100, check)
    call createCurrent(P_WMinus, P_WPlus, P_GPlus, P_GMinus, 939, check)
    call createCurrent(P_GPlus, P_d, P_uAnti, 272, check)
    call createCurrent(P_ghWmAnti, P_A, P_ghWm, 731, check)
    call createCurrent(P_GPlus, P_Z, P_G0, P_WMinus, 212, check)
    call createCurrent(P_GMinus, P_Z, P_WPlus, 896, check)
    call createCurrent(P_nu_tauAnti, P_tauMinus, P_GPlus, 65, check)
    call createCurrent(P_ghWp, P_Z, P_ghWpAnti, 263, check)
    call createCurrent(P_WMinus, P_WPlus, P_Z, P_A, 56, check)
    call createCurrent(P_WPlus, P_GMinus, P_Z, 112, check)
    call createCurrent(P_tauPlus, P_Z, P_tauMinus, 549, check)
    call createCurrent(P_d, P_G0, P_dAnti, 203, check)
    call createCurrent(P_GPlus, P_H, P_H, P_GMinus, 835, check)
    call createCurrent(P_s, P_WPlus, P_cAnti, 659, check)
    call createCurrent(P_ghWm, P_Z, P_ghWmAnti, 158, check)
    call createCurrent(P_GPlus, P_GMinus, P_G0, P_G0, 526, check)
    call createCurrent(P_A, P_H, P_A, 1150, check)
    call createCurrent(P_WPlus, P_H, P_GMinus, 175, check)
    call createCurrent(P_dAnti, P_WMinus, P_u, 105, check)
    call createCurrent(P_A, P_WMinus, P_WPlus, P_Z, 525, check)
    call createCurrent(P_Z, P_A, P_WMinus, P_WPlus, 261, check)
    call createCurrent(P_Z, P_A, P_H, 1134, check)
    call createCurrent(P_Z, P_GPlus, P_GMinus, 706, check)
    call createCurrent(P_bAnti, P_b, 1051, check)
    call createCurrent(P_A, P_GPlus, P_A, P_GMinus, 553, check)
    call createCurrent(P_ghZ, P_ghWpAnti, P_GPlus, 606, check)
    call createCurrent(P_A, P_H, P_H, P_Z, 1068, check)
    call createCurrent(P_ghA, P_ghWmAnti, P_WMinus, 993, check)
    call createCurrent(P_ghWmAnti, P_ghZ, P_WMinus, 858, check)
    call createCurrent(P_WPlus, P_H, P_GMinus, P_A, 543, check)
    call createCurrent(P_d, P_GPlus, P_uAnti, 965, check)
    call createCurrent(P_cAnti, P_GPlus, P_s, 291, check)
    call createCurrent(P_eMinus, P_G0, P_ePlus, 1021, check)
    call createCurrent(P_Z, P_G0, P_H, 400, check)
    call createCurrent(P_tAnti, P_G0, P_t, 276, check)
    call createCurrent(P_A, P_tAnti, P_t, 215, check)
    call createCurrent(P_nu_muAnti, P_A, P_nu_mu, 1102, check)
    call createCurrent(P_t, P_G0, P_tAnti, 299, check)
    call createCurrent(P_ghWm, P_A, P_ghWmAnti, 686, check)
    call createCurrent(P_G0, P_GPlus, P_WMinus, 671, check)
    call createCurrent(P_muPlus, P_nu_mu, P_GMinus, 738, check)
    call createCurrent(P_Z, P_Z, P_GMinus, P_GPlus, 465, check)
    call createCurrent(P_t, P_tAnti, P_Z, 466, check)
    call createCurrent(P_GPlus, P_uAnti, P_d, 1040, check)
    call createCurrent(P_GPlus, P_nu_tauAnti, P_tauMinus, 766, check)
    call createCurrent(P_ghZAnti, P_ghWp, P_WMinus, 801, check)
    call createCurrent(P_tAnti, P_Z, P_t, 298, check)
    call createCurrent(P_tauMinus, P_H, P_tauPlus, 949, check)
    call createCurrent(P_ghWpAnti, P_A, P_ghWp, 487, check)
    call createCurrent(P_WMinus, P_u, P_dAnti, 599, check)
    call createCurrent(P_H, P_WPlus, P_A, P_GMinus, 57, check)
    call createCurrent(P_G0, P_GMinus, P_Z, P_WPlus, 853, check)
    call createCurrent(P_G0, P_Z, P_Z, P_G0, 799, check)
    call createCurrent(P_Z, P_d, P_dAnti, 475, check)
    call createCurrent(P_GMinus, P_Z, P_WPlus, P_G0, 428, check)
    call createCurrent(P_Z, P_GPlus, P_Z, P_GMinus, 1041, check)
    call createCurrent(P_d, P_A, P_dAnti, 149, check)
    call createCurrent(P_d, P_dAnti, P_H, 494, check)
    call createCurrent(P_Z, P_WMinus, P_H, P_GPlus, 855, check)
    call createCurrent(P_c, P_cAnti, P_G0, 967, check)
    call createCurrent(P_GPlus, P_g, P_GMinus, P_g, 1145, check)
    call createCurrent(P_tauMinus, P_tauPlus, P_Z, 337, check)
    call createCurrent(P_G0, P_WPlus, P_WMinus, P_G0, 960, check)
    call createCurrent(P_WPlus, P_WMinus, P_A, 409, check)
    call createCurrent(P_b, P_bAnti, P_g, 69, check)
    call createCurrent(P_WMinus, P_A, P_H, P_GPlus, 477, check)
    call createCurrent(P_A, P_Z, P_WMinus, P_WPlus, 186, check)
    call createCurrent(P_bAnti, P_t, P_GMinus, 224, check)
    call createCurrent(P_ghWmAnti, P_ghZ, P_GMinus, 61, check)
    call createCurrent(P_GMinus, P_GPlus, P_g, P_g, 1197, check)
    call createCurrent(P_WMinus, P_Z, P_WPlus, 662, check)
    call createCurrent(P_G0, P_G0, P_g, P_g, 1168, check)
    call createCurrent(P_nu_mu, P_WMinus, P_muPlus, 172, check)
    call createCurrent(P_A, P_s, P_sAnti, 950, check)
    call createCurrent(P_GPlus, P_eMinus, P_nu_eAnti, 730, check)
    call createCurrent(P_GPlus, P_A, P_H, P_WMinus, 38, check)
    call createCurrent(P_WMinus, P_A, P_WPlus, P_Z, 875, check)
    call createCurrent(P_WMinus, P_WPlus, P_WPlus, P_WMinus, 951, check)
    call createCurrent(P_GMinus, P_c, P_sAnti, 7, check)
    call createCurrent(P_H, P_ePlus, P_eMinus, 236, check)
    call createCurrent(P_WPlus, P_H, P_Z, P_GMinus, 672, check)
    call createCurrent(P_g, P_c, P_cAnti, 767, check)
    call createCurrent(P_g, P_A, P_g, P_g, 1201, check)
    call createCurrent(P_tauMinus, P_nu_tauAnti, P_WPlus, 488, check)
    call createCurrent(P_A, P_A, P_WMinus, P_WPlus, 910, check)
    call createCurrent(P_ghWpAnti, P_ghWp, P_A, 373, check)
    call createCurrent(P_G0, P_WPlus, P_GMinus, P_Z, 1030, check)
    call createCurrent(P_GMinus, P_WPlus, P_A, P_H, 267, check)
    call createCurrent(P_A, P_WMinus, P_Z, P_WPlus, 769, check)
    call createCurrent(P_A, P_H, P_Z, 1050, check)
    call createCurrent(P_GMinus, P_H, P_GPlus, P_H, 729, check)
    call createCurrent(P_tAnti, P_t, P_Z, 677, check)
    call createCurrent(P_A, P_H, P_WPlus, P_GMinus, 216, check)
    call createCurrent(P_d, P_g, P_dAnti, 260, check)
    call createCurrent(P_WPlus, P_WMinus, P_GPlus, P_GMinus, 23, check)
    call createCurrent(P_g, P_t, P_tAnti, 1149, check)
    call createCurrent(P_G0, P_Z, P_G0, P_Z, 909, check)
    call createCurrent(P_H, P_tAnti, P_t, 675, check)
    call createCurrent(P_g, P_A, P_A, P_g, 1213, check)
    call createCurrent(P_cAnti, P_s, P_WPlus, 586, check)
    call createCurrent(P_Z, P_ghWmAnti, P_ghWm, 1002, check)
    call createCurrent(P_WPlus, P_g, P_g, P_WMinus, 1161, check)
    call createCurrent(P_sAnti, P_Z, P_s, 366, check)
    call createCurrent(P_WPlus, P_GPlus, P_WMinus, P_GMinus, 437, check)
    call createCurrent(P_A, P_Z, P_H, 1122, check)
    call createCurrent(P_g, P_g, P_WMinus, P_WPlus, 1148, check)
    call createCurrent(P_ghWpAnti, P_WPlus, P_ghZ, 472, check)
    call createCurrent(P_GMinus, P_WPlus, 1106, check)
    call createCurrent(P_WMinus, P_GPlus, P_G0, P_A, 470, check)
    call createCurrent(P_G0, P_H, P_G0, P_H, 522, check)
    call createCurrent(P_ghWmAnti, P_ghWm, P_A, 935, check)
    call createCurrent(P_GMinus, P_ghZ, P_ghWmAnti, 414, check)
    call createCurrent(P_A, P_WPlus, P_H, P_GMinus, 728, check)
    call createCurrent(P_GMinus, P_A, P_WPlus, 608, check)
    call createCurrent(P_nu_e, P_Z, P_nu_eAnti, 397, check)
    call createCurrent(P_Z, P_muMinus, P_muPlus, 958, check)
    call createCurrent(P_c, P_cAnti, P_g, 180, check)
    call createCurrent(P_dAnti, P_d, P_A, 535, check)
    call createCurrent(P_G0, P_GPlus, P_G0, P_GMinus, 350, check)
    call createCurrent(P_dAnti, P_u, P_WMinus, 886, check)
    call createCurrent(P_uAnti, P_d, P_GPlus, 758, check)
    call createCurrent(P_GMinus, P_H, P_WPlus, P_A, 120, check)
    call createCurrent(P_GMinus, P_G0, P_Z, P_WPlus, 18, check)
    call createCurrent(P_GPlus, P_H, P_Z, P_WMinus, 450, check)
    call createCurrent(P_H, P_A, P_G0, 1093, check)
    call createCurrent(P_g, P_g, P_GPlus, P_GMinus, 1164, check)
    call createCurrent(P_WMinus, P_WPlus, P_H, 449, check)
    call createCurrent(P_GMinus, P_H, P_Z, P_WPlus, 29, check)
    call createCurrent(P_b, P_tAnti, P_GPlus, 627, check)
    call createCurrent(P_nu_eAnti, P_nu_e, P_Z, 761, check)
    call createCurrent(P_GMinus, P_WPlus, P_G0, P_A, 301, check)
    call createCurrent(P_t, P_bAnti, P_WMinus, 44, check)
    call createCurrent(P_H, P_WPlus, P_Z, P_GMinus, 136, check)
    call createCurrent(P_nu_tauAnti, P_nu_tau, P_A, 1084, check)
    call createCurrent(P_ghWpAnti, P_H, P_ghWp, 359, check)
    call createCurrent(P_ePlus, P_H, P_eMinus, 71, check)
    call createCurrent(P_WMinus, P_A, P_GPlus, 786, check)
    call createCurrent(P_GMinus, P_WPlus, P_G0, P_Z, 647, check)
    call createCurrent(P_eMinus, P_nu_eAnti, P_GPlus, 390, check)
    call createCurrent(P_A, P_t, P_tAnti, 130, check)
    call createCurrent(P_G0, P_tAnti, P_t, 394, check)
    call createCurrent(P_muPlus, P_WMinus, P_nu_mu, 774, check)
    call createCurrent(P_H, P_GMinus, P_A, P_WPlus, 462, check)
    call createCurrent(P_b, P_G0, P_bAnti, 391, check)
    call createCurrent(P_nu_tau, P_GMinus, P_tauPlus, 845, check)
    call createCurrent(P_Z, P_tAnti, P_t, 988, check)
    call createCurrent(P_WPlus, P_A, P_WMinus, P_Z, 171, check)
    call createCurrent(P_G0, P_G0, 1107, check)
    call createCurrent(P_g, P_b, P_bAnti, 97, check)
    call createCurrent(P_A, P_b, P_bAnti, 41, check)
    call createCurrent(P_WPlus, P_ghWpAnti, P_ghA, 1005, check)
    call createCurrent(P_Z, P_WPlus, P_GMinus, 228, check)
    call createCurrent(P_ghWpAnti, P_Z, P_ghWp, 735, check)
    call createCurrent(P_G0, P_G0, P_Z, P_A, 1075, check)
    call createCurrent(P_tauMinus, P_GPlus, P_nu_tauAnti, 481, check)
    call createCurrent(P_Z, P_s, P_sAnti, 135, check)
    call createCurrent(P_WPlus, P_GMinus, P_G0, P_Z, 565, check)
    call createCurrent(P_sAnti, P_g, P_s, 721, check)
    call createCurrent(P_Z, P_t, P_tAnti, 317, check)
    call createCurrent(P_GMinus, P_WPlus, P_Z, 210, check)
    call createCurrent(P_WPlus, P_ghZAnti, P_ghWm, 132, check)
    call createCurrent(P_nu_e, P_ePlus, P_GMinus, 30, check)
    call createCurrent(P_GPlus, P_GMinus, P_GPlus, P_GMinus, 613, check)
    call createCurrent(P_u, P_uAnti, P_G0, 941, check)
    call createCurrent(P_A, P_eMinus, P_ePlus, 681, check)
    call createCurrent(P_c, P_H, P_cAnti, 320, check)
    call createCurrent(P_GPlus, P_WMinus, 1132, check)
    call createCurrent(P_GMinus, P_GPlus, P_G0, P_G0, 569, check)
    call createCurrent(P_A, P_Z, P_WPlus, P_WMinus, 111, check)
    call createCurrent(P_GMinus, P_nu_tau, P_tauPlus, 975, check)
    call createCurrent(P_GPlus, P_GMinus, P_A, P_A, 141, check)
    call createCurrent(P_sAnti, P_s, P_g, 334, check)
    call createCurrent(P_WPlus, P_GMinus, 1077, check)
    call createCurrent(P_GMinus, P_A, P_WPlus, P_H, 996, check)
    call createCurrent(P_WPlus, P_tauMinus, P_nu_tauAnti, 863, check)
    call createCurrent(P_tAnti, P_b, P_GPlus, 571, check)
    call createCurrent(P_u, P_dAnti, P_GMinus, 707, check)
    call createCurrent(P_WPlus, P_WPlus, P_WMinus, P_WMinus, 343, check)
    call createCurrent(P_GPlus, P_WMinus, P_A, 622, check)
    call createCurrent(P_A, P_WPlus, P_G0, P_GMinus, 173, check)
    call createCurrent(P_H, P_GPlus, P_H, P_GMinus, 185, check)
    call createCurrent(P_g, P_Z, P_A, P_g, 1142, check)
    call createCurrent(P_A, P_nu_tauAnti, P_nu_tau, 1113, check)
    call createCurrent(P_Z, P_GMinus, P_WPlus, P_G0, 784, check)
    call createCurrent(P_ePlus, P_eMinus, P_H, 108, check)
    call createCurrent(P_g, P_G0, P_g, P_G0, 1214, check)
    call createCurrent(P_tauPlus, P_nu_tau, P_GMinus, 456, check)
    call createCurrent(P_ghWmAnti, P_WMinus, P_ghZ, 705, check)
    call createCurrent(P_b, P_g, P_bAnti, 250, check)
    call createCurrent(P_ghWmAnti, P_G0, P_ghWm, 637, check)
    call createCurrent(P_nu_muAnti, P_nu_mu, P_Z, 358, check)
    call createCurrent(P_d, P_H, P_dAnti, 183, check)
    call createCurrent(P_WPlus, P_G0, P_G0, P_WMinus, 793, check)
    call createCurrent(P_u, P_g, P_uAnti, 653, check)
    call createCurrent(P_ghA, P_GMinus, P_ghWmAnti, 262, check)
    call createCurrent(P_Z, P_H, P_A, 1062, check)
    call createCurrent(P_WPlus, P_GMinus, P_A, P_G0, 422, check)
    call createCurrent(P_A, P_G0, P_GPlus, P_WMinus, 1009, check)
    call createCurrent(P_ePlus, P_G0, P_eMinus, 614, check)
    call createCurrent(P_Z, P_H, P_WMinus, P_GPlus, 600, check)
    call createCurrent(P_GPlus, P_ghZ, P_ghWpAnti, 512, check)
    call createCurrent(P_H, P_GPlus, P_WMinus, P_Z, 1012, check)
    call createCurrent(P_G0, P_A, P_G0, P_Z, 1043, check)
    call createCurrent(P_H, P_GMinus, P_GPlus, 811, check)
    call createCurrent(P_GMinus, P_G0, P_GPlus, P_G0, 471, check)
    call createCurrent(P_Z, P_WMinus, P_A, P_WPlus, 362, check)
    call createCurrent(P_H, P_H, P_g, P_g, 1212, check)
    call createCurrent(P_G0, P_t, P_tAnti, 688, check)
    call createCurrent(P_sAnti, P_c, P_WMinus, 201, check)
    call createCurrent(P_ghWm, P_ghWmAnti, P_Z, 1003, check)
    call createCurrent(P_sAnti, P_s, P_G0, 539, check)
    call createCurrent(P_WMinus, P_tauPlus, P_nu_tau, 162, check)
    call createCurrent(P_H, P_Z, P_GPlus, P_WMinus, 214, check)
    call createCurrent(P_WPlus, P_nu_tauAnti, P_tauMinus, 703, check)
    call createCurrent(P_A, P_GMinus, P_H, P_WPlus, 864, check)
    call createCurrent(P_H, P_WMinus, P_Z, P_GPlus, 305, check)
    call createCurrent(P_A, P_WMinus, P_G0, P_GPlus, 109, check)
    call createCurrent(P_GMinus, P_WPlus, P_GPlus, P_WMinus, 205, check)
    call createCurrent(P_eMinus, P_ePlus, P_G0, 255, check)
    call createCurrent(P_u, P_G0, P_uAnti, 8, check)
    call createCurrent(P_ePlus, P_GMinus, P_nu_e, 197, check)
    call createCurrent(P_nu_eAnti, P_Z, P_nu_e, 142, check)
    call createCurrent(P_c, P_G0, P_cAnti, 1000, check)
    call createCurrent(P_g, P_u, P_uAnti, 992, check)
    call createCurrent(P_H, P_bAnti, P_b, 510, check)
    call createCurrent(P_GPlus, P_WMinus, P_G0, 410, check)
    call createCurrent(P_WMinus, P_H, P_GPlus, 990, check)
    call createCurrent(P_ghWp, P_ghWpAnti, P_H, 153, check)
    call createCurrent(P_WMinus, P_bAnti, P_t, 490, check)
    call createCurrent(P_tAnti, P_t, P_g, 1154, check)
    call createCurrent(P_GMinus, P_GPlus, P_Z, P_A, 326, check)
    call createCurrent(P_GMinus, P_ghA, P_ghWmAnti, 529, check)
    call createCurrent(P_uAnti, P_u, P_Z, 264, check)
    call createCurrent(P_ghWmAnti, P_ghWm, P_H, 439, check)
    call createCurrent(P_ghWmAnti, P_GMinus, P_ghZ, 68, check)
    call createCurrent(P_A, P_G0, P_G0, P_Z, 1110, check)
    call createCurrent(P_GMinus, P_WPlus, P_H, 349, check)
    call createCurrent(P_H, P_t, P_tAnti, 772, check)
    call createCurrent(P_G0, P_GMinus, P_WPlus, 459, check)
    call createCurrent(P_muMinus, P_GPlus, P_nu_muAnti, 945, check)
    call createCurrent(P_GPlus, P_Z, P_H, P_WMinus, 280, check)
    call createCurrent(P_ghWp, P_ghZAnti, P_GMinus, 86, check)
    call createCurrent(P_WMinus, P_WPlus, P_A, 14, check)
    call createCurrent(P_Z, P_WMinus, P_WPlus, P_Z, 295, check)
    call createCurrent(P_g, P_g, P_g, 680, check)
    call createCurrent(P_H, P_WPlus, P_GMinus, 150, check)
    call createCurrent(P_WPlus, P_G0, P_GMinus, P_A, 806, check)
    call createCurrent(P_WPlus, P_WMinus, P_Z, P_Z, 500, check)
    call createCurrent(P_GMinus, P_H, P_H, P_GPlus, 888, check)
    call createCurrent(P_eMinus, P_ePlus, P_A, 580, check)
    call createCurrent(P_nu_mu, P_Z, P_nu_muAnti, 848, check)
    call createCurrent(P_Z, P_WMinus, P_GPlus, P_H, 946, check)
    call createCurrent(P_sAnti, P_GMinus, P_c, 50, check)
    call createCurrent(P_H, P_u, P_uAnti, 862, check)
    call createCurrent(P_GPlus, P_Z, P_WMinus, 17, check)
    call createCurrent(P_GMinus, P_GPlus, P_GPlus, P_GMinus, 297, check)
    call createCurrent(P_GPlus, P_cAnti, P_s, 300, check)
    call createCurrent(P_u, P_WMinus, P_dAnti, 708, check)
    call createCurrent(P_GMinus, P_WPlus, P_A, P_G0, 640, check)
    call createCurrent(P_WMinus, P_ghZ, P_ghWmAnti, 741, check)
    call createCurrent(P_GMinus, P_Z, P_H, P_WPlus, 697, check)
    call createCurrent(P_Z, P_WMinus, P_GPlus, 723, check)
    call createCurrent(P_H, P_WPlus, P_WMinus, 978, check)
    call createCurrent(P_ghG, P_g, P_ghGAnti, 476, check)
    call createCurrent(P_GMinus, P_g, P_g, P_GPlus, 1171, check)
    call createCurrent(P_GPlus, P_Z, P_WMinus, P_H, 623, check)
    call createCurrent(P_H, P_s, P_sAnti, 682, check)
    call createCurrent(P_muPlus, P_muMinus, P_Z, 213, check)
    call createCurrent(P_tauMinus, P_nu_tauAnti, P_GPlus, 603, check)
    call createCurrent(P_u, P_GMinus, P_dAnti, 679, check)
    call createCurrent(P_ghWpAnti, P_ghA, P_GPlus, 489, check)
    call createCurrent(P_H, P_Z, P_WMinus, P_GPlus, 759, check)
    call createCurrent(P_Z, P_GMinus, P_Z, P_GPlus, 1034, check)
    call createCurrent(P_nu_eAnti, P_GPlus, P_eMinus, 123, check)
    call createCurrent(P_Z, P_H, P_GMinus, P_WPlus, 584, check)
    call createCurrent(P_tauMinus, P_Z, P_tauPlus, 435, check)
    call createCurrent(P_Z, P_WMinus, P_WPlus, P_A, 217, check)
    call createCurrent(P_GPlus, P_ghWm, P_ghZAnti, 667, check)
    call createCurrent(P_GPlus, P_muMinus, P_nu_muAnti, 605, check)
    call createCurrent(P_Z, P_G0, P_GMinus, P_WPlus, 860, check)
    call createCurrent(P_GPlus, P_GMinus, P_A, 269, check)
    call createCurrent(P_g, P_dAnti, P_d, 484, check)
    call createCurrent(P_d, P_dAnti, P_G0, 506, check)
    call createCurrent(P_A, P_GMinus, P_Z, P_GPlus, 189, check)
    call createCurrent(P_WPlus, P_WMinus, P_GMinus, P_GPlus, 765, check)
    call createCurrent(P_bAnti, P_b, P_H, 683, check)
    call createCurrent(P_eMinus, P_ePlus, P_H, 537, check)
    call createCurrent(P_d, P_Z, P_dAnti, 930, check)
    call createCurrent(P_A, P_bAnti, P_b, 220, check)
    call createCurrent(P_t, P_tAnti, P_g, 1190, check)
    call createCurrent(P_bAnti, P_GMinus, P_t, 257, check)
    call createCurrent(P_GPlus, P_G0, P_WMinus, P_Z, 507, check)
    call createCurrent(P_g, P_bAnti, P_b, 643, check)
    call createCurrent(P_Z, P_Z, P_WMinus, P_WPlus, 67, check)
    call createCurrent(P_ghWm, P_ghZAnti, P_WPlus, 710, check)
    call createCurrent(P_G0, P_G0, P_A, P_Z, 1069, check)
    call createCurrent(P_G0, P_ghWp, P_ghWpAnti, 399, check)
    call createCurrent(P_t, P_A, P_tAnti, 313, check)
    call createCurrent(P_ePlus, P_eMinus, 1085, check)
    call createCurrent(P_A, P_g, P_g, P_Z, 1167, check)
    call createCurrent(P_GPlus, P_WMinus, P_H, P_A, 922, check)
    call createCurrent(P_nu_tau, P_nu_tauAnti, P_Z, 676, check)
    call createCurrent(P_ghWmAnti, P_WMinus, P_ghA, 176, check)
    call createCurrent(P_H, P_WPlus, P_WMinus, P_H, 331, check)
    call createCurrent(P_G0, P_Z, P_H, 973, check)
    call createCurrent(P_WPlus, P_A, P_WMinus, 926, check)
    call createCurrent(P_g, P_Z, P_g, P_A, 1169, check)
    call createCurrent(P_cAnti, P_c, P_Z, 813, check)
    call createCurrent(P_WMinus, P_muPlus, P_nu_mu, 1011, check)
    call createCurrent(P_muPlus, P_nu_mu, P_WMinus, 94, check)
    call createCurrent(P_H, P_GMinus, P_Z, P_WPlus, 790, check)
    call createCurrent(P_WMinus, P_G0, P_A, P_GPlus, 999, check)
    call createCurrent(P_GMinus, P_sAnti, P_c, 66, check)
    call createCurrent(P_ghZ, P_H, P_ghZAnti, 278, check)
    call createCurrent(P_Z, P_eMinus, P_ePlus, 918, check)
    call createCurrent(P_A, P_GPlus, P_G0, P_WMinus, 253, check)
    call createCurrent(P_A, P_WPlus, P_GMinus, 19, check)
    call createCurrent(P_ghWpAnti, P_ghZ, P_GPlus, 821, check)
    call createCurrent(P_t, P_bAnti, P_GMinus, 501, check)
    call createCurrent(P_A, P_tauMinus, P_tauPlus, 288, check)
    call createCurrent(P_WMinus, P_GPlus, P_A, P_G0, 846, check)
    call createCurrent(P_Z, P_A, 1091, check)
    call createCurrent(P_WMinus, P_sAnti, P_c, 287, check)
    call createCurrent(P_ghA, P_ghWpAnti, P_WPlus, 119, check)
    call createCurrent(P_bAnti, P_WMinus, P_t, 60, check)
    call createCurrent(P_g, P_Z, P_g, P_g, 1165, check)
    call createCurrent(P_Z, P_tauMinus, P_tauPlus, 604, check)
    call createCurrent(P_G0, P_GPlus, P_WMinus, P_Z, 628, check)
    call createCurrent(P_GPlus, P_WMinus, P_Z, P_H, 40, check)
    call createCurrent(P_muPlus, P_GMinus, P_nu_mu, 246, check)
    call createCurrent(P_G0, P_H, P_H, P_G0, 906, check)
    call createCurrent(P_bAnti, P_b, P_A, 816, check)
    call createCurrent(P_GMinus, P_GPlus, P_Z, 579, check)
    call createCurrent(P_GMinus, P_H, P_GPlus, 690, check)
    call createCurrent(P_Z, P_GMinus, P_WPlus, P_H, 91, check)
    call createCurrent(P_ghZAnti, P_ghWp, P_GMinus, 423, check)
    call createCurrent(P_A, P_tauPlus, P_tauMinus, 353, check)
    call createCurrent(P_ghWp, P_ghWpAnti, P_A, 307, check)
    call createCurrent(P_muMinus, P_muPlus, 1086, check)
    call createCurrent(P_H, P_Z, P_Z, 117, check)
    call createCurrent(P_G0, P_G0, P_GPlus, P_GMinus, 247, check)
    call createCurrent(P_Z, P_A, P_WPlus, P_WMinus, 144, check)
    call createCurrent(P_H, P_WMinus, P_A, P_GPlus, 704, check)
    call createCurrent(P_GMinus, P_muPlus, P_nu_mu, 192, check)
    call createCurrent(P_d, P_dAnti, P_g, 814, check)
    call createCurrent(P_GMinus, P_A, P_WPlus, P_G0, 309, check)
    call createCurrent(P_Z, P_nu_eAnti, P_nu_e, 942, check)
    call createCurrent(P_GPlus, P_g, P_g, P_GMinus, 1219, check)
    call createCurrent(P_GPlus, P_H, P_GMinus, 966, check)
    call createCurrent(P_tauMinus, P_tauPlus, P_G0, 242, check)
    call createCurrent(P_GMinus, P_A, P_A, P_GPlus, 107, check)
    call createCurrent(P_G0, P_muPlus, P_muMinus, 661, check)
    call createCurrent(P_A, P_nu_mu, P_nu_muAnti, 1082, check)
    call createCurrent(P_tauPlus, P_tauMinus, P_G0, 722, check)
    call createCurrent(P_GPlus, P_GMinus, P_WMinus, P_WPlus, 826, check)
    call createCurrent(P_GMinus, P_A, P_G0, P_WPlus, 505, check)
    call createCurrent(P_H, P_GMinus, P_GPlus, P_H, 986, check)
    call createCurrent(P_g, P_g, P_Z, P_Z, 1166, check)
    call createCurrent(P_H, P_H, P_WPlus, P_WMinus, 1017, check)
    call createCurrent(P_G0, P_WPlus, P_GMinus, 39, check)
    call createCurrent(P_c, P_Z, P_cAnti, 338, check)
    call createCurrent(P_G0, P_tauMinus, P_tauPlus, 768, check)
    call createCurrent(P_A, P_WMinus, P_GPlus, 1015, check)
    call createCurrent(P_eMinus, P_H, P_ePlus, 336, check)
    call createCurrent(P_b, P_H, P_bAnti, 635, check)
    call createCurrent(P_g, P_ghG, P_ghGAnti, 982, check)
    call createCurrent(P_A, P_H, P_Z, P_H, 1121, check)
    call createCurrent(P_cAnti, P_G0, P_c, 555, check)
    call createCurrent(P_H, P_b, P_bAnti, 442, check)
    call createCurrent(P_b, P_GPlus, P_tAnti, 227, check)
    call createCurrent(P_G0, P_GMinus, P_WPlus, P_Z, 83, check)
    call createCurrent(P_GPlus, P_WMinus, P_Z, 867, check)
    call createCurrent(P_Z, P_A, P_H, P_H, 1120, check)
    call createCurrent(P_dAnti, P_G0, P_d, 211, check)
    call createCurrent(P_tauPlus, P_tauMinus, P_Z, 63, check)
    call createCurrent(P_A, P_A, 1067, check)
    call createCurrent(P_g, P_ghGAnti, P_ghG, 126, check)
    call createCurrent(P_H, P_WPlus, P_H, P_WMinus, 421, check)
    call createCurrent(P_Z, P_H, P_G0, 199, check)
    call createCurrent(P_ghWm, P_G0, P_ghWmAnti, 128, check)
    call createCurrent(P_muMinus, P_muPlus, P_Z, 632, check)
    call createCurrent(P_eMinus, P_Z, P_ePlus, 239, check)
    call createCurrent(P_ghWpAnti, P_ghWp, P_G0, 327, check)
    call createCurrent(P_ghAAnti, P_WPlus, P_ghWm, 5, check)
    call createCurrent(P_nu_tau, P_nu_tauAnti, 1119, check)
    call createCurrent(P_GPlus, P_WPlus, P_GMinus, P_WMinus, 940, check)
    call createCurrent(P_WPlus, P_GMinus, P_H, 469, check)
    call createCurrent(P_g, P_g, P_GMinus, P_GPlus, 1202, check)
    call createCurrent(P_WPlus, P_cAnti, P_s, 822, check)
    call createCurrent(P_tauPlus, P_nu_tau, P_WMinus, 430, check)
    call createCurrent(P_WMinus, P_nu_tau, P_tauPlus, 354, check)
    call createCurrent(P_GMinus, P_GPlus, P_H, P_H, 151, check)
    call createCurrent(P_WPlus, P_A, P_G0, P_GMinus, 245, check)
    call createCurrent(P_tAnti, P_t, P_G0, 548, check)
    call createCurrent(P_A, P_WMinus, P_H, P_GPlus, 382, check)
    call createCurrent(P_G0, P_ghWmAnti, P_ghWm, 233, check)
    call createCurrent(P_s, P_sAnti, P_g, 617, check)
    call createCurrent(P_b, P_WPlus, P_tAnti, 491, check)
    call createCurrent(P_GPlus, P_Z, P_WMinus, P_G0, 895, check)
    call createCurrent(P_tAnti, P_g, P_t, 1163, check)
    call createCurrent(P_s, P_G0, P_sAnti, 32, check)
    call createCurrent(P_GPlus, P_WMinus, P_H, P_Z, 919, check)
    call createCurrent(P_GMinus, P_ghWp, P_ghZAnti, 787, check)
    call createCurrent(P_ghWpAnti, P_WPlus, P_ghA, 427, check)
    call createCurrent(P_WMinus, P_WPlus, P_A, P_A, 282, check)
    call createCurrent(P_H, P_A, P_WPlus, P_GMinus, 376, check)
    call createCurrent(P_GPlus, P_WMinus, P_GMinus, P_WPlus, 1033, check)
    call createCurrent(P_ghZ, P_GPlus, P_ghWpAnti, 1018, check)
    call createCurrent(P_WMinus, P_WMinus, P_WPlus, P_WPlus, 695, check)
    call createCurrent(P_u, P_uAnti, P_g, 101, check)
    call createCurrent(P_nu_tauAnti, P_tauMinus, P_WPlus, 775, check)
    call createCurrent(P_nu_e, P_nu_eAnti, P_A, 1100, check)
    call createCurrent(P_GPlus, P_ghWpAnti, P_ghA, 558, check)
    call createCurrent(P_GPlus, P_H, P_A, P_WMinus, 167, check)
    call createCurrent(P_A, P_Z, P_GPlus, P_GMinus, 851, check)
    call createCurrent(P_u, P_uAnti, P_A, 42, check)
    call createCurrent(P_t, P_g, P_tAnti, 1194, check)
    call createCurrent(P_Z, P_WMinus, P_G0, P_GPlus, 694, check)
    call createCurrent(P_ghZAnti, P_WPlus, P_ghWm, 897, check)
    call createCurrent(P_Z, P_G0, 1115, check)
    call createCurrent(P_A, P_WMinus, P_GPlus, P_H, 536, check)
    call createCurrent(P_A, P_Z, P_GMinus, P_GPlus, 559, check)
    call createCurrent(P_tauPlus, P_H, P_tauMinus, 754, check)
    call createCurrent(P_tauMinus, P_A, P_tauPlus, 438, check)
    call createCurrent(P_GMinus, P_WMinus, P_WPlus, P_GPlus, 4, check)
    call createCurrent(P_GPlus, P_G0, P_WMinus, 88, check)
    call createCurrent(P_GPlus, P_WMinus, P_G0, P_Z, 124, check)
    call createCurrent(P_A, P_G0, P_WMinus, P_GPlus, 225, check)
    call createCurrent(P_ghAAnti, P_ghWp, P_WMinus, 567, check)
    call createCurrent(P_Z, P_A, P_GPlus, P_GMinus, 657, check)
    call createCurrent(P_A, P_WPlus, P_A, P_WMinus, 209, check)
    call createCurrent(P_WPlus, P_Z, P_GMinus, P_G0, 516, check)
    call createCurrent(P_uAnti, P_g, P_u, 634, check)
    call createCurrent(P_GPlus, P_G0, P_Z, P_WMinus, 31, check)
    call createCurrent(P_WPlus, P_H, P_WMinus, 665, check)
    call createCurrent(P_WMinus, P_GPlus, P_G0, P_Z, 751, check)
    call createCurrent(P_g, P_g, P_Z, P_A, 1158, check)
    call createCurrent(P_tAnti, P_t, P_H, 840, check)
    call createCurrent(P_GMinus, P_GPlus, P_A, P_Z, 563, check)
    call createCurrent(P_WPlus, P_G0, P_A, P_GMinus, 159, check)
    call createCurrent(P_H, P_A, P_A, 1188, check)
    call createCurrent(P_G0, P_A, 1127, check)
    call createCurrent(P_ghWpAnti, P_ghWp, P_H, 59, check)
    call createCurrent(P_A, P_WPlus, P_WMinus, P_Z, 290, check)
    call createCurrent(P_GMinus, P_t, P_bAnti, 849, check)
    call createCurrent(P_nu_tauAnti, P_GPlus, P_tauMinus, 218, check)
    call createCurrent(P_A, P_WPlus, P_Z, P_WMinus, 718, check)
    call createCurrent(P_uAnti, P_u, P_A, 952, check)
    call createCurrent(P_ePlus, P_A, P_eMinus, 137, check)
    call createCurrent(P_muMinus, P_G0, P_muPlus, 887, check)
    call createCurrent(P_Z, P_ghWp, P_ghWpAnti, 974, check)
    call createCurrent(P_tauMinus, P_tauPlus, P_A, 639, check)
    call createCurrent(P_G0, P_ePlus, P_eMinus, 495, check)
    call createCurrent(P_g, P_GMinus, P_g, P_GPlus, 1173, check)
    call createCurrent(P_ghWmAnti, P_ghWm, P_Z, 638, check)
    call createCurrent(P_WPlus, P_G0, P_WMinus, P_G0, 581, check)
    call createCurrent(P_nu_e, P_nu_eAnti, 1101, check)
    call createCurrent(P_H, P_c, P_cAnti, 998, check)
    call createCurrent(P_tAnti, P_A, P_t, 243, check)
    call createCurrent(P_H, P_WMinus, P_GPlus, P_Z, 685, check)
    call createCurrent(P_Z, P_G0, P_A, P_G0, 1048, check)
    call createCurrent(P_muMinus, P_nu_muAnti, P_GPlus, 843, check)
    call createCurrent(P_Z, P_muPlus, P_muMinus, 229, check)
    call createCurrent(P_A, P_GMinus, P_G0, P_WPlus, 641, check)
    call createCurrent(P_cAnti, P_c, P_H, 388, check)
    call createCurrent(P_GPlus, P_Z, P_GMinus, P_Z, 79, check)
    call createCurrent(P_g, P_G0, P_G0, P_g, 1200, check)
    call createCurrent(P_c, P_WMinus, P_sAnti, 364, check)
    call createCurrent(P_u, P_Z, P_uAnti, 550, check)
    call createCurrent(P_ghZAnti, P_H, P_ghZ, 48, check)
    call createCurrent(P_tauMinus, P_tauPlus, P_H, 513, check)
    call createCurrent(P_g, P_GPlus, P_g, P_GMinus, 1181, check)
    call createCurrent(P_Z, P_GMinus, P_GPlus, P_Z, 762, check)
    call createCurrent(P_H, P_Z, P_A, 1124, check)
    call createCurrent(P_ghWp, P_WMinus, P_ghAAnti, 616, check)
    call createCurrent(P_GPlus, P_WMinus, P_G0, P_A, 773, check)
    call createCurrent(P_s, P_sAnti, P_A, 562, check)
    call createCurrent(P_g, P_g, P_A, P_A, 1157, check)
    call createCurrent(P_dAnti, P_d, P_G0, 674, check)
    call createCurrent(P_H, P_Z, P_Z, P_H, 232, check)
    call createCurrent(P_H, P_GMinus, P_WPlus, 726, check)
    call createCurrent(P_WMinus, P_WPlus, P_GMinus, P_GPlus, 148, check)
  end subroutine fill_current_1
end module currents_info1
