!******************************************************************************!
!                                                                              !
!    fill_ctcouplings2.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings2.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2019-10-14 10:32             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings2
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl2()
    coupl(nGC_3357) = coupl(nGC_11)**2d0*coupl(nGC_59)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_3353) = coupl(nGC_11)**2d0*coupl(nGC_55)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_3596) = coupl(nGC_3206)*dyt_QED1
    coupl(nGC_3153) = cima*ee**2d0*(cw**2d0 + sw**2d0)/(cw*sw**2d0)
    coupl(nGC_4925) = coupl(nGC_4)*dZeMinusL + coupl(nGC_40)*dZZA/2d0
    coupl(nGC_3322) = coupl(nGC_11)**2d0*coupl(nGC_56)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_3326) = coupl(nGC_11)**2d0*coupl(nGC_58)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_3324) = coupl(nGC_11)**2d0*coupl(nGC_54)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_3102) = cima*cw*ee/sw**2d0
    coupl(nGC_3103) = -cima*ee/sw
    coupl(nGC_3452) = cima*coupl(nGC_11)**3d0*sq2**3d0*(3d0*coupl(nGC_1) + 2d0*&
                      coupl(nGC_2))/(192d0*pi**2d0)
    coupl(nGC_3453) = cima*coupl(nGC_11)**3d0*sq2**3d0*(-3d0*coupl(nGC_1) - 2d0&
                      *coupl(nGC_2))/(96d0*pi**2d0*Nc)
    coupl(nGC_3106) = cima*ee/sw
    coupl(nGC_3107) = -ee**2d0/sw
    coupl(nGC_3456) = 3d0*cima*coupl(nGC_11)**3d0*sq2**3d0*(3d0*coupl(nGC_34   &
                      ) + 2d0*coupl(nGC_35) - 3d0*coupl(nGC_38) - 2d0*coupl(   &
                      nGC_39))/(128d0*pi**2d0)
    coupl(nGC_3105) = -cima*cw*ee/sw**2d0
    coupl(nGC_3458) = cima*coupl(nGC_11)**3d0*sq2**3d0*(3d0*coupl(nGC_34) + 2d0&
                      *coupl(nGC_35) + 3d0*coupl(nGC_38) + 2d0*coupl(nGC_39))/(&
                      96d0*pi**2d0*Nc**2d0)
    coupl(nGC_3459) = 3d0*cima*coupl(nGC_11)**3d0*sq2**3d0*(-3d0*coupl(nGC_34  &
                      ) - 2d0*coupl(nGC_35) + 3d0*coupl(nGC_38) + 2d0*coupl(   &
                      nGC_39))/(128d0*pi**2d0)
    coupl(nGC_3108) = ee**2d0/(2d0*sw**2d0)
    coupl(nGC_3408) = -coupl(nGC_11)*sq2*(4d0*coupl(nGC_1)**2d0 + 4d0*coupl(   &
                      nGC_38)**2d0 + coupl(nGC_54)*coupl(nGC_56) + coupl(nGC_55&
                      )**2d0)/(64d0*pi**2d0*Nc)
    coupl(nGC_3518) = coupl(nGC_3184)*dsw_ + coupl(nGC_3185)*dZee + coupl(     &
                      nGC_3186)*dcw_ + coupl(nGC_3187)*dvev_QEDM1
    coupl(nGC_3158) = -cMW*cima*ee*(cw**2d0 + sw**2d0)/(2d0*cw**2d0*sw)
    coupl(nGC_3511) = coupl(nGC_3149)*dZee + coupl(nGC_3150)*dsw_ + coupl(     &
                      nGC_3151)*dcw_
    coupl(nGC_3510) = coupl(nGC_3137)*dZee + coupl(nGC_3138)*dsw_ + coupl(     &
                      nGC_3139)*dcw_
    coupl(nGC_3517) = coupl(nGC_3163)*dZee + coupl(nGC_3164)*dsw_ + coupl(     &
                      nGC_3165)*dcw_
    coupl(nGC_5175) = coupl(nGC_19)*dZZA/2d0 + coupl(nGC_5)*dZAZ/2d0
    coupl(nGC_5076) = coupl(nGC_75)*(dZsL_QED2 + dZsR_QED2)/2d0
    coupl(nGC_6438) = -coupl(nGC_6437)
    coupl(nGC_3216) = cima*(-coupl(nGC_1)**2d0 - coupl(nGC_23)**2d0 - coupl(   &
                      nGC_38)**2d0)/(16d0*pi**2d0)
    coupl(nGC_3217) = cima*(-coupl(nGC_1)**2d0 - coupl(nGC_34)**2d0)/(16d0*pi**&
                      2d0)
    coupl(nGC_3214) = cMB*cima*coupl(nGC_11)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(  &
                      32d0*pi**2d0*Nc)
    coupl(nGC_3215) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(64d0* &
                      pi**2d0*Nc)
    coupl(nGC_3412) = -coupl(nGC_11)**2d0*sq2**3d0*(Nc**2d0*cima*coupl(nGC_10  &
                      ) + coupl(nGC_11))/(64d0*pi**2d0*Nc)
    coupl(nGC_3219) = cima*(coupl(nGC_220)**2d0 + coupl(nGC_25)**2d0 + coupl(  &
                      nGC_250)**2d0 + coupl(nGC_3)**2d0)/(48d0*pi**2d0)
    coupl(nGC_3109) = -cima*ee**2d0/sw
    coupl(nGC_3177) = cima*ee**2d0*vev/sw**2d0
    coupl(nGC_3176) = -cima*ee**2d0*vev/sw**3d0
    coupl(nGC_7297) = coupl(nGC_36)*dZZA/2d0 + coupl(nGC_4)*dZmuMinusR
    coupl(nGC_3173) = cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)/(cw &
                      **3d0*sw**2d0)
    coupl(nGC_3172) = -cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)/(cw&
                      **2d0*sw**3d0)
    coupl(nGC_3413) = -coupl(nGC_11)*sq2*(-4d0*coupl(nGC_1)**2d0 - 4d0*coupl(  &
                      nGC_34)**2d0 - coupl(nGC_54)*coupl(nGC_56) - coupl(nGC_55&
                      )**2d0)/(64d0*pi**2d0)
    coupl(nGC_3077) = ee**2d0/(2d0*cw**2d0)
    coupl(nGC_3074) = -cima*ee**2d0/cw
    coupl(nGC_3075) = cima*ee**2d0/(2d0*cw**2d0)
    coupl(nGC_3072) = cima*ee
    coupl(nGC_3073) = 4d0*cima*ee**2d0
    coupl(nGC_3070) = -2d0*cima*ee/3d0
    coupl(nGC_3071) = -cima*ee
    coupl(nGC_3128) = cima*ee*sw/cw
    coupl(nGC_3543) = -cima*dyb_QED1
    coupl(nGC_3589) = coupl(nGC_3212)*dyup_QED3
    coupl(nGC_3586) = coupl(nGC_3211)*dyup_QED3
    coupl(nGC_3587) = coupl(nGC_3212)*dyup_QED1_QCD2
    coupl(nGC_3584) = coupl(nGC_3211)*dyup_QED1_QCD2
    coupl(nGC_3585) = coupl(nGC_3211)*dyup_QED1
    coupl(nGC_3583) = coupl(nGC_3205)*dytau_QED1
    coupl(nGC_3581) = coupl(nGC_3197)*dye_QED1
    coupl(nGC_3540) = -cima*dys_QED3
    coupl(nGC_5829) = coupl(nGC_39)*dZuL_QED2
    coupl(nGC_5827) = coupl(nGC_35)*dZuR_QCD2
    coupl(nGC_5825) = coupl(nGC_35)*dZuR_QED2
    coupl(nGC_3538) = -cima*dys_QED1_QCD2
    coupl(nGC_3121) = -cMW*cima*ee/(2d0*sw)
    coupl(nGC_3469) = (-4d0*Nc*cima*coupl(nGC_10)**4d0*sq2**4d0 - 12d0*Nc*cima*&
                      coupl(nGC_12)*coupl(nGC_1432) + 12d0*Nc*coupl(nGC_10)**  &
                      2d0*coupl(nGC_12)*sq2**2d0 - 9d0*Nc*coupl(nGC_10)**2d0*  &
                      coupl(nGC_1432)*sq2**2d0 + 15d0*cima*coupl(nGC_11)**4d0* &
                      sq2**4d0)/(384d0*pi**2d0)
    coupl(nGC_3535) = cima*dyc_QED1_QCD2
    coupl(nGC_3468) = (-10d0*cima*coupl(nGC_10)**4d0*sq2**4d0 + 6d0*cima*coupl(&
                      nGC_1434)**2d0 + 3d0*coupl(nGC_10)**2d0*coupl(nGC_1428)* &
                      sq2**2d0 + 18d0*coupl(nGC_10)**2d0*coupl(nGC_1434)*sq2** &
                      2d0)/(192d0*pi**2d0)
    coupl(nGC_4899) = coupl(nGC_3511) + coupl(nGC_40)*dZZ/2d0 + coupl(nGC_40)* &
                      dZtauMinusL
    coupl(nGC_3123) = -cMZ*cima*ee/(2d0*sw**2d0)
    coupl(nGC_3124) = cima*ee/(4d0*cMZ*sw)
    coupl(nGC_5263) = coupl(nGC_1)*dZsR_QED2
    coupl(nGC_3081) = -ee**2d0/(2d0*cw**2d0)
    coupl(nGC_5267) = coupl(nGC_1)*dZsL_QCD2
    coupl(nGC_5266) = coupl(nGC_1)*dZsL_QED2
    coupl(nGC_3080) = ee**2d0/cw
    coupl(nGC_3126) = ee/(4d0*cMW*sw)
    coupl(nGC_3464) = (10d0*Nc*cima*coupl(nGC_10)**4d0*sq2**4d0 - 6d0*Nc*cima* &
                      coupl(nGC_12)*coupl(nGC_1434) + 6d0*Nc*cima*coupl(       &
                      nGC_1432)*coupl(nGC_1434) - 9d0*Nc*coupl(nGC_10)**2d0*   &
                      coupl(nGC_12)*sq2**2d0 - 3d0*Nc*coupl(nGC_10)**2d0*coupl(&
                      nGC_1428)*sq2**2d0 + 9d0*Nc*coupl(nGC_10)**2d0*coupl(    &
                      nGC_1432)*sq2**2d0 - 9d0*Nc*coupl(nGC_10)**2d0*coupl(    &
                      nGC_1434)*sq2**2d0 - 5d0*cima*coupl(nGC_11)**4d0*sq2**4d0&
                      )/(384d0*pi**2d0*Nc)
    coupl(nGC_3127) = cMW*ee/(2d0*sw)
    coupl(nGC_3467) = (-10d0*cima*coupl(nGC_10)**4d0*sq2**4d0 + 6d0*cima*coupl(&
                      nGC_1434)**2d0 + 3d0*coupl(nGC_10)**2d0*coupl(nGC_12)*sq2&
                      **2d0 + 3d0*coupl(nGC_10)**2d0*coupl(nGC_1432)*sq2**2d0  &
                       + 15d0*coupl(nGC_10)**2d0*coupl(nGC_1434)*sq2**2d0)/(   &
                      192d0*pi**2d0)
    coupl(nGC_5855) = coupl(nGC_3511) + coupl(nGC_40)*dZZ/2d0 + coupl(nGC_40)* &
                      dZmuMinusL
    coupl(nGC_5082) = coupl(nGC_3568) + coupl(nGC_5076)
    coupl(nGC_3466) = (-5d0*cima*coupl(nGC_10)**4d0*sq2**4d0 + 3d0*cima*coupl( &
                      nGC_12)**2d0 - 6d0*cima*coupl(nGC_12)*coupl(nGC_1432) +  &
                      3d0*cima*coupl(nGC_1432)**2d0 + 9d0*coupl(nGC_10)**2d0*  &
                      coupl(nGC_12)*sq2**2d0 - 6d0*coupl(nGC_10)**2d0*coupl(   &
                      nGC_1432)*sq2**2d0)/(96d0*pi**2d0)
    coupl(nGC_5189) = coupl(nGC_77)*dZbL_QED2/2d0
    coupl(nGC_3508) = coupl(nGC_3176)*dsw_ + coupl(nGC_3177)*dZee + coupl(     &
                      nGC_3178)*dvev_QEDM1
    coupl(nGC_3101) = -cima*cw*ee/sw
    coupl(nGC_3462) = (20d0*Nc*cima*coupl(nGC_10)**4d0*sq2**4d0 - 12d0*Nc*cima*&
                      coupl(nGC_12)*coupl(nGC_1434) + 12d0*Nc*cima*coupl(      &
                      nGC_1432)*coupl(nGC_1434) - 21d0*Nc*coupl(nGC_10)**2d0*  &
                      coupl(nGC_12)*sq2**2d0 - 3d0*Nc*coupl(nGC_10)**2d0*coupl(&
                      nGC_1428)*sq2**2d0 + 15d0*Nc*coupl(nGC_10)**2d0*coupl(   &
                      nGC_1432)*sq2**2d0 - 15d0*Nc*coupl(nGC_10)**2d0*coupl(   &
                      nGC_1434)*sq2**2d0 - 10d0*cima*coupl(nGC_11)**4d0*sq2**  &
                      4d0)/(768d0*pi**2d0*Nc)
    coupl(nGC_3088) = cima*ee**2d0/sw**2d0
    coupl(nGC_3133) = -cima*ee*sw/(3d0*cw**2d0)
    coupl(nGC_6660) = coupl(nGC_3584) + coupl(nGC_86)*dZuL_QCD2/2d0 + coupl(   &
                      nGC_86)*dZuR_QCD2/2d0
    coupl(nGC_6661) = coupl(nGC_3589) + coupl(nGC_88)*dZuL_QED2/2d0 + coupl(   &
                      nGC_88)*dZuR_QED2/2d0
    coupl(nGC_6662) = coupl(nGC_3586) + coupl(nGC_86)*dZuL_QED2/2d0 + coupl(   &
                      nGC_86)*dZuR_QED2/2d0
    coupl(nGC_5017) = coupl(nGC_36)*dZZA/2d0 + coupl(nGC_4)*dZtauMinusR
    coupl(nGC_3559) = coupl(nGC_3182)*dyb_QED3
    coupl(nGC_3558) = coupl(nGC_3182)*dyb_QED1
    coupl(nGC_3229) = cima*(4d0*Nc*coupl(nGC_53)**2d0 + 4d0*Nc*coupl(nGC_57)** &
                      2d0 + 4d0*Nc*coupl(nGC_61)**2d0 + 4d0*Nc*coupl(nGC_73)** &
                      2d0 + 4d0*Nc*coupl(nGC_77)**2d0 + 4d0*Nc*coupl(nGC_85)** &
                      2d0 + coupl(nGC_20)*coupl(nGC_464) + coupl(nGC_21)*coupl(&
                      nGC_830) + 2d0*coupl(nGC_22)*coupl(nGC_782) + coupl(nGC_4&
                      )**2d0 + coupl(nGC_40)**2d0 + coupl(nGC_570)**2d0 + coupl&
                      (nGC_636)**2d0 + 4d0*coupl(nGC_65)**2d0 + 4d0*coupl(     &
                      nGC_69)**2d0 + 4d0*coupl(nGC_81)**2d0)/(192d0*pi**2d0)
    coupl(nGC_3555) = coupl(nGC_3203)*dys_QED1
    coupl(nGC_3226) = (4d0*Nc*cMB**2d0*cima*coupl(nGC_1)**2d0 + 4d0*Nc*cMC**2d0&
                      *cima*coupl(nGC_2)**2d0 + 4d0*Nc*cMD**2d0*cima*coupl(    &
                      nGC_1)**2d0 + 4d0*Nc*cMS**2d0*cima*coupl(nGC_1)**2d0 +   &
                      4d0*Nc*cMT**2d0*cima*coupl(nGC_2)**2d0 + 4d0*Nc*cMU**2d0*&
                      cima*coupl(nGC_2)**2d0 + 4d0*cME**2d0*cima*coupl(nGC_4)**&
                      2d0 + 4d0*cMM**2d0*cima*coupl(nGC_4)**2d0 + 4d0*cMTA**2d0&
                      *cima*coupl(nGC_4)**2d0 + 3d0*cMW**2d0*cima*coupl(nGC_220&
                      )**2d0 + 3d0*cMW**2d0*cima*coupl(nGC_3)**2d0 - 2d0*cMW** &
                      2d0*coupl(nGC_350))/(16d0*pi**2d0)
    coupl(nGC_3225) = cima*(coupl(nGC_220)**2d0 + coupl(nGC_3)**2d0)/(48d0*pi**&
                      2d0)
    coupl(nGC_3224) = cima*(-4d0*Nc*coupl(nGC_1)**2d0 - 4d0*Nc*coupl(nGC_2)**  &
                      2d0 - coupl(nGC_220)**2d0 - coupl(nGC_3)**2d0 - 4d0*coupl&
                      (nGC_4)**2d0)/(32d0*pi**2d0)
    coupl(nGC_3223) = (2d0*Nc*cMB**2d0*cima*coupl(nGC_1)*coupl(nGC_34) + 2d0*Nc&
                      *cMB**2d0*cima*coupl(nGC_1)*coupl(nGC_38) + 2d0*Nc*cMC** &
                      2d0*cima*coupl(nGC_2)*coupl(nGC_35) + 2d0*Nc*cMC**2d0*   &
                      cima*coupl(nGC_2)*coupl(nGC_39) + 2d0*Nc*cMD**2d0*cima*  &
                      coupl(nGC_1)*coupl(nGC_34) + 2d0*Nc*cMD**2d0*cima*coupl( &
                      nGC_1)*coupl(nGC_38) + 2d0*Nc*cMS**2d0*cima*coupl(nGC_1)*&
                      coupl(nGC_34) + 2d0*Nc*cMS**2d0*cima*coupl(nGC_1)*coupl( &
                      nGC_38) + 2d0*Nc*cMT**2d0*cima*coupl(nGC_2)*coupl(nGC_35 &
                      ) + 2d0*Nc*cMT**2d0*cima*coupl(nGC_2)*coupl(nGC_39) + 2d0&
                      *Nc*cMU**2d0*cima*coupl(nGC_2)*coupl(nGC_35) + 2d0*Nc*cMU&
                      **2d0*cima*coupl(nGC_2)*coupl(nGC_39) + 2d0*cME**2d0*cima&
                      *coupl(nGC_36)*coupl(nGC_4) + 2d0*cME**2d0*cima*coupl(   &
                      nGC_4)*coupl(nGC_40) + 2d0*cMM**2d0*cima*coupl(nGC_36)*  &
                      coupl(nGC_4) + 2d0*cMM**2d0*cima*coupl(nGC_4)*coupl(     &
                      nGC_40) + 2d0*cMTA**2d0*cima*coupl(nGC_36)*coupl(nGC_4   &
                      ) + 2d0*cMTA**2d0*cima*coupl(nGC_4)*coupl(nGC_40) + 3d0* &
                      cMW**2d0*cima*coupl(nGC_220)*coupl(nGC_250) + 3d0*cMW**  &
                      2d0*cima*coupl(nGC_25)*coupl(nGC_3) - 2d0*cMW**2d0*coupl(&
                      nGC_29))/(16d0*pi**2d0)
    coupl(nGC_3222) = cima*(coupl(nGC_220)*coupl(nGC_250) + coupl(nGC_25)*coupl&
                      (nGC_3))/(48d0*pi**2d0)
    coupl(nGC_3221) = cima*(-2d0*Nc*coupl(nGC_1)*coupl(nGC_34) - 2d0*Nc*coupl( &
                      nGC_1)*coupl(nGC_38) - 2d0*Nc*coupl(nGC_2)*coupl(nGC_35  &
                      ) - 2d0*Nc*coupl(nGC_2)*coupl(nGC_39) - coupl(nGC_220)*  &
                      coupl(nGC_250) - coupl(nGC_25)*coupl(nGC_3) - 2d0*coupl( &
                      nGC_36)*coupl(nGC_4) - 2d0*coupl(nGC_4)*coupl(nGC_40))/( &
                      32d0*pi**2d0)
    coupl(nGC_3552) = coupl(nGC_3201)*dys_QED1
    coupl(nGC_3388) = coupl(nGC_11)**2d0*coupl(nGC_39)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_3389) = (4d0*coupl(nGC_2)**2d0*coupl(nGC_35) + 4d0*coupl(nGC_35  &
                      )**3d0 + coupl(nGC_38)*coupl(nGC_57)**2d0 + coupl(nGC_39 &
                      )*coupl(nGC_58)*coupl(nGC_60) + coupl(nGC_39)*coupl(     &
                      nGC_59)**2d0)/(32d0*pi**2d0)
    coupl(nGC_3380) = coupl(nGC_11)**2d0*coupl(nGC_23)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_3381) = coupl(nGC_23)*(coupl(nGC_220)*coupl(nGC_4) + coupl(nGC_25&
                      )*coupl(nGC_41) + coupl(nGC_250)*coupl(nGC_40) + coupl(  &
                      nGC_40)*coupl(nGC_41))/(8d0*pi**2d0)
    coupl(nGC_3382) = coupl(nGC_23)*(-coupl(nGC_25)*coupl(nGC_40) - coupl(     &
                      nGC_250)*coupl(nGC_41) - coupl(nGC_3)*coupl(nGC_4) +     &
                      coupl(nGC_40)*coupl(nGC_41))/(8d0*pi**2d0)
    coupl(nGC_3383) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_38) + 4d0*coupl(nGC_23  &
                      )**2d0*coupl(nGC_250) + 4d0*coupl(nGC_23)**2d0*coupl(    &
                      nGC_39) + coupl(nGC_34)*coupl(nGC_54)*coupl(nGC_56) +    &
                      coupl(nGC_34)*coupl(nGC_55)**2d0 + coupl(nGC_35)*coupl(  &
                      nGC_77)**2d0 + 4d0*coupl(nGC_38)**3d0)/(32d0*pi**2d0)
    coupl(nGC_3385) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_34) + 4d0*coupl(nGC_34  &
                      )**3d0 + coupl(nGC_38)*coupl(nGC_54)*coupl(nGC_56) +     &
                      coupl(nGC_38)*coupl(nGC_55)**2d0 + coupl(nGC_39)*coupl(  &
                      nGC_53)**2d0)/(32d0*pi**2d0)
    coupl(nGC_3386) = coupl(nGC_11)**2d0*coupl(nGC_34)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_3387) = (4d0*coupl(nGC_2)**2d0*coupl(nGC_39) + 4d0*coupl(nGC_23  &
                      )**2d0*coupl(nGC_25) + 4d0*coupl(nGC_23)**2d0*coupl(     &
                      nGC_38) + coupl(nGC_34)*coupl(nGC_73)**2d0 + coupl(nGC_35&
                      )*coupl(nGC_58)*coupl(nGC_60) + coupl(nGC_35)*coupl(     &
                      nGC_59)**2d0 + 4d0*coupl(nGC_39)**3d0)/(32d0*pi**2d0)
    coupl(nGC_5768) = coupl(nGC_63)*(dZdL_QCD2 + dZdR_QCD2)/2d0
    coupl(nGC_3311) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_77) + coupl(    &
                      nGC_1)*coupl(nGC_4)*coupl(nGC_77) + coupl(nGC_2)*coupl(  &
                      nGC_570)*coupl(nGC_77) + coupl(nGC_22)*coupl(nGC_23)*    &
                      coupl(nGC_78) + coupl(nGC_23)*coupl(nGC_464)*coupl(nGC_79&
                      ) + 8d0*coupl(nGC_35)*coupl(nGC_38)*coupl(nGC_77) + coupl&
                      (nGC_35)*coupl(nGC_636)*coupl(nGC_77) + coupl(nGC_38)*   &
                      coupl(nGC_40)*coupl(nGC_77) - coupl(nGC_53)*coupl(nGC_55 &
                      )*coupl(nGC_79) - coupl(nGC_53)*coupl(nGC_56)*coupl(     &
                      nGC_78))/(32d0*pi**2d0)
    coupl(nGC_3259) = (4d0*coupl(nGC_1)**3d0 + 4d0*coupl(nGC_1)*coupl(nGC_38)**&
                      2d0 + coupl(nGC_1)*coupl(nGC_54)*coupl(nGC_56) + coupl(  &
                      nGC_1)*coupl(nGC_55)**2d0 + 4d0*coupl(nGC_2)*coupl(nGC_23&
                      )**2d0 + coupl(nGC_2)*coupl(nGC_77)**2d0 + 4d0*coupl(    &
                      nGC_220)*coupl(nGC_23)**2d0)/(32d0*pi**2d0)
    coupl(nGC_3316) = (coupl(nGC_21)*coupl(nGC_23)*coupl(nGC_67) + coupl(nGC_23&
                      )*coupl(nGC_66)*coupl(nGC_782) + coupl(nGC_36)*coupl(    &
                      nGC_40)*coupl(nGC_65) + 8d0*coupl(nGC_36)*coupl(nGC_41)* &
                      coupl(nGC_65) + coupl(nGC_4)**2d0*coupl(nGC_65) + coupl( &
                      nGC_41)*coupl(nGC_636)*coupl(nGC_65))/(32d0*pi**2d0)
    coupl(nGC_3315) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_85) + coupl(    &
                      nGC_1)*coupl(nGC_4)*coupl(nGC_85) + coupl(nGC_2)*coupl(  &
                      nGC_570)*coupl(nGC_85) + coupl(nGC_22)*coupl(nGC_23)*    &
                      coupl(nGC_86) + coupl(nGC_23)*coupl(nGC_464)*coupl(nGC_87&
                      ) + 8d0*coupl(nGC_35)*coupl(nGC_38)*coupl(nGC_85) + coupl&
                      (nGC_35)*coupl(nGC_636)*coupl(nGC_85) + coupl(nGC_38)*   &
                      coupl(nGC_40)*coupl(nGC_85) - coupl(nGC_61)*coupl(nGC_63 &
                      )*coupl(nGC_87) - coupl(nGC_61)*coupl(nGC_64)*coupl(     &
                      nGC_86))/(32d0*pi**2d0)
    coupl(nGC_3252) = cima*(-coupl(nGC_23)**2d0 - coupl(nGC_41)**2d0)/(16d0*pi &
                      **2d0)
    coupl(nGC_3253) = cMS*cima*coupl(nGC_11)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(  &
                      32d0*pi**2d0*Nc)
    coupl(nGC_3251) = cMM*cima*(-coupl(nGC_36)*coupl(nGC_40) - coupl(nGC_4)**  &
                      2d0)/(8d0*pi**2d0)
    coupl(nGC_3256) = cMTA*cima*(-coupl(nGC_36)*coupl(nGC_40) - coupl(nGC_4)** &
                      2d0)/(8d0*pi**2d0)
    coupl(nGC_3257) = cMU*cima*(-coupl(nGC_2)**2d0 - coupl(nGC_35)*coupl(nGC_39&
                      ))/(8d0*pi**2d0)
    coupl(nGC_3254) = cMS*cima*(-coupl(nGC_1)**2d0 - coupl(nGC_34)*coupl(nGC_38&
                      ))/(8d0*pi**2d0)
    coupl(nGC_5767) = coupl(nGC_63)*(dZdL_QED2 + dZdR_QED2)/2d0
    coupl(nGC_3556) = coupl(nGC_3203)*dys_QED3
    coupl(nGC_3551) = coupl(nGC_3201)*dys_QED1_QCD2
    coupl(nGC_3550) = coupl(nGC_3193)*dydo_QED3
    coupl(nGC_3429) = coupl(nGC_11)*coupl(nGC_77)**2d0*sq2/(64d0*pi**2d0)
    coupl(nGC_3428) = coupl(nGC_11)*sq2*(4d0*coupl(nGC_23)**2d0 + coupl(nGC_53 &
                      )**2d0)/(64d0*pi**2d0)
    coupl(nGC_3553) = coupl(nGC_3201)*dys_QED3
    coupl(nGC_3421) = -coupl(nGC_11)*sq2*(-4d0*coupl(nGC_1)**2d0 - 4d0*coupl(  &
                      nGC_34)**2d0 - coupl(nGC_61)**2d0 - coupl(nGC_62)*coupl( &
                      nGC_64) - coupl(nGC_63)**2d0)/(64d0*pi**2d0)
    coupl(nGC_3420) = -coupl(nGC_11)*sq2*(-4d0*coupl(nGC_1)**2d0 - 4d0*coupl(  &
                      nGC_23)**2d0 - 4d0*coupl(nGC_38)**2d0 - coupl(nGC_62)*   &
                      coupl(nGC_64) - coupl(nGC_63)**2d0 - coupl(nGC_85)**2d0  &
                      )/(64d0*pi**2d0)
    coupl(nGC_3423) = coupl(nGC_11)*sq2*(-4d0*coupl(nGC_1)**2d0 - 4d0*coupl(   &
                      nGC_34)**2d0 - coupl(nGC_73)**2d0 - coupl(nGC_74)*coupl( &
                      nGC_76) - coupl(nGC_75)**2d0)/(64d0*pi**2d0*Nc)
    coupl(nGC_3422) = coupl(nGC_11)*sq2*(-4d0*coupl(nGC_1)**2d0 - 4d0*coupl(   &
                      nGC_23)**2d0 - 4d0*coupl(nGC_38)**2d0 - coupl(nGC_57)**  &
                      2d0 - coupl(nGC_74)*coupl(nGC_76) - coupl(nGC_75)**2d0)/(&
                      64d0*pi**2d0*Nc)
    coupl(nGC_3425) = coupl(nGC_11)*sq2*(4d0*coupl(nGC_1)**2d0 + 4d0*coupl(    &
                      nGC_23)**2d0 + 4d0*coupl(nGC_38)**2d0 + coupl(nGC_57)**  &
                      2d0 + coupl(nGC_74)*coupl(nGC_76) + coupl(nGC_75)**2d0)/(&
                      64d0*pi**2d0)
    coupl(nGC_3424) = coupl(nGC_11)**2d0*sq2**3d0*(Nc**2d0*cima*coupl(nGC_10   &
                      ) + coupl(nGC_11))/(64d0*pi**2d0*Nc**2d0)
    coupl(nGC_3427) = coupl(nGC_11)**2d0*sq2**3d0*(-Nc**2d0*cima*coupl(nGC_10  &
                      ) - coupl(nGC_11))/(64d0*pi**2d0*Nc)
    coupl(nGC_3426) = coupl(nGC_11)*sq2*(4d0*coupl(nGC_1)**2d0 + 4d0*coupl(    &
                      nGC_34)**2d0 + coupl(nGC_73)**2d0 + coupl(nGC_74)*coupl( &
                      nGC_76) + coupl(nGC_75)**2d0)/(64d0*pi**2d0)
    coupl(nGC_7339) = coupl(nGC_MT)*(dZtL + dZtR)/2d0
    coupl(nGC_5003) = coupl(nGC_3574) + coupl(nGC_81)*dZnu_tauL/2d0 + coupl(   &
                      nGC_81)*dZtauMinusR/2d0
    coupl(nGC_6244) = coupl(nGC_3596) + coupl(nGC_80)*dZtL/2d0 + coupl(nGC_80)*&
                      dZtR/2d0
    coupl(nGC_5009) = coupl(nGC_3572) + coupl(nGC_65)*dZeMinusR/2d0 + coupl(   &
                      nGC_65)*dZnu_eL/2d0
    coupl(nGC_5614) = coupl(nGC_3511) + coupl(nGC_4)*dZAZ/2d0 + coupl(nGC_40)* &
                      dZZ/2d0
    coupl(nGC_5615) = -coupl(nGC_5614)
    coupl(nGC_6080) = coupl(nGC_MI)*dZdR_QED2
    coupl(nGC_6081) = coupl(nGC_MI)*dZdR_QCD2
    coupl(nGC_5948) = coupl(nGC_11)*dZcL_QED2
    coupl(nGC_5949) = coupl(nGC_11)*dZcL_QCD2
    coupl(nGC_5946) = coupl(nGC_11)*dZcR_QED2
    coupl(nGC_5947) = coupl(nGC_11)*dZcR_QCD2
    coupl(nGC_5342) = coupl(nGC_3534) + coupl(nGC_85)*dZdL_QED2/2d0 + coupl(   &
                      nGC_85)*dZuR_QED2/2d0
    coupl(nGC_5228) = coupl(nGC_11)*dZbL_QCD2
    coupl(nGC_5340) = coupl(nGC_3532) + coupl(nGC_85)*dZdL_QCD2/2d0 + coupl(   &
                      nGC_85)*dZuR_QCD2/2d0
    coupl(nGC_5341) = coupl(nGC_3531) + coupl(nGC_61)*dZdR_QED2/2d0 + coupl(   &
                      nGC_61)*dZuL_QED2/2d0
    coupl(nGC_5227) = coupl(nGC_11)*dZbL_QED2
    coupl(nGC_6443) = coupl(nGC_71)*(dZmuMinusL + dZmuMinusR)/2d0
    coupl(nGC_3384) = coupl(nGC_11)**2d0*coupl(nGC_38)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_8412) = coupl(nGC_MI)*dZWMinus
    coupl(nGC_8415) = coupl(nGC_3623) + coupl(nGC_MW)*dZWMinus
    coupl(nGC_8416) = -coupl(nGC_8412)
    coupl(nGC_6620) = coupl(nGC_3611) + coupl(nGC_6616)
    coupl(nGC_6621) = coupl(nGC_3612) + coupl(nGC_6617)
    coupl(nGC_3602) = coupl(nGC_3191)*dyc_QED1
    coupl(nGC_3268) = (-4d0*Nc*cMB*coupl(nGC_1)*coupl(nGC_34)*coupl(nGC_55) -  &
                      4d0*Nc*cMB*coupl(nGC_1)*coupl(nGC_38)*coupl(nGC_55) - 4d0&
                      *Nc*cMC*coupl(nGC_2)*coupl(nGC_35)*coupl(nGC_59) - 4d0*Nc&
                      *cMC*coupl(nGC_2)*coupl(nGC_39)*coupl(nGC_59) - 4d0*Nc*  &
                      cMD*coupl(nGC_1)*coupl(nGC_34)*coupl(nGC_63) - 4d0*Nc*cMD&
                      *coupl(nGC_1)*coupl(nGC_38)*coupl(nGC_63) - 4d0*Nc*cMS*  &
                      coupl(nGC_1)*coupl(nGC_34)*coupl(nGC_75) - 4d0*Nc*cMS*   &
                      coupl(nGC_1)*coupl(nGC_38)*coupl(nGC_75) - 4d0*Nc*cMT*   &
                      coupl(nGC_2)*coupl(nGC_35)*coupl(nGC_79) - 4d0*Nc*cMT*   &
                      coupl(nGC_2)*coupl(nGC_39)*coupl(nGC_79) - 4d0*Nc*cMU*   &
                      coupl(nGC_2)*coupl(nGC_35)*coupl(nGC_87) - 4d0*Nc*cMU*   &
                      coupl(nGC_2)*coupl(nGC_39)*coupl(nGC_87) - 4d0*cME*coupl(&
                      nGC_36)*coupl(nGC_4)*coupl(nGC_67) - 4d0*cME*coupl(nGC_4 &
                      )*coupl(nGC_40)*coupl(nGC_67) - 4d0*cMM*coupl(nGC_36)*   &
                      coupl(nGC_4)*coupl(nGC_71) - 4d0*cMM*coupl(nGC_4)*coupl( &
                      nGC_40)*coupl(nGC_71) - 4d0*cMTA*coupl(nGC_36)*coupl(    &
                      nGC_4)*coupl(nGC_83) - 4d0*cMTA*coupl(nGC_4)*coupl(nGC_40&
                      )*coupl(nGC_83) + 4d0*cima*coupl(nGC_29)*coupl(nGC_50) - &
                      coupl(nGC_20)*coupl(nGC_250)*coupl(nGC_51) - coupl(nGC_21&
                      )*coupl(nGC_25)*coupl(nGC_51) + 6d0*coupl(nGC_220)*coupl(&
                      nGC_250)*coupl(nGC_50) - coupl(nGC_220)*coupl(nGC_464)*  &
                      coupl(nGC_47) + 6d0*coupl(nGC_25)*coupl(nGC_3)*coupl(    &
                      nGC_50) - coupl(nGC_3)*coupl(nGC_47)*coupl(nGC_830))/(   &
                      32d0*pi**2d0)
    coupl(nGC_5535) = coupl(nGC_79)*(dZtL + dZtR)/2d0
    coupl(nGC_3348) = coupl(nGC_11)**2d0*coupl(nGC_88)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_3346) = coupl(nGC_11)**2d0*coupl(nGC_86)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_6050) = coupl(nGC_3508) + coupl(nGC_50)*dZH/2d0 + coupl(nGC_50)* &
                      dZWMinus
    coupl(nGC_3313) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_73) - coupl(    &
                      nGC_1)*coupl(nGC_570)*coupl(nGC_73) - coupl(nGC_2)*coupl(&
                      nGC_4)*coupl(nGC_73) - coupl(nGC_22)*coupl(nGC_23)*coupl(&
                      nGC_74) - coupl(nGC_23)*coupl(nGC_464)*coupl(nGC_75) +   &
                      8d0*coupl(nGC_34)*coupl(nGC_39)*coupl(nGC_73) - coupl(   &
                      nGC_34)*coupl(nGC_636)*coupl(nGC_73) - coupl(nGC_39)*    &
                      coupl(nGC_40)*coupl(nGC_73) - coupl(nGC_57)*coupl(nGC_59 &
                      )*coupl(nGC_75) - coupl(nGC_57)*coupl(nGC_60)*coupl(     &
                      nGC_74))/(32d0*pi**2d0)
    coupl(nGC_3312) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_57) - coupl(    &
                      nGC_1)*coupl(nGC_57)*coupl(nGC_570) - coupl(nGC_2)*coupl(&
                      nGC_4)*coupl(nGC_57) - coupl(nGC_21)*coupl(nGC_23)*coupl(&
                      nGC_59) - coupl(nGC_23)*coupl(nGC_58)*coupl(nGC_782) +   &
                      8d0*coupl(nGC_35)*coupl(nGC_38)*coupl(nGC_57) - coupl(   &
                      nGC_35)*coupl(nGC_40)*coupl(nGC_57) - coupl(nGC_38)*coupl&
                      (nGC_57)*coupl(nGC_636) - coupl(nGC_58)*coupl(nGC_73)*   &
                      coupl(nGC_76) - coupl(nGC_59)*coupl(nGC_73)*coupl(nGC_75 &
                      ))/(32d0*pi**2d0)
    coupl(nGC_3258) = cMU*cima*coupl(nGC_11)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(  &
                      32d0*pi**2d0*Nc)
    coupl(nGC_3310) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_53) + coupl(    &
                      nGC_1)*coupl(nGC_4)*coupl(nGC_53) + coupl(nGC_2)*coupl(  &
                      nGC_53)*coupl(nGC_570) + coupl(nGC_21)*coupl(nGC_23)*    &
                      coupl(nGC_55) + coupl(nGC_23)*coupl(nGC_54)*coupl(nGC_782&
                      ) + 8d0*coupl(nGC_34)*coupl(nGC_39)*coupl(nGC_53) + coupl&
                      (nGC_34)*coupl(nGC_40)*coupl(nGC_53) + coupl(nGC_39)*    &
                      coupl(nGC_53)*coupl(nGC_636) - coupl(nGC_54)*coupl(nGC_77&
                      )*coupl(nGC_80) - coupl(nGC_55)*coupl(nGC_77)*coupl(     &
                      nGC_79))/(32d0*pi**2d0)
    coupl(nGC_4938) = coupl(nGC_2)*dZcR_QED2
    coupl(nGC_4939) = coupl(nGC_2)*dZcR_QCD2
    coupl(nGC_3317) = (coupl(nGC_21)*coupl(nGC_23)*coupl(nGC_71) + coupl(nGC_23&
                      )*coupl(nGC_70)*coupl(nGC_782) + coupl(nGC_36)*coupl(    &
                      nGC_40)*coupl(nGC_69) + 8d0*coupl(nGC_36)*coupl(nGC_41)* &
                      coupl(nGC_69) + coupl(nGC_4)**2d0*coupl(nGC_69) + coupl( &
                      nGC_41)*coupl(nGC_636)*coupl(nGC_69))/(32d0*pi**2d0)
    coupl(nGC_4934) = coupl(nGC_2)*dZcL_QCD2
    coupl(nGC_4935) = coupl(nGC_39)*dZZA/2d0
    coupl(nGC_4933) = coupl(nGC_2)*dZcL_QED2
    coupl(nGC_3506) = coupl(nGC_3090)*dZee + coupl(nGC_3091)*dsw_
    coupl(nGC_3507) = coupl(nGC_3088)*dZee + coupl(nGC_3089)*dsw_
    coupl(nGC_3504) = coupl(nGC_3094)*dZee + coupl(nGC_3095)*dsw_
    coupl(nGC_3505) = coupl(nGC_3107)*dZee + coupl(nGC_3108)*dsw_
    coupl(nGC_3502) = coupl(nGC_3179)*dsw_ + coupl(nGC_3180)*dZee + coupl(     &
                      nGC_3181)*dvev_QEDM1
    coupl(nGC_3503) = coupl(nGC_3099)*dZee + coupl(nGC_3100)*dsw_
    coupl(nGC_3500) = coupl(nGC_3111)*dZee + coupl(nGC_3112)*dsw_
    coupl(nGC_3501) = coupl(nGC_3109)*dZee + coupl(nGC_3110)*dsw_
    coupl(nGC_3465) = (-20d0*cima*coupl(nGC_10)**4d0*sq2**4d0 + 12d0*cima*coupl&
                      (nGC_1434)**2d0 + 3d0*coupl(nGC_10)**2d0*coupl(nGC_12)*  &
                      sq2**2d0 + 3d0*coupl(nGC_10)**2d0*coupl(nGC_1428)*sq2**  &
                      2d0 + 3d0*coupl(nGC_10)**2d0*coupl(nGC_1432)*sq2**2d0 +  &
                      33d0*coupl(nGC_10)**2d0*coupl(nGC_1434)*sq2**2d0)/(384d0*&
                      pi**2d0)
    coupl(nGC_3314) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_61) + coupl(    &
                      nGC_1)*coupl(nGC_4)*coupl(nGC_61) + coupl(nGC_2)*coupl(  &
                      nGC_570)*coupl(nGC_61) + coupl(nGC_21)*coupl(nGC_23)*    &
                      coupl(nGC_63) + coupl(nGC_23)*coupl(nGC_62)*coupl(nGC_782&
                      ) + 8d0*coupl(nGC_34)*coupl(nGC_39)*coupl(nGC_61) + coupl&
                      (nGC_34)*coupl(nGC_40)*coupl(nGC_61) + coupl(nGC_39)*    &
                      coupl(nGC_61)*coupl(nGC_636) - coupl(nGC_62)*coupl(nGC_85&
                      )*coupl(nGC_88) - coupl(nGC_63)*coupl(nGC_85)*coupl(     &
                      nGC_87))/(32d0*pi**2d0)
    coupl(nGC_3461) = (-8d0*Nc*cima*coupl(nGC_10)**4d0*sq2**4d0 + 12d0*Nc*cima*&
                      coupl(nGC_12)**2d0 + 12d0*Nc*cima*coupl(nGC_1432)**2d0 + &
                      21d0*Nc*coupl(nGC_10)**2d0*coupl(nGC_12)*sq2**2d0 - 21d0*&
                      Nc*coupl(nGC_10)**2d0*coupl(nGC_1432)*sq2**2d0 + 30d0*   &
                      cima*coupl(nGC_11)**4d0*sq2**4d0)/(768d0*pi**2d0)
    coupl(nGC_3460) = sq2**2d0*(-2d0*Nc*cima*coupl(nGC_10)**4d0*sq2**2d0 + 3d0*&
                      Nc*coupl(nGC_10)**2d0*coupl(nGC_1428) - 3d0*Nc*coupl(    &
                      nGC_10)**2d0*coupl(nGC_1434) - 25d0*cima*coupl(nGC_11)** &
                      4d0*sq2**2d0)/(384d0*pi**2d0)
    coupl(nGC_3463) = (10d0*Nc*cima*coupl(nGC_10)**4d0*sq2**4d0 - 6d0*Nc*cima* &
                      coupl(nGC_12)*coupl(nGC_1434) + 6d0*Nc*cima*coupl(       &
                      nGC_1432)*coupl(nGC_1434) - 12d0*Nc*coupl(nGC_10)**2d0*  &
                      coupl(nGC_12)*sq2**2d0 + 6d0*Nc*coupl(nGC_10)**2d0*coupl(&
                      nGC_1432)*sq2**2d0 - 6d0*Nc*coupl(nGC_10)**2d0*coupl(    &
                      nGC_1434)*sq2**2d0 - 5d0*cima*coupl(nGC_11)**4d0*sq2**4d0&
                      )/(384d0*pi**2d0*Nc)
    coupl(nGC_3509) = coupl(nGC_3152)*dZee + coupl(nGC_3153)*dsw_ + coupl(     &
                      nGC_3154)*dcw_
    coupl(nGC_7305) = coupl(nGC_3609) + coupl(nGC_7302)
    coupl(nGC_3250) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-cMB**2d0 - cMC**2d0 - &
                      cMD**2d0 - cMS**2d0 - cMU**2d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_3318) = (-coupl(nGC_22)*coupl(nGC_23)*coupl(nGC_82) - coupl(     &
                      nGC_23)*coupl(nGC_464)*coupl(nGC_83) + 8d0*coupl(nGC_36)*&
                      coupl(nGC_41)*coupl(nGC_81) - coupl(nGC_36)*coupl(nGC_636&
                      )*coupl(nGC_81) - coupl(nGC_4)*coupl(nGC_570)*coupl(     &
                      nGC_81) - coupl(nGC_40)*coupl(nGC_41)*coupl(nGC_81))/(   &
                      32d0*pi**2d0)
    coupl(nGC_5168) = coupl(nGC_41)*dZZA/2d0
    coupl(nGC_3263) = (4d0*Nc*coupl(nGC_1)*coupl(nGC_53)**2d0 + 4d0*Nc*coupl(  &
                      nGC_1)*coupl(nGC_57)**2d0 + 4d0*Nc*coupl(nGC_1)*coupl(   &
                      nGC_61)**2d0 + 4d0*Nc*coupl(nGC_1)*coupl(nGC_73)**2d0 +  &
                      4d0*Nc*coupl(nGC_1)*coupl(nGC_77)**2d0 + 4d0*Nc*coupl(   &
                      nGC_1)*coupl(nGC_85)**2d0 - 4d0*Nc*coupl(nGC_2)*coupl(   &
                      nGC_53)**2d0 - 4d0*Nc*coupl(nGC_2)*coupl(nGC_57)**2d0 -  &
                      4d0*Nc*coupl(nGC_2)*coupl(nGC_61)**2d0 - 4d0*Nc*coupl(   &
                      nGC_2)*coupl(nGC_73)**2d0 - 4d0*Nc*coupl(nGC_2)*coupl(   &
                      nGC_77)**2d0 - 4d0*Nc*coupl(nGC_2)*coupl(nGC_85)**2d0 -  &
                      6d0*coupl(nGC_20)*coupl(nGC_3)*coupl(nGC_464) - 6d0*coupl&
                      (nGC_22)*coupl(nGC_3)*coupl(nGC_782) + coupl(nGC_4)*coupl&
                      (nGC_570)**2d0 + coupl(nGC_4)*coupl(nGC_636)**2d0 + 4d0* &
                      coupl(nGC_4)*coupl(nGC_65)**2d0 + 4d0*coupl(nGC_4)*coupl(&
                      nGC_69)**2d0 + 4d0*coupl(nGC_4)*coupl(nGC_81)**2d0)/(96d0&
                      *pi**2d0)
    coupl(nGC_3262) = (-2d0*Nc*cMB*coupl(nGC_2)*coupl(nGC_23)*coupl(nGC_53) -  &
                      2d0*Nc*cMC*coupl(nGC_1)*coupl(nGC_23)*coupl(nGC_57) - 2d0&
                      *Nc*cMD*coupl(nGC_2)*coupl(nGC_23)*coupl(nGC_61) - 2d0*Nc&
                      *cMS*coupl(nGC_2)*coupl(nGC_23)*coupl(nGC_73) - 2d0*Nc*  &
                      cMT*coupl(nGC_1)*coupl(nGC_23)*coupl(nGC_77) - 2d0*Nc*cMU&
                      *coupl(nGC_1)*coupl(nGC_23)*coupl(nGC_85) + 4d0*cima*    &
                      coupl(nGC_216)*coupl(nGC_47) + 4d0*cima*coupl(nGC_5)*    &
                      coupl(nGC_51) - coupl(nGC_21)*coupl(nGC_220)*coupl(nGC_50&
                      ) + 6d0*coupl(nGC_220)*coupl(nGC_25)*coupl(nGC_47) + 6d0*&
                      coupl(nGC_220)*coupl(nGC_3)*coupl(nGC_51) - coupl(nGC_25 &
                      )*coupl(nGC_40)*coupl(nGC_51) - coupl(nGC_3)*coupl(nGC_4 &
                      )*coupl(nGC_51))/(32d0*pi**2d0)
    coupl(nGC_3261) = coupl(nGC_1)*coupl(nGC_11)**2d0*sq2**2d0*(Nc**2d0 - 1d0  &
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_3260) = (4d0*coupl(nGC_1)**3d0 + 4d0*coupl(nGC_1)*coupl(nGC_34)**&
                      2d0 + coupl(nGC_1)*coupl(nGC_54)*coupl(nGC_56) + coupl(  &
                      nGC_1)*coupl(nGC_55)**2d0 + coupl(nGC_2)*coupl(nGC_53)** &
                      2d0)/(32d0*pi**2d0)
    coupl(nGC_3267) = (-8d0*Nc*cMB*coupl(nGC_1)**2d0*coupl(nGC_55) - 8d0*Nc*cMC&
                      *coupl(nGC_2)**2d0*coupl(nGC_59) - 8d0*Nc*cMD*coupl(nGC_1&
                      )**2d0*coupl(nGC_63) - 8d0*Nc*cMS*coupl(nGC_1)**2d0*coupl&
                      (nGC_75) - 8d0*Nc*cMT*coupl(nGC_2)**2d0*coupl(nGC_79) -  &
                      8d0*Nc*cMU*coupl(nGC_2)**2d0*coupl(nGC_87) - 8d0*cME*    &
                      coupl(nGC_4)**2d0*coupl(nGC_67) - 8d0*cMM*coupl(nGC_4)** &
                      2d0*coupl(nGC_71) - 8d0*cMTA*coupl(nGC_4)**2d0*coupl(    &
                      nGC_83) + 4d0*cima*coupl(nGC_350)*coupl(nGC_50) - coupl( &
                      nGC_20)*coupl(nGC_220)*coupl(nGC_51) - coupl(nGC_21)*    &
                      coupl(nGC_3)*coupl(nGC_51) + 6d0*coupl(nGC_220)**2d0*    &
                      coupl(nGC_50) - coupl(nGC_220)*coupl(nGC_464)*coupl(     &
                      nGC_51) + 6d0*coupl(nGC_3)**2d0*coupl(nGC_50) - coupl(   &
                      nGC_3)*coupl(nGC_51)*coupl(nGC_830))/(32d0*pi**2d0)
    coupl(nGC_3266) = (-6d0*coupl(nGC_20)*coupl(nGC_22)*coupl(nGC_220) - 6d0*  &
                      coupl(nGC_21)*coupl(nGC_22)*coupl(nGC_3) + coupl(nGC_4)* &
                      coupl(nGC_782)*coupl(nGC_830) + coupl(nGC_464)*coupl(    &
                      nGC_570)*coupl(nGC_782))/(96d0*pi**2d0)
    coupl(nGC_3265) = (-2d0*Nc*cMB*coupl(nGC_2)*coupl(nGC_23)*coupl(nGC_53) -  &
                      2d0*Nc*cMC*coupl(nGC_1)*coupl(nGC_23)*coupl(nGC_57) - 2d0&
                      *Nc*cMD*coupl(nGC_2)*coupl(nGC_23)*coupl(nGC_61) - 2d0*Nc&
                      *cMS*coupl(nGC_2)*coupl(nGC_23)*coupl(nGC_73) - 2d0*Nc*  &
                      cMT*coupl(nGC_1)*coupl(nGC_23)*coupl(nGC_77) - 2d0*Nc*cMU&
                      *coupl(nGC_1)*coupl(nGC_23)*coupl(nGC_85) + 4d0*cima*    &
                      coupl(nGC_216)*coupl(nGC_47) + 4d0*cima*coupl(nGC_5)*    &
                      coupl(nGC_51) - coupl(nGC_20)*coupl(nGC_3)*coupl(nGC_50  &
                      ) + 6d0*coupl(nGC_220)*coupl(nGC_3)*coupl(nGC_51) - coupl&
                      (nGC_220)*coupl(nGC_51)*coupl(nGC_570) + 6d0*coupl(      &
                      nGC_250)*coupl(nGC_3)*coupl(nGC_47) - coupl(nGC_250)*    &
                      coupl(nGC_51)*coupl(nGC_636))/(32d0*pi**2d0)
    coupl(nGC_3264) = (12d0*Nc*coupl(nGC_1)*coupl(nGC_23)**2d0 - 12d0*Nc*coupl(&
                      nGC_2)*coupl(nGC_23)**2d0 - 11d0*coupl(nGC_220)**2d0*    &
                      coupl(nGC_3) + 12d0*coupl(nGC_23)**2d0*coupl(nGC_4) -    &
                      11d0*coupl(nGC_250)**2d0*coupl(nGC_3))/(96d0*pi**2d0)
    coupl(nGC_3269) = (4d0*coupl(nGC_1)*coupl(nGC_23)**2d0 + coupl(nGC_1)*coupl&
                      (nGC_73)**2d0 + 4d0*coupl(nGC_2)**3d0 + 4d0*coupl(nGC_2)*&
                      coupl(nGC_39)**2d0 + coupl(nGC_2)*coupl(nGC_58)*coupl(   &
                      nGC_60) + coupl(nGC_2)*coupl(nGC_59)**2d0 + 4d0*coupl(   &
                      nGC_23)**2d0*coupl(nGC_3))/(32d0*pi**2d0)
    coupl(nGC_3255) = cMT*cima*(-coupl(nGC_2)**2d0 - coupl(nGC_35)*coupl(nGC_39&
                      ))/(8d0*pi**2d0)
    coupl(nGC_5308) = coupl(nGC_3570) + coupl(nGC_55)*dZH/2d0
    coupl(nGC_7934) = coupl(nGC_MI)*dZnu_muR
    coupl(nGC_5306) = coupl(nGC_55)*(dZbL_QCD2 + dZbR_QCD2)/2d0
    coupl(nGC_5307) = coupl(nGC_3569) + coupl(nGC_5306)
    coupl(nGC_5305) = coupl(nGC_55)*(dZbL_QED2 + dZbR_QED2)/2d0
    coupl(nGC_7933) = coupl(nGC_MI)*dZnu_muL
    coupl(nGC_3328) = coupl(nGC_11)**2d0*coupl(nGC_60)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_5838) = coupl(nGC_MC)*(dZcL_QED2 + dZcR_QED2)/2d0
    coupl(nGC_5839) = coupl(nGC_MC)*(dZcL_QCD2 + dZcR_QCD2)/2d0
    coupl(nGC_5836) = coupl(nGC_MI)*dZcL_QED2
    coupl(nGC_5837) = coupl(nGC_MI)*dZcL_QCD2
    coupl(nGC_5831) = coupl(nGC_39)*dZuL_QCD2
    coupl(nGC_3554) = coupl(nGC_3203)*dys_QED1_QCD2
    coupl(nGC_4883) = coupl(nGC_38)*dZsL_QCD2
    coupl(nGC_4881) = coupl(nGC_38)*dZsL_QED2
    coupl(nGC_5278) = coupl(nGC_MI)*dZZA/2d0
    coupl(nGC_5279) = coupl(nGC_MZ)*dZZA/2d0
    coupl(nGC_3486) = coupl(nGC_3084)*dMW2 + coupl(nGC_3085)*dZee
    coupl(nGC_3485) = coupl(nGC_3072)*dZee
    coupl(nGC_3484) = coupl(nGC_3096)*dZee + coupl(nGC_3097)*dsw_ + coupl(     &
                      nGC_3098)*dcw_
    coupl(nGC_3483) = coupl(nGC_3113)*dZee + coupl(nGC_3114)*dsw_ + coupl(     &
                      nGC_3115)*dcw_
    coupl(nGC_3482) = coupl(nGC_3086)*dZee + coupl(nGC_3087)*dsw_
    coupl(nGC_3481) = coupl(nGC_3104)*dZee + coupl(nGC_3105)*dsw_ + coupl(     &
                      nGC_3106)*dcw_
    coupl(nGC_3480) = coupl(nGC_3068)*dZee
    coupl(nGC_3489) = coupl(nGC_3155)*dsw_ + coupl(nGC_3156)*dMW2 + coupl(     &
                      nGC_3157)*dZee + coupl(nGC_3158)*dcw_
    coupl(nGC_3488) = coupl(nGC_3119)*dsw_ + coupl(nGC_3120)*dMW2 + coupl(     &
                      nGC_3121)*dZee
    coupl(nGC_6307) = coupl(nGC_3559) + coupl(nGC_54)*dZbL_QED2/2d0 + coupl(   &
                      nGC_54)*dZbR_QED2/2d0
    coupl(nGC_6306) = coupl(nGC_3562) + coupl(nGC_56)*dZbL_QED2/2d0 + coupl(   &
                      nGC_56)*dZbR_QED2/2d0
    coupl(nGC_6305) = coupl(nGC_3557) + coupl(nGC_54)*dZbL_QCD2/2d0 + coupl(   &
                      nGC_54)*dZbR_QCD2/2d0
    coupl(nGC_6304) = coupl(nGC_3560) + coupl(nGC_56)*dZbL_QCD2/2d0 + coupl(   &
                      nGC_56)*dZbR_QCD2/2d0
    coupl(nGC_6659) = coupl(nGC_3587) + coupl(nGC_88)*dZuL_QCD2/2d0 + coupl(   &
                      nGC_88)*dZuR_QCD2/2d0
    coupl(nGC_4973) = coupl(nGC_26)*dZA/2d0 + coupl(nGC_26)*dZWMinus/2d0 +     &
                      coupl(nGC_3505) + coupl(nGC_7)*dZZA/2d0
    coupl(nGC_4976) = coupl(nGC_17)*dZH + coupl(nGC_17)*dZWMinus + coupl(      &
                      nGC_3507)
    coupl(nGC_4879) = coupl(nGC_34)*dZsR_QCD2
    coupl(nGC_4877) = coupl(nGC_34)*dZsR_QED2
    coupl(nGC_5286) = coupl(nGC_3517) + coupl(nGC_42)*dZAZ + coupl(nGC_45)*dZZ
    coupl(nGC_3548) = coupl(nGC_3193)*dydo_QED1_QCD2
    coupl(nGC_3238) = cima*(-coupl(nGC_2)**2d0 - coupl(nGC_23)**2d0 - coupl(   &
                      nGC_39)**2d0)/(16d0*pi**2d0)
    coupl(nGC_3626) = coupl(nGC_152)*dMZ2
    coupl(nGC_3625) = coupl(nGC_148)*dMW2
    coupl(nGC_3624) = coupl(nGC_144)*dMW2
    coupl(nGC_3234) = cima*(coupl(nGC_25)**2d0 + coupl(nGC_250)**2d0)/(48d0*pi &
                      **2d0)
    coupl(nGC_3235) = (2d0*Nc*cMB**2d0*cima*coupl(nGC_34)**2d0 + 2d0*Nc*cMB**  &
                      2d0*cima*coupl(nGC_38)**2d0 + 2d0*Nc*cMC**2d0*cima*coupl(&
                      nGC_35)**2d0 + 2d0*Nc*cMC**2d0*cima*coupl(nGC_39)**2d0 + &
                      2d0*Nc*cMD**2d0*cima*coupl(nGC_34)**2d0 + 2d0*Nc*cMD**2d0&
                      *cima*coupl(nGC_38)**2d0 + 2d0*Nc*cMS**2d0*cima*coupl(   &
                      nGC_34)**2d0 + 2d0*Nc*cMS**2d0*cima*coupl(nGC_38)**2d0 + &
                      2d0*Nc*cMT**2d0*cima*coupl(nGC_35)**2d0 + 2d0*Nc*cMT**2d0&
                      *cima*coupl(nGC_39)**2d0 + 2d0*Nc*cMU**2d0*cima*coupl(   &
                      nGC_35)**2d0 + 2d0*Nc*cMU**2d0*cima*coupl(nGC_39)**2d0 + &
                      2d0*cME**2d0*cima*coupl(nGC_36)**2d0 + 2d0*cME**2d0*cima*&
                      coupl(nGC_40)**2d0 + 2d0*cMM**2d0*cima*coupl(nGC_36)**2d0&
                       + 2d0*cMM**2d0*cima*coupl(nGC_40)**2d0 + 2d0*cMTA**2d0* &
                      cima*coupl(nGC_36)**2d0 + 2d0*cMTA**2d0*cima*coupl(nGC_40&
                      )**2d0 + 3d0*cMW**2d0*cima*coupl(nGC_25)**2d0 + 3d0*cMW**&
                      2d0*cima*coupl(nGC_250)**2d0 - 2d0*cMW**2d0*coupl(nGC_254&
                      ))/(16d0*pi**2d0)
    coupl(nGC_3236) = cMC*cima*(-coupl(nGC_2)**2d0 - coupl(nGC_35)*coupl(nGC_39&
                      ))/(8d0*pi**2d0)
    coupl(nGC_3546) = coupl(nGC_3194)*dydo_QED1
  end subroutine fill_CTcouplings_mdl2
end module fill_ctcouplings2
