!******************************************************************************!
!                                                                              !
!    fill_ctcouplings3.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings3.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2019-10-14 10:32             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings3
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl3()
    coupl(nGC_3233) = cima*(-2d0*Nc*coupl(nGC_34)**2d0 - 2d0*Nc*coupl(nGC_35)**&
                      2d0 - 2d0*Nc*coupl(nGC_38)**2d0 - 2d0*Nc*coupl(nGC_39)** &
                      2d0 - coupl(nGC_25)**2d0 - coupl(nGC_250)**2d0 - 2d0*    &
                      coupl(nGC_36)**2d0 - 2d0*coupl(nGC_40)**2d0 - 2d0*coupl( &
                      nGC_41)**2d0)/(32d0*pi**2d0)
    coupl(nGC_5088) = coupl(nGC_27)*dZA/2d0 + coupl(nGC_27)*dZH/2d0 + coupl(   &
                      nGC_27)*dZWMinus/2d0 + coupl(nGC_3501) + coupl(nGC_8)*   &
                      dZZA/2d0
    coupl(nGC_5125) = coupl(nGC_3510) + coupl(nGC_37)*dZH/2d0 + coupl(nGC_37)* &
                      dZZ/2d0
    coupl(nGC_5083) = coupl(nGC_3567) + coupl(nGC_75)*dZH/2d0
    coupl(nGC_5084) = coupl(nGC_3566) + coupl(nGC_5077)
    coupl(nGC_5699) = coupl(nGC_39)*dZcL_QED2
    coupl(nGC_5695) = coupl(nGC_35)*dZcR_QED2
    coupl(nGC_5697) = coupl(nGC_35)*dZcR_QCD2
    coupl(nGC_3300) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_61) - coupl(    &
                      nGC_1)*coupl(nGC_570)*coupl(nGC_61) - coupl(nGC_2)*coupl(&
                      nGC_4)*coupl(nGC_61) - coupl(nGC_20)*coupl(nGC_23)*coupl(&
                      nGC_63) - coupl(nGC_23)*coupl(nGC_64)*coupl(nGC_782) +   &
                      8d0*coupl(nGC_34)*coupl(nGC_39)*coupl(nGC_61) - coupl(   &
                      nGC_34)*coupl(nGC_61)*coupl(nGC_636) - coupl(nGC_39)*    &
                      coupl(nGC_40)*coupl(nGC_61) - coupl(nGC_63)*coupl(nGC_85 &
                      )*coupl(nGC_87) - coupl(nGC_64)*coupl(nGC_85)*coupl(     &
                      nGC_86))/(32d0*pi**2d0)
    coupl(nGC_3301) = coupl(nGC_11)**2d0*coupl(nGC_61)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_3302) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_85) - coupl(    &
                      nGC_1)*coupl(nGC_570)*coupl(nGC_85) - coupl(nGC_2)*coupl(&
                      nGC_4)*coupl(nGC_85) - coupl(nGC_22)*coupl(nGC_23)*coupl(&
                      nGC_88) - coupl(nGC_23)*coupl(nGC_830)*coupl(nGC_87) +   &
                      8d0*coupl(nGC_35)*coupl(nGC_38)*coupl(nGC_85) - coupl(   &
                      nGC_35)*coupl(nGC_40)*coupl(nGC_85) - coupl(nGC_38)*coupl&
                      (nGC_636)*coupl(nGC_85) - coupl(nGC_61)*coupl(nGC_62)*   &
                      coupl(nGC_88) - coupl(nGC_61)*coupl(nGC_63)*coupl(nGC_87 &
                      ))/(32d0*pi**2d0)
    coupl(nGC_3303) = coupl(nGC_11)**2d0*coupl(nGC_85)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_3304) = (-coupl(nGC_20)*coupl(nGC_23)*coupl(nGC_67) - coupl(     &
                      nGC_23)*coupl(nGC_68)*coupl(nGC_782) + 8d0*coupl(nGC_36)*&
                      coupl(nGC_41)*coupl(nGC_65) - coupl(nGC_36)*coupl(nGC_636&
                      )*coupl(nGC_65) - coupl(nGC_4)*coupl(nGC_570)*coupl(     &
                      nGC_65) - coupl(nGC_40)*coupl(nGC_41)*coupl(nGC_65))/(   &
                      32d0*pi**2d0)
    coupl(nGC_4902) = coupl(nGC_4896) + coupl(nGC_4899)
    coupl(nGC_3309) = (2d0*Nc*cMB*coupl(nGC_23)*coupl(nGC_34)*coupl(nGC_53) -  &
                      2d0*Nc*cMB*coupl(nGC_23)*coupl(nGC_38)*coupl(nGC_53) -   &
                      2d0*Nc*cMB*coupl(nGC_23)*coupl(nGC_39)*coupl(nGC_53) +   &
                      2d0*Nc*cMC*coupl(nGC_23)*coupl(nGC_35)*coupl(nGC_57) -   &
                      2d0*Nc*cMC*coupl(nGC_23)*coupl(nGC_38)*coupl(nGC_57) -   &
                      2d0*Nc*cMC*coupl(nGC_23)*coupl(nGC_39)*coupl(nGC_57) +   &
                      2d0*Nc*cMD*coupl(nGC_23)*coupl(nGC_34)*coupl(nGC_61) -   &
                      2d0*Nc*cMD*coupl(nGC_23)*coupl(nGC_38)*coupl(nGC_61) -   &
                      2d0*Nc*cMD*coupl(nGC_23)*coupl(nGC_39)*coupl(nGC_61) +   &
                      2d0*Nc*cMS*coupl(nGC_23)*coupl(nGC_34)*coupl(nGC_73) -   &
                      2d0*Nc*cMS*coupl(nGC_23)*coupl(nGC_38)*coupl(nGC_73) -   &
                      2d0*Nc*cMS*coupl(nGC_23)*coupl(nGC_39)*coupl(nGC_73) +   &
                      2d0*Nc*cMT*coupl(nGC_23)*coupl(nGC_35)*coupl(nGC_77) -   &
                      2d0*Nc*cMT*coupl(nGC_23)*coupl(nGC_38)*coupl(nGC_77) -   &
                      2d0*Nc*cMT*coupl(nGC_23)*coupl(nGC_39)*coupl(nGC_77) +   &
                      2d0*Nc*cMU*coupl(nGC_23)*coupl(nGC_35)*coupl(nGC_85) -   &
                      2d0*Nc*cMU*coupl(nGC_23)*coupl(nGC_38)*coupl(nGC_85) -   &
                      2d0*Nc*cMU*coupl(nGC_23)*coupl(nGC_39)*coupl(nGC_85) +   &
                      2d0*cME*coupl(nGC_23)*coupl(nGC_36)*coupl(nGC_65) - 2d0* &
                      cME*coupl(nGC_23)*coupl(nGC_40)*coupl(nGC_65) - 2d0*cME* &
                      coupl(nGC_23)*coupl(nGC_41)*coupl(nGC_65) + 2d0*cMM*coupl&
                      (nGC_23)*coupl(nGC_36)*coupl(nGC_69) - 2d0*cMM*coupl(    &
                      nGC_23)*coupl(nGC_40)*coupl(nGC_69) - 2d0*cMM*coupl(     &
                      nGC_23)*coupl(nGC_41)*coupl(nGC_69) + 2d0*cMTA*coupl(    &
                      nGC_23)*coupl(nGC_36)*coupl(nGC_81) - 2d0*cMTA*coupl(    &
                      nGC_23)*coupl(nGC_40)*coupl(nGC_81) - 2d0*cMTA*coupl(    &
                      nGC_23)*coupl(nGC_41)*coupl(nGC_81) + 4d0*cima*coupl(    &
                      nGC_19)*coupl(nGC_47) + 4d0*cima*coupl(nGC_216)*coupl(   &
                      nGC_51) - coupl(nGC_21)*coupl(nGC_250)*coupl(nGC_50) +   &
                      6d0*coupl(nGC_25)*coupl(nGC_250)*coupl(nGC_47) - coupl(  &
                      nGC_25)*coupl(nGC_40)*coupl(nGC_47) + 6d0*coupl(nGC_250)*&
                      coupl(nGC_3)*coupl(nGC_51) - coupl(nGC_250)*coupl(nGC_464&
                      )*coupl(nGC_52) - coupl(nGC_3)*coupl(nGC_4)*coupl(nGC_47 &
                      ))/(32d0*pi**2d0)
    coupl(nGC_3436) = sq2**3d0*(-11d0*Nc*cima*coupl(nGC_10)**3d0 - 40d0*coupl( &
                      nGC_11)**3d0)/(768d0*pi**2d0)
    coupl(nGC_3437) = sq2**3d0*(11d0*Nc*cima*coupl(nGC_10)**3d0 + 40d0*coupl(  &
                      nGC_11)**3d0)/(768d0*pi**2d0)
    coupl(nGC_3434) = coupl(nGC_11)*sq2*(4d0*coupl(nGC_2)**2d0 + 4d0*coupl(    &
                      nGC_23)**2d0 + 4d0*coupl(nGC_39)**2d0 + coupl(nGC_61)**  &
                      2d0 + coupl(nGC_86)*coupl(nGC_88) + coupl(nGC_87)**2d0)/(&
                      64d0*pi**2d0)
    coupl(nGC_3435) = coupl(nGC_11)*sq2*(4d0*coupl(nGC_2)**2d0 + 4d0*coupl(    &
                      nGC_35)**2d0 + coupl(nGC_85)**2d0 + coupl(nGC_86)*coupl( &
                      nGC_88) + coupl(nGC_87)**2d0)/(64d0*pi**2d0)
    coupl(nGC_3432) = coupl(nGC_11)*sq2*(-4d0*coupl(nGC_2)**2d0 - 4d0*coupl(   &
                      nGC_23)**2d0 - 4d0*coupl(nGC_39)**2d0 - coupl(nGC_61)**  &
                      2d0 - coupl(nGC_86)*coupl(nGC_88) - coupl(nGC_87)**2d0)/(&
                      64d0*pi**2d0*Nc)
    coupl(nGC_3433) = coupl(nGC_11)*sq2*(-4d0*coupl(nGC_2)**2d0 - 4d0*coupl(   &
                      nGC_35)**2d0 - coupl(nGC_85)**2d0 - coupl(nGC_86)*coupl( &
                      nGC_88) - coupl(nGC_87)**2d0)/(64d0*pi**2d0*Nc)
    coupl(nGC_3430) = coupl(nGC_11)*sq2*(-4d0*coupl(nGC_23)**2d0 - coupl(nGC_53&
                      )**2d0)/(64d0*pi**2d0*Nc)
    coupl(nGC_3431) = -coupl(nGC_11)*coupl(nGC_77)**2d0*sq2/(64d0*pi**2d0*Nc)
    coupl(nGC_3438) = 5d0*cima*coupl(nGC_11)**2d0*coupl(nGC_23)**2d0*sq2**2d0/(&
                      96d0*pi**2d0)
    coupl(nGC_3439) = -5d0*cima*coupl(nGC_11)**2d0*coupl(nGC_23)**2d0*sq2**2d0 &
                      /(96d0*pi**2d0*Nc)
    coupl(nGC_3281) = (4d0*coupl(nGC_1)**3d0 + 4d0*coupl(nGC_1)*coupl(nGC_38)**&
                      2d0 + coupl(nGC_1)*coupl(nGC_74)*coupl(nGC_76) + coupl(  &
                      nGC_1)*coupl(nGC_75)**2d0 + 4d0*coupl(nGC_2)*coupl(nGC_23&
                      )**2d0 + coupl(nGC_2)*coupl(nGC_57)**2d0 + 4d0*coupl(    &
                      nGC_220)*coupl(nGC_23)**2d0)/(32d0*pi**2d0)
    coupl(nGC_3280) = (4d0*coupl(nGC_23)**2d0*coupl(nGC_3) + 4d0*coupl(nGC_23  &
                      )**2d0*coupl(nGC_4) + coupl(nGC_4)*coupl(nGC_81)**2d0)/( &
                      32d0*pi**2d0)
    coupl(nGC_3283) = (4d0*coupl(nGC_1)*coupl(nGC_23)**2d0 + coupl(nGC_1)*coupl&
                      (nGC_53)**2d0 + 4d0*coupl(nGC_2)**3d0 + 4d0*coupl(nGC_2)*&
                      coupl(nGC_39)**2d0 + coupl(nGC_2)*coupl(nGC_78)*coupl(   &
                      nGC_80) + coupl(nGC_2)*coupl(nGC_79)**2d0 + 4d0*coupl(   &
                      nGC_23)**2d0*coupl(nGC_3))/(32d0*pi**2d0)
    coupl(nGC_3282) = (4d0*coupl(nGC_1)**3d0 + 4d0*coupl(nGC_1)*coupl(nGC_34)**&
                      2d0 + coupl(nGC_1)*coupl(nGC_74)*coupl(nGC_76) + coupl(  &
                      nGC_1)*coupl(nGC_75)**2d0 + coupl(nGC_2)*coupl(nGC_73)** &
                      2d0)/(32d0*pi**2d0)
    coupl(nGC_3285) = coupl(nGC_4)*(4d0*coupl(nGC_36)**2d0 + 4d0*coupl(nGC_4)**&
                      2d0 + coupl(nGC_82)*coupl(nGC_84) + coupl(nGC_83)**2d0)/(&
                      32d0*pi**2d0)
    coupl(nGC_3284) = (coupl(nGC_1)*coupl(nGC_77)**2d0 + 4d0*coupl(nGC_2)**3d0 &
                       + 4d0*coupl(nGC_2)*coupl(nGC_35)**2d0 + coupl(nGC_2)*   &
                      coupl(nGC_78)*coupl(nGC_80) + coupl(nGC_2)*coupl(nGC_79  &
                      )**2d0)/(32d0*pi**2d0)
    coupl(nGC_9861) = -coupl(nGC_3264)
    coupl(nGC_3286) = (-4d0*coupl(nGC_23)**2d0*coupl(nGC_3) + 4d0*coupl(nGC_4  &
                      )**3d0 + 4d0*coupl(nGC_4)*coupl(nGC_40)**2d0 + coupl(    &
                      nGC_4)*coupl(nGC_82)*coupl(nGC_84) + coupl(nGC_4)*coupl( &
                      nGC_83)**2d0)/(32d0*pi**2d0)
    coupl(nGC_3288) = (coupl(nGC_1)*coupl(nGC_85)**2d0 + 4d0*coupl(nGC_2)**3d0 &
                       + 4d0*coupl(nGC_2)*coupl(nGC_35)**2d0 + coupl(nGC_2)*   &
                      coupl(nGC_86)*coupl(nGC_88) + coupl(nGC_2)*coupl(nGC_87  &
                      )**2d0)/(32d0*pi**2d0)
    coupl(nGC_5016) = coupl(nGC_4)*dZtauMinusL + coupl(nGC_40)*dZZA/2d0
    coupl(nGC_6139) = coupl(nGC_11)*dZdR_QED2
    coupl(nGC_10032) = -coupl(nGC_3436)
    coupl(nGC_8881) = coupl(nGC_3606) + coupl(nGC_MH)*dZH
    coupl(nGC_5232) = coupl(nGC_11)*dZbR_QCD2
    coupl(nGC_5339) = coupl(nGC_3529) + coupl(nGC_61)*dZdR_QCD2/2d0 + coupl(   &
                      nGC_61)*dZuL_QCD2/2d0
    coupl(nGC_5231) = coupl(nGC_11)*dZbR_QED2
    coupl(nGC_7216) = coupl(nGC_MS)*(dZsL_QCD2 + dZsR_QCD2)/2d0
    coupl(nGC_7215) = coupl(nGC_MS)*(dZsL_QED2 + dZsR_QED2)/2d0
    coupl(nGC_5529) = coupl(nGC_25)*dZWMinus + coupl(nGC_25)*dZZ/2d0 + coupl(  &
                      nGC_3)*dZAZ/2d0 + coupl(nGC_3481)
    coupl(nGC_3390) = coupl(nGC_11)**2d0*coupl(nGC_35)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_5247) = coupl(nGC_3581) + coupl(nGC_67)*dZH/2d0
    coupl(nGC_5246) = coupl(nGC_67)*(dZeMinusL + dZeMinusR)/2d0
    coupl(nGC_5876) = coupl(nGC_MTA)*(dZtauMinusL + dZtauMinusR)/2d0
    coupl(nGC_5878) = coupl(nGC_3610) + coupl(nGC_5876)
    coupl(nGC_7269) = coupl(nGC_ME)*(dZeMinusL + dZeMinusR)/2d0
    coupl(nGC_3379) = coupl(nGC_23)*(coupl(nGC_1)*coupl(nGC_2) - coupl(nGC_1)* &
                      coupl(nGC_3) - coupl(nGC_2)*coupl(nGC_220) - coupl(nGC_25&
                      )*coupl(nGC_38) - coupl(nGC_250)*coupl(nGC_39) + coupl(  &
                      nGC_38)*coupl(nGC_39))/(8d0*pi**2d0)
    coupl(nGC_3378) = coupl(nGC_23)*(coupl(nGC_1)*coupl(nGC_2) + coupl(nGC_1)* &
                      coupl(nGC_220) + coupl(nGC_2)*coupl(nGC_3) + coupl(nGC_25&
                      )*coupl(nGC_39) + coupl(nGC_250)*coupl(nGC_38) + coupl(  &
                      nGC_38)*coupl(nGC_39))/(8d0*pi**2d0)
    coupl(nGC_3377) = (12d0*Nc*coupl(nGC_23)**2d0*coupl(nGC_38) - 12d0*Nc*coupl&
                      (nGC_23)**2d0*coupl(nGC_39) - 11d0*coupl(nGC_220)**2d0*  &
                      coupl(nGC_25) + 12d0*coupl(nGC_23)**2d0*coupl(nGC_40) -  &
                      12d0*coupl(nGC_23)**2d0*coupl(nGC_41) - 11d0*coupl(nGC_25&
                      )*coupl(nGC_250)**2d0)/(96d0*pi**2d0)
    coupl(nGC_4940) = coupl(nGC_35)*dZZA/2d0
    coupl(nGC_3478) = coupl(nGC_3082)*dZgs_QCD2
    coupl(nGC_3479) = coupl(nGC_3071)*dZee
    coupl(nGC_3577) = coupl(nGC_3200)*dym_QED1
    coupl(nGC_3576) = coupl(nGC_3195)*dye_QED1
    coupl(nGC_3575) = coupl(nGC_3196)*dye_QED1
    coupl(nGC_3472) = sq2**2d0*(-4d0*Nc*cima*coupl(nGC_10)**4d0*sq2**2d0 + 3d0*&
                      Nc*coupl(nGC_10)**2d0*coupl(nGC_1428) - 9d0*Nc*coupl(    &
                      nGC_10)**2d0*coupl(nGC_1434) - 50d0*cima*coupl(nGC_11)** &
                      4d0*sq2**2d0)/(768d0*pi**2d0)
    coupl(nGC_3473) = (-8d0*Nc*cima*coupl(nGC_10)**4d0*sq2**4d0 - 24d0*Nc*cima*&
                      coupl(nGC_12)*coupl(nGC_1432) + 3d0*Nc*coupl(nGC_10)**2d0&
                      *coupl(nGC_12)*sq2**2d0 - 39d0*Nc*coupl(nGC_10)**2d0*    &
                      coupl(nGC_1432)*sq2**2d0 + 30d0*cima*coupl(nGC_11)**4d0* &
                      sq2**4d0)/(768d0*pi**2d0)
    coupl(nGC_3579) = coupl(nGC_3208)*dytau_QED1
    coupl(nGC_3578) = coupl(nGC_3198)*dym_QED1
    coupl(nGC_3474) = (-4d0*Nc*cima*coupl(nGC_10)**4d0*sq2**4d0 - 12d0*Nc*cima*&
                      coupl(nGC_12)*coupl(nGC_1432) + 9d0*Nc*coupl(nGC_10)**2d0&
                      *coupl(nGC_12)*sq2**2d0 - 12d0*Nc*coupl(nGC_10)**2d0*    &
                      coupl(nGC_1432)*sq2**2d0 + 15d0*cima*coupl(nGC_11)**4d0* &
                      sq2**4d0)/(384d0*pi**2d0)
    coupl(nGC_9824) = -coupl(nGC_3377)
    coupl(nGC_5667) = coupl(nGC_25)*dZZ/2d0 + coupl(nGC_3)*dZAZ/2d0 + coupl(   &
                      nGC_3481)
    coupl(nGC_5660) = coupl(nGC_37)*dZZA/2d0
    coupl(nGC_5668) = -coupl(nGC_5667)
    coupl(nGC_3270) = (coupl(nGC_1)*coupl(nGC_57)**2d0 + 4d0*coupl(nGC_2)**3d0 &
                       + 4d0*coupl(nGC_2)*coupl(nGC_35)**2d0 + coupl(nGC_2)*   &
                      coupl(nGC_58)*coupl(nGC_60) + coupl(nGC_2)*coupl(nGC_59  &
                      )**2d0)/(32d0*pi**2d0)
    coupl(nGC_3272) = (4d0*coupl(nGC_1)**3d0 + 4d0*coupl(nGC_1)*coupl(nGC_38)**&
                      2d0 + coupl(nGC_1)*coupl(nGC_62)*coupl(nGC_64) + coupl(  &
                      nGC_1)*coupl(nGC_63)**2d0 + 4d0*coupl(nGC_2)*coupl(nGC_23&
                      )**2d0 + coupl(nGC_2)*coupl(nGC_85)**2d0 + 4d0*coupl(    &
                      nGC_220)*coupl(nGC_23)**2d0)/(32d0*pi**2d0)
    coupl(nGC_3273) = (4d0*coupl(nGC_1)**3d0 + 4d0*coupl(nGC_1)*coupl(nGC_34)**&
                      2d0 + coupl(nGC_1)*coupl(nGC_62)*coupl(nGC_64) + coupl(  &
                      nGC_1)*coupl(nGC_63)**2d0 + coupl(nGC_2)*coupl(nGC_61)** &
                      2d0)/(32d0*pi**2d0)
    coupl(nGC_3274) = coupl(nGC_4)*(4d0*coupl(nGC_36)**2d0 + 4d0*coupl(nGC_4)**&
                      2d0 + coupl(nGC_66)*coupl(nGC_68) + coupl(nGC_67)**2d0)/(&
                      32d0*pi**2d0)
    coupl(nGC_3275) = (-4d0*coupl(nGC_23)**2d0*coupl(nGC_3) + 4d0*coupl(nGC_4  &
                      )**3d0 + 4d0*coupl(nGC_4)*coupl(nGC_40)**2d0 + coupl(    &
                      nGC_4)*coupl(nGC_66)*coupl(nGC_68) + coupl(nGC_4)*coupl( &
                      nGC_67)**2d0)/(32d0*pi**2d0)
    coupl(nGC_3276) = coupl(nGC_4)*(4d0*coupl(nGC_36)**2d0 + 4d0*coupl(nGC_4)**&
                      2d0 + coupl(nGC_70)*coupl(nGC_72) + coupl(nGC_71)**2d0)/(&
                      32d0*pi**2d0)
    coupl(nGC_3277) = (-4d0*coupl(nGC_23)**2d0*coupl(nGC_3) + 4d0*coupl(nGC_4  &
                      )**3d0 + 4d0*coupl(nGC_4)*coupl(nGC_40)**2d0 + coupl(    &
                      nGC_4)*coupl(nGC_70)*coupl(nGC_72) + coupl(nGC_4)*coupl( &
                      nGC_71)**2d0)/(32d0*pi**2d0)
    coupl(nGC_3278) = (4d0*coupl(nGC_23)**2d0*coupl(nGC_3) + 4d0*coupl(nGC_23  &
                      )**2d0*coupl(nGC_4) + coupl(nGC_4)*coupl(nGC_65)**2d0)/( &
                      32d0*pi**2d0)
    coupl(nGC_3279) = (4d0*coupl(nGC_23)**2d0*coupl(nGC_3) + 4d0*coupl(nGC_23  &
                      )**2d0*coupl(nGC_4) + coupl(nGC_4)*coupl(nGC_69)**2d0)/( &
                      32d0*pi**2d0)
    coupl(nGC_5702) = coupl(nGC_35)*dZZ/2d0 + coupl(nGC_3523)
    coupl(nGC_5469) = coupl(nGC_35)*dZZ/2d0 + coupl(nGC_35)*dZtR + coupl(      &
                      nGC_3523)
    coupl(nGC_6436) = -coupl(nGC_5529)
    coupl(nGC_3407) = (4d0*coupl(nGC_2)**2d0*coupl(nGC_35) + 4d0*coupl(nGC_35  &
                      )**3d0 + coupl(nGC_38)*coupl(nGC_85)**2d0 + coupl(nGC_39 &
                      )*coupl(nGC_86)*coupl(nGC_88) + coupl(nGC_39)*coupl(     &
                      nGC_87)**2d0)/(32d0*pi**2d0)
    coupl(nGC_3406) = (4d0*coupl(nGC_2)**2d0*coupl(nGC_39) + 4d0*coupl(nGC_23  &
                      )**2d0*coupl(nGC_25) + 4d0*coupl(nGC_23)**2d0*coupl(     &
                      nGC_38) + coupl(nGC_34)*coupl(nGC_61)**2d0 + coupl(nGC_35&
                      )*coupl(nGC_86)*coupl(nGC_88) + coupl(nGC_35)*coupl(     &
                      nGC_87)**2d0 + 4d0*coupl(nGC_39)**3d0)/(32d0*pi**2d0)
    coupl(nGC_3405) = (-4d0*coupl(nGC_23)**2d0*coupl(nGC_25) + 4d0*coupl(nGC_23&
                      )**2d0*coupl(nGC_41) + coupl(nGC_36)*coupl(nGC_82)*coupl(&
                      nGC_84) + coupl(nGC_36)*coupl(nGC_83)**2d0 + 4d0*coupl(  &
                      nGC_4)**2d0*coupl(nGC_40) + 4d0*coupl(nGC_40)**3d0)/(32d0&
                      *pi**2d0)
    coupl(nGC_3404) = (4d0*coupl(nGC_36)**3d0 + 4d0*coupl(nGC_36)*coupl(nGC_4  &
                      )**2d0 + coupl(nGC_40)*coupl(nGC_82)*coupl(nGC_84) +     &
                      coupl(nGC_40)*coupl(nGC_83)**2d0 + coupl(nGC_41)*coupl(  &
                      nGC_81)**2d0)/(32d0*pi**2d0)
    coupl(nGC_3403) = (4d0*coupl(nGC_2)**2d0*coupl(nGC_35) + 4d0*coupl(nGC_35  &
                      )**3d0 + coupl(nGC_38)*coupl(nGC_77)**2d0 + coupl(nGC_39 &
                      )*coupl(nGC_78)*coupl(nGC_80) + coupl(nGC_39)*coupl(     &
                      nGC_79)**2d0)/(32d0*pi**2d0)
    coupl(nGC_3402) = (4d0*coupl(nGC_2)**2d0*coupl(nGC_39) + 4d0*coupl(nGC_23  &
                      )**2d0*coupl(nGC_25) + 4d0*coupl(nGC_23)**2d0*coupl(     &
                      nGC_38) + coupl(nGC_34)*coupl(nGC_53)**2d0 + coupl(nGC_35&
                      )*coupl(nGC_78)*coupl(nGC_80) + coupl(nGC_35)*coupl(     &
                      nGC_79)**2d0 + 4d0*coupl(nGC_39)**3d0)/(32d0*pi**2d0)
    coupl(nGC_3401) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_34) + 4d0*coupl(nGC_34  &
                      )**3d0 + coupl(nGC_38)*coupl(nGC_74)*coupl(nGC_76) +     &
                      coupl(nGC_38)*coupl(nGC_75)**2d0 + coupl(nGC_39)*coupl(  &
                      nGC_73)**2d0)/(32d0*pi**2d0)
    coupl(nGC_3400) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_38) + 4d0*coupl(nGC_23  &
                      )**2d0*coupl(nGC_250) + 4d0*coupl(nGC_23)**2d0*coupl(    &
                      nGC_39) + coupl(nGC_34)*coupl(nGC_74)*coupl(nGC_76) +    &
                      coupl(nGC_34)*coupl(nGC_75)**2d0 + coupl(nGC_35)*coupl(  &
                      nGC_57)**2d0 + 4d0*coupl(nGC_38)**3d0)/(32d0*pi**2d0)
    coupl(nGC_3240) = cMD*cima*(-coupl(nGC_1)**2d0 - coupl(nGC_34)*coupl(nGC_38&
                      ))/(8d0*pi**2d0)
    coupl(nGC_3242) = cME*cima*(-coupl(nGC_36)*coupl(nGC_40) - coupl(nGC_4)**  &
                      2d0)/(8d0*pi**2d0)
    coupl(nGC_5808) = coupl(nGC_34)*dZbR_QED2
    coupl(nGC_5801) = coupl(nGC_3602) + coupl(nGC_59)*dZH/2d0
    coupl(nGC_6567) = 2d0*coupl(nGC_18)*dZWMinus + coupl(nGC_3482)
    coupl(nGC_5804) = coupl(nGC_38)*dZbL_QED2
    coupl(nGC_5806) = coupl(nGC_38)*dZbL_QCD2
    coupl(nGC_3494) = coupl(nGC_3083)*dlam_QED2
    coupl(nGC_3495) = coupl(nGC_3078)*dlam_QED2
    coupl(nGC_3497) = coupl(nGC_3169)*dlam_QED2 + coupl(nGC_3170)*dvev_QEDM1
    coupl(nGC_3490) = coupl(nGC_3101)*dZee + coupl(nGC_3102)*dsw_ + coupl(     &
                      nGC_3103)*dcw_
    coupl(nGC_3491) = coupl(nGC_3125)*dsw_ + coupl(nGC_3126)*dMW2 + coupl(     &
                      nGC_3127)*dZee
    coupl(nGC_3492) = coupl(nGC_3122)*dZee + coupl(nGC_3123)*dsw_ + coupl(     &
                      nGC_3124)*dMZ2
    coupl(nGC_3493) = coupl(nGC_3159)*dZee + coupl(nGC_3160)*dsw_ + coupl(     &
                      nGC_3161)*dMZ2 + coupl(nGC_3162)*dcw_
    coupl(nGC_5364) = coupl(nGC_3583) + coupl(nGC_83)*dZH/2d0
    coupl(nGC_3368) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_75) - coupl(nGC_20)*    &
                      coupl(nGC_23)*coupl(nGC_73) - coupl(nGC_224)*coupl(nGC_34&
                      )*coupl(nGC_74) + 8d0*coupl(nGC_34)*coupl(nGC_38)*coupl( &
                      nGC_75) - coupl(nGC_37)*coupl(nGC_38)*coupl(nGC_74) -    &
                      coupl(nGC_57)*coupl(nGC_59)*coupl(nGC_73) - coupl(nGC_74 &
                      )**2d0*coupl(nGC_75) - coupl(nGC_75)**3d0)/(32d0*pi**2d0)
    coupl(nGC_3498) = coupl(nGC_3174)*dlam_QED2 + coupl(nGC_3175)*dvev_QEDM1
    coupl(nGC_3499) = coupl(nGC_3073)*dZee
    coupl(nGC_7222) = coupl(nGC_3619) + coupl(nGC_7216)
    coupl(nGC_7221) = coupl(nGC_3618) + coupl(nGC_7215)
    coupl(nGC_3335) = (coupl(nGC_22)*coupl(nGC_23)*coupl(nGC_69) + coupl(      &
                      nGC_224)*coupl(nGC_36)*coupl(nGC_71) + 8d0*coupl(nGC_36)*&
                      coupl(nGC_40)*coupl(nGC_70) + coupl(nGC_37)*coupl(nGC_40 &
                      )*coupl(nGC_71) + 8d0*coupl(nGC_4)**2d0*coupl(nGC_70) -  &
                      coupl(nGC_70)**2d0*coupl(nGC_72) - coupl(nGC_71)**2d0*   &
                      coupl(nGC_72))/(32d0*pi**2d0)
    coupl(nGC_3334) = (coupl(nGC_224)*coupl(nGC_40)*coupl(nGC_67) + coupl(     &
                      nGC_23)*coupl(nGC_65)*coupl(nGC_782) + coupl(nGC_36)*    &
                      coupl(nGC_37)*coupl(nGC_67) + 8d0*coupl(nGC_36)*coupl(   &
                      nGC_40)*coupl(nGC_68) + 8d0*coupl(nGC_4)**2d0*coupl(     &
                      nGC_68) - coupl(nGC_66)*coupl(nGC_67)**2d0 - coupl(nGC_66&
                      )*coupl(nGC_68)**2d0)/(32d0*pi**2d0)
    coupl(nGC_3337) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_76) - coupl(nGC_22)*    &
                      coupl(nGC_23)*coupl(nGC_73) - coupl(nGC_224)*coupl(nGC_34&
                      )*coupl(nGC_75) + 8d0*coupl(nGC_34)*coupl(nGC_38)*coupl( &
                      nGC_76) - coupl(nGC_37)*coupl(nGC_38)*coupl(nGC_75) -    &
                      coupl(nGC_57)*coupl(nGC_60)*coupl(nGC_73) - coupl(nGC_74 &
                      )*coupl(nGC_75)**2d0 - coupl(nGC_74)*coupl(nGC_76)**2d0  &
                      )/(32d0*pi**2d0)
    coupl(nGC_3336) = (coupl(nGC_224)*coupl(nGC_40)*coupl(nGC_71) + coupl(     &
                      nGC_23)*coupl(nGC_69)*coupl(nGC_782) + coupl(nGC_36)*    &
                      coupl(nGC_37)*coupl(nGC_71) + 8d0*coupl(nGC_36)*coupl(   &
                      nGC_40)*coupl(nGC_72) + 8d0*coupl(nGC_4)**2d0*coupl(     &
                      nGC_72) - coupl(nGC_70)*coupl(nGC_71)**2d0 - coupl(nGC_70&
                      )*coupl(nGC_72)**2d0)/(32d0*pi**2d0)
    coupl(nGC_4987) = coupl(nGC_3480) + coupl(nGC_5)*dZA + coupl(nGC_5)*dZWMinus
    coupl(nGC_4869) = coupl(nGC_3622) + coupl(nGC_MZ)*dZZ
    coupl(nGC_3418) = -coupl(nGC_11)*sq2*(4d0*coupl(nGC_1)**2d0 + 4d0*coupl(   &
                      nGC_23)**2d0 + 4d0*coupl(nGC_38)**2d0 + coupl(nGC_62)*   &
                      coupl(nGC_64) + coupl(nGC_63)**2d0 + coupl(nGC_85)**2d0  &
                      )/(64d0*pi**2d0*Nc)
    coupl(nGC_3419) = -coupl(nGC_11)*sq2*(4d0*coupl(nGC_1)**2d0 + 4d0*coupl(   &
                      nGC_34)**2d0 + coupl(nGC_61)**2d0 + coupl(nGC_62)*coupl( &
                      nGC_64) + coupl(nGC_63)**2d0)/(64d0*pi**2d0*Nc)
    coupl(nGC_5095) = coupl(nGC_3624) + coupl(nGC_MW_GF)*dZWMinus/2d0
    coupl(nGC_5091) = coupl(nGC_22)*dZWMinus/2d0 + coupl(nGC_3503)
    coupl(nGC_5098) = coupl(nGC_38)*dZZA/2d0
    coupl(nGC_6428) = coupl(nGC_3547) + coupl(nGC_64)*dZdL_QED2/2d0 + coupl(   &
                      nGC_64)*dZdR_QED2/2d0
    coupl(nGC_5742) = coupl(nGC_34)*dZdR_QCD2
    coupl(nGC_5740) = coupl(nGC_34)*dZdR_QED2
    coupl(nGC_3417) = -coupl(nGC_11)*sq2*(-4d0*coupl(nGC_2)**2d0 - 4d0*coupl(  &
                      nGC_35)**2d0 - coupl(nGC_57)**2d0 - coupl(nGC_58)*coupl( &
                      nGC_60) - coupl(nGC_59)**2d0)/(64d0*pi**2d0)
    coupl(nGC_4914) = coupl(nGC_3538) + coupl(nGC_73)*dZcL_QCD2/2d0 + coupl(   &
                      nGC_73)*dZsR_QCD2/2d0
    coupl(nGC_4916) = coupl(nGC_3540) + coupl(nGC_73)*dZcL_QED2/2d0 + coupl(   &
                      nGC_73)*dZsR_QED2/2d0
    coupl(nGC_3339) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_74) - coupl(nGC_224)*   &
                      coupl(nGC_38)*coupl(nGC_75) - coupl(nGC_23)*coupl(nGC_73 &
                      )*coupl(nGC_782) - coupl(nGC_34)*coupl(nGC_37)*coupl(    &
                      nGC_75) + 8d0*coupl(nGC_34)*coupl(nGC_38)*coupl(nGC_74   &
                      ) - coupl(nGC_57)*coupl(nGC_58)*coupl(nGC_73) - coupl(   &
                      nGC_74)**2d0*coupl(nGC_76) - coupl(nGC_75)**2d0*coupl(   &
                      nGC_76))/(32d0*pi**2d0)
    coupl(nGC_4913) = coupl(nGC_3535) + coupl(nGC_57)*dZcR_QCD2/2d0 + coupl(   &
                      nGC_57)*dZsL_QCD2/2d0
    coupl(nGC_5423) = coupl(nGC_3595) + coupl(nGC_58)*dZcL_QED2/2d0 + coupl(   &
                      nGC_58)*dZcR_QED2/2d0
    coupl(nGC_5421) = coupl(nGC_3593) + coupl(nGC_58)*dZcL_QCD2/2d0 + coupl(   &
                      nGC_58)*dZcR_QCD2/2d0
    coupl(nGC_3331) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_62) - coupl(nGC_224)*   &
                      coupl(nGC_38)*coupl(nGC_63) - coupl(nGC_23)*coupl(nGC_61 &
                      )*coupl(nGC_782) - coupl(nGC_34)*coupl(nGC_37)*coupl(    &
                      nGC_63) + 8d0*coupl(nGC_34)*coupl(nGC_38)*coupl(nGC_62   &
                      ) - coupl(nGC_61)*coupl(nGC_85)*coupl(nGC_86) - coupl(   &
                      nGC_62)**2d0*coupl(nGC_64) - coupl(nGC_63)**2d0*coupl(   &
                      nGC_64))/(32d0*pi**2d0)
    coupl(nGC_3330) = coupl(nGC_11)**2d0*coupl(nGC_64)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_3333) = (coupl(nGC_22)*coupl(nGC_23)*coupl(nGC_65) + coupl(      &
                      nGC_224)*coupl(nGC_36)*coupl(nGC_67) + 8d0*coupl(nGC_36)*&
                      coupl(nGC_40)*coupl(nGC_66) + coupl(nGC_37)*coupl(nGC_40 &
                      )*coupl(nGC_67) + 8d0*coupl(nGC_4)**2d0*coupl(nGC_66) -  &
                      coupl(nGC_66)**2d0*coupl(nGC_68) - coupl(nGC_67)**2d0*   &
                      coupl(nGC_68))/(32d0*pi**2d0)
    coupl(nGC_3332) = coupl(nGC_11)**2d0*coupl(nGC_62)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_3443) = cima*coupl(nGC_11)**2d0*sq2**2d0*(coupl(nGC_54)*coupl(   &
                      nGC_56) + coupl(nGC_58)*coupl(nGC_60) + coupl(nGC_62)*   &
                      coupl(nGC_64) + coupl(nGC_74)*coupl(nGC_76) + coupl(     &
                      nGC_86)*coupl(nGC_88))/(16d0*pi**2d0*Nc)
    coupl(nGC_3442) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-coupl(nGC_54)*coupl(  &
                      nGC_56) - coupl(nGC_58)*coupl(nGC_60) - coupl(nGC_62)*   &
                      coupl(nGC_64) - coupl(nGC_74)*coupl(nGC_76) - coupl(     &
                      nGC_86)*coupl(nGC_88))/(16d0*pi**2d0)
    coupl(nGC_3441) = cima*coupl(nGC_11)**2d0*sq2**2d0*(4d0*coupl(nGC_53)**2d0 &
                       + 3d0*coupl(nGC_57)**2d0 + 3d0*coupl(nGC_61)**2d0 + 3d0*&
                      coupl(nGC_73)**2d0 + 4d0*coupl(nGC_77)**2d0 + 3d0*coupl( &
                      nGC_85)**2d0)/(96d0*pi**2d0*Nc)
    coupl(nGC_3440) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-4d0*coupl(nGC_53)**2d0&
                       - 3d0*coupl(nGC_57)**2d0 - 3d0*coupl(nGC_61)**2d0 - 3d0*&
                      coupl(nGC_73)**2d0 - 4d0*coupl(nGC_77)**2d0 - 3d0*coupl( &
                      nGC_85)**2d0)/(96d0*pi**2d0)
    coupl(nGC_3445) = cima*coupl(nGC_11)**2d0*sq2**2d0*(coupl(nGC_55)**2d0 +   &
                      coupl(nGC_59)**2d0 + coupl(nGC_63)**2d0 + coupl(nGC_75)**&
                      2d0 + coupl(nGC_87)**2d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_3444) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-coupl(nGC_55)**2d0 -  &
                      coupl(nGC_59)**2d0 - coupl(nGC_63)**2d0 - coupl(nGC_75)**&
                      2d0 - coupl(nGC_87)**2d0)/(16d0*pi**2d0)
    coupl(nGC_3449) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-3d0*coupl(nGC_1)*coupl&
                      (nGC_34) - 3d0*coupl(nGC_1)*coupl(nGC_38) - 2d0*coupl(   &
                      nGC_2)*coupl(nGC_35) - 2d0*coupl(nGC_2)*coupl(nGC_39))/( &
                      96d0*pi**2d0*Nc)
    coupl(nGC_3448) = cima*coupl(nGC_11)**2d0*sq2**2d0*(3d0*coupl(nGC_1)*coupl(&
                      nGC_34) + 3d0*coupl(nGC_1)*coupl(nGC_38) + 2d0*coupl(    &
                      nGC_2)*coupl(nGC_35) + 2d0*coupl(nGC_2)*coupl(nGC_39))/( &
                      96d0*pi**2d0)
    coupl(nGC_3528) = coupl(nGC_3128)*dZee + coupl(nGC_3129)*dsw_ + coupl(     &
                      nGC_3130)*dcw_
    coupl(nGC_3298) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_73) + coupl(    &
                      nGC_1)*coupl(nGC_4)*coupl(nGC_73) + coupl(nGC_2)*coupl(  &
                      nGC_570)*coupl(nGC_73) + coupl(nGC_22)*coupl(nGC_23)*    &
                      coupl(nGC_76) + coupl(nGC_23)*coupl(nGC_75)*coupl(nGC_830&
                      ) + 8d0*coupl(nGC_34)*coupl(nGC_39)*coupl(nGC_73) + coupl&
                      (nGC_34)*coupl(nGC_40)*coupl(nGC_73) + coupl(nGC_39)*    &
                      coupl(nGC_636)*coupl(nGC_73) - coupl(nGC_57)*coupl(nGC_58&
                      )*coupl(nGC_76) - coupl(nGC_57)*coupl(nGC_59)*coupl(     &
                      nGC_75))/(32d0*pi**2d0)
    coupl(nGC_3299) = coupl(nGC_11)**2d0*coupl(nGC_73)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_3524) = coupl(nGC_3146)*dZee + coupl(nGC_3147)*dsw_ + coupl(     &
                      nGC_3148)*dcw_
    coupl(nGC_3525) = coupl(nGC_3140)*dZee + coupl(nGC_3141)*dsw_ + coupl(     &
                      nGC_3142)*dcw_
    coupl(nGC_3526) = coupl(nGC_3131)*dZee + coupl(nGC_3132)*dsw_ + coupl(     &
                      nGC_3133)*dcw_
    coupl(nGC_3527) = coupl(nGC_3143)*dZee + coupl(nGC_3144)*dsw_ + coupl(     &
                      nGC_3145)*dcw_
    coupl(nGC_3292) = (-4d0*Nc*coupl(nGC_23)*coupl(nGC_53)*coupl(nGC_55) + 4d0*&
                      Nc*coupl(nGC_23)*coupl(nGC_57)*coupl(nGC_59) - 4d0*Nc*   &
                      coupl(nGC_23)*coupl(nGC_61)*coupl(nGC_63) - 4d0*Nc*coupl(&
                      nGC_23)*coupl(nGC_73)*coupl(nGC_75) + 4d0*Nc*coupl(nGC_23&
                      )*coupl(nGC_77)*coupl(nGC_79) + 4d0*Nc*coupl(nGC_23)*    &
                      coupl(nGC_85)*coupl(nGC_87) - 6d0*coupl(nGC_20)*coupl(   &
                      nGC_25)*coupl(nGC_40) - 6d0*coupl(nGC_20)*coupl(nGC_3)*  &
                      coupl(nGC_4) + coupl(nGC_22)**2d0*coupl(nGC_464) + coupl(&
                      nGC_224)*coupl(nGC_636)*coupl(nGC_782) - 4d0*coupl(nGC_23&
                      )*coupl(nGC_65)*coupl(nGC_67) - 4d0*coupl(nGC_23)*coupl( &
                      nGC_69)*coupl(nGC_71) - 4d0*coupl(nGC_23)*coupl(nGC_81)* &
                      coupl(nGC_83) - 6d0*coupl(nGC_250)*coupl(nGC_37)*coupl(  &
                      nGC_782) + coupl(nGC_464)*coupl(nGC_830)**2d0)/(96d0*pi**&
                      2d0)
    coupl(nGC_3293) = (2d0*Nc*cMB*coupl(nGC_23)*coupl(nGC_34)*coupl(nGC_53) -  &
                      2d0*Nc*cMB*coupl(nGC_23)*coupl(nGC_38)*coupl(nGC_53) -   &
                      2d0*Nc*cMB*coupl(nGC_23)*coupl(nGC_39)*coupl(nGC_53) +   &
                      2d0*Nc*cMC*coupl(nGC_23)*coupl(nGC_35)*coupl(nGC_57) -   &
                      2d0*Nc*cMC*coupl(nGC_23)*coupl(nGC_38)*coupl(nGC_57) -   &
                      2d0*Nc*cMC*coupl(nGC_23)*coupl(nGC_39)*coupl(nGC_57) +   &
                      2d0*Nc*cMD*coupl(nGC_23)*coupl(nGC_34)*coupl(nGC_61) -   &
                      2d0*Nc*cMD*coupl(nGC_23)*coupl(nGC_38)*coupl(nGC_61) -   &
                      2d0*Nc*cMD*coupl(nGC_23)*coupl(nGC_39)*coupl(nGC_61) +   &
                      2d0*Nc*cMS*coupl(nGC_23)*coupl(nGC_34)*coupl(nGC_73) -   &
                      2d0*Nc*cMS*coupl(nGC_23)*coupl(nGC_38)*coupl(nGC_73) -   &
                      2d0*Nc*cMS*coupl(nGC_23)*coupl(nGC_39)*coupl(nGC_73) +   &
                      2d0*Nc*cMT*coupl(nGC_23)*coupl(nGC_35)*coupl(nGC_77) -   &
                      2d0*Nc*cMT*coupl(nGC_23)*coupl(nGC_38)*coupl(nGC_77) -   &
                      2d0*Nc*cMT*coupl(nGC_23)*coupl(nGC_39)*coupl(nGC_77) +   &
                      2d0*Nc*cMU*coupl(nGC_23)*coupl(nGC_35)*coupl(nGC_85) -   &
                      2d0*Nc*cMU*coupl(nGC_23)*coupl(nGC_38)*coupl(nGC_85) -   &
                      2d0*Nc*cMU*coupl(nGC_23)*coupl(nGC_39)*coupl(nGC_85) +   &
                      2d0*cME*coupl(nGC_23)*coupl(nGC_36)*coupl(nGC_65) - 2d0* &
                      cME*coupl(nGC_23)*coupl(nGC_40)*coupl(nGC_65) - 2d0*cME* &
                      coupl(nGC_23)*coupl(nGC_41)*coupl(nGC_65) + 2d0*cMM*coupl&
                      (nGC_23)*coupl(nGC_36)*coupl(nGC_69) - 2d0*cMM*coupl(    &
                      nGC_23)*coupl(nGC_40)*coupl(nGC_69) - 2d0*cMM*coupl(     &
                      nGC_23)*coupl(nGC_41)*coupl(nGC_69) + 2d0*cMTA*coupl(    &
                      nGC_23)*coupl(nGC_36)*coupl(nGC_81) - 2d0*cMTA*coupl(    &
                      nGC_23)*coupl(nGC_40)*coupl(nGC_81) - 2d0*cMTA*coupl(    &
                      nGC_23)*coupl(nGC_41)*coupl(nGC_81) + 4d0*cima*coupl(    &
                      nGC_19)*coupl(nGC_47) + 4d0*cima*coupl(nGC_216)*coupl(   &
                      nGC_51) - coupl(nGC_20)*coupl(nGC_25)*coupl(nGC_50) + 6d0&
                      *coupl(nGC_220)*coupl(nGC_25)*coupl(nGC_51) - coupl(     &
                      nGC_220)*coupl(nGC_47)*coupl(nGC_570) + 6d0*coupl(nGC_25 &
                      )*coupl(nGC_250)*coupl(nGC_47) - coupl(nGC_25)*coupl(    &
                      nGC_52)*coupl(nGC_830) - coupl(nGC_250)*coupl(nGC_47)*   &
                      coupl(nGC_636))/(32d0*pi**2d0)
    coupl(nGC_3522) = coupl(nGC_3092)*dZee + coupl(nGC_3093)*dsw_
    coupl(nGC_3291) = (4d0*Nc*coupl(nGC_34)*coupl(nGC_53)**2d0 + 4d0*Nc*coupl( &
                      nGC_34)*coupl(nGC_61)**2d0 + 4d0*Nc*coupl(nGC_34)*coupl( &
                      nGC_73)**2d0 - 4d0*Nc*coupl(nGC_35)*coupl(nGC_57)**2d0 - &
                      4d0*Nc*coupl(nGC_35)*coupl(nGC_77)**2d0 - 4d0*Nc*coupl(  &
                      nGC_35)*coupl(nGC_85)**2d0 + 4d0*Nc*coupl(nGC_38)*coupl( &
                      nGC_57)**2d0 + 4d0*Nc*coupl(nGC_38)*coupl(nGC_77)**2d0 + &
                      4d0*Nc*coupl(nGC_38)*coupl(nGC_85)**2d0 - 4d0*Nc*coupl(  &
                      nGC_39)*coupl(nGC_53)**2d0 - 4d0*Nc*coupl(nGC_39)*coupl( &
                      nGC_61)**2d0 - 4d0*Nc*coupl(nGC_39)*coupl(nGC_73)**2d0 - &
                      6d0*coupl(nGC_20)*coupl(nGC_25)*coupl(nGC_464) + coupl(  &
                      nGC_21)*coupl(nGC_22)*coupl(nGC_37) - 6d0*coupl(nGC_22)* &
                      coupl(nGC_25)*coupl(nGC_782) + coupl(nGC_224)*coupl(     &
                      nGC_782)*coupl(nGC_830) + 4d0*coupl(nGC_36)*coupl(nGC_65 &
                      )**2d0 + 4d0*coupl(nGC_36)*coupl(nGC_69)**2d0 + 4d0*coupl&
                      (nGC_36)*coupl(nGC_81)**2d0 + coupl(nGC_40)*coupl(nGC_570&
                      )**2d0 + coupl(nGC_40)*coupl(nGC_636)**2d0 - 4d0*coupl(  &
                      nGC_41)*coupl(nGC_65)**2d0 - 4d0*coupl(nGC_41)*coupl(    &
                      nGC_69)**2d0 - 4d0*coupl(nGC_41)*coupl(nGC_81)**2d0)/(   &
                      96d0*pi**2d0)
    coupl(nGC_5737) = coupl(nGC_38)*dZdL_QCD2
    coupl(nGC_5735) = coupl(nGC_38)*dZdL_QED2
    coupl(nGC_5633) = coupl(nGC_21)*dZH/2d0 + coupl(nGC_21)*dZWMinus/2d0 +     &
                      coupl(nGC_3504)
    coupl(nGC_3296) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_57) + coupl(    &
                      nGC_1)*coupl(nGC_4)*coupl(nGC_57) + coupl(nGC_2)*coupl(  &
                      nGC_57)*coupl(nGC_570) + coupl(nGC_20)*coupl(nGC_23)*    &
                      coupl(nGC_59) + coupl(nGC_23)*coupl(nGC_60)*coupl(nGC_782&
                      ) + 8d0*coupl(nGC_35)*coupl(nGC_38)*coupl(nGC_57) + coupl&
                      (nGC_35)*coupl(nGC_57)*coupl(nGC_636) + coupl(nGC_38)*   &
                      coupl(nGC_40)*coupl(nGC_57) - coupl(nGC_59)*coupl(nGC_73 &
                      )*coupl(nGC_75) - coupl(nGC_60)*coupl(nGC_73)*coupl(     &
                      nGC_74))/(32d0*pi**2d0)
    coupl(nGC_5323) = coupl(nGC_3511) + coupl(nGC_40)*dZZ/2d0 + coupl(nGC_40)* &
                      dZeMinusL
    coupl(nGC_5324) = coupl(nGC_3528) + coupl(nGC_36)*dZZ/2d0 + coupl(nGC_36)* &
                      dZeMinusR
    coupl(nGC_5325) = coupl(nGC_4896) + coupl(nGC_5324)
    coupl(nGC_5326) = coupl(nGC_4896) + coupl(nGC_5323)
    coupl(nGC_3294) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_53) - coupl(    &
                      nGC_1)*coupl(nGC_53)*coupl(nGC_570) - coupl(nGC_2)*coupl(&
                      nGC_4)*coupl(nGC_53) - coupl(nGC_20)*coupl(nGC_23)*coupl(&
                      nGC_55) - coupl(nGC_23)*coupl(nGC_56)*coupl(nGC_782) +   &
                      8d0*coupl(nGC_34)*coupl(nGC_39)*coupl(nGC_53) - coupl(   &
                      nGC_34)*coupl(nGC_53)*coupl(nGC_636) - coupl(nGC_39)*    &
                      coupl(nGC_40)*coupl(nGC_53) - coupl(nGC_55)*coupl(nGC_77 &
                      )*coupl(nGC_79) - coupl(nGC_56)*coupl(nGC_77)*coupl(     &
                      nGC_78))/(32d0*pi**2d0)
    coupl(nGC_10696) = -coupl(nGC_3263)
    coupl(nGC_3591) = coupl(nGC_3190)*dyc_QED1
    coupl(nGC_3590) = coupl(nGC_3190)*dyc_QED1_QCD2
    coupl(nGC_3295) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_77) - coupl(    &
                      nGC_1)*coupl(nGC_570)*coupl(nGC_77) - coupl(nGC_2)*coupl(&
                      nGC_4)*coupl(nGC_77) - coupl(nGC_22)*coupl(nGC_23)*coupl(&
                      nGC_80) - coupl(nGC_23)*coupl(nGC_79)*coupl(nGC_830) +   &
                      8d0*coupl(nGC_35)*coupl(nGC_38)*coupl(nGC_77) - coupl(   &
                      nGC_35)*coupl(nGC_40)*coupl(nGC_77) - coupl(nGC_38)*coupl&
                      (nGC_636)*coupl(nGC_77) - coupl(nGC_53)*coupl(nGC_54)*   &
                      coupl(nGC_80) - coupl(nGC_53)*coupl(nGC_55)*coupl(nGC_79 &
                      ))/(32d0*pi**2d0)
    coupl(nGC_3597) = coupl(nGC_3204)*dyt_QED1
    coupl(nGC_3599) = coupl(nGC_3210)*dyup_QED1
    coupl(nGC_3598) = coupl(nGC_3210)*dyup_QED1_QCD2
    coupl(nGC_3521) = coupl(nGC_112)*dZgs_QCD2
    coupl(nGC_3290) = (-4d0*Nc*coupl(nGC_23)*coupl(nGC_53)*coupl(nGC_54) + 4d0*&
                      Nc*coupl(nGC_23)*coupl(nGC_57)*coupl(nGC_58) - 4d0*Nc*   &
                      coupl(nGC_23)*coupl(nGC_61)*coupl(nGC_62) - 4d0*Nc*coupl(&
                      nGC_23)*coupl(nGC_73)*coupl(nGC_74) + 4d0*Nc*coupl(nGC_23&
                      )*coupl(nGC_77)*coupl(nGC_78) + 4d0*Nc*coupl(nGC_23)*    &
                      coupl(nGC_85)*coupl(nGC_86) - 6d0*coupl(nGC_20)*coupl(   &
                      nGC_224)*coupl(nGC_250) + coupl(nGC_20)*coupl(nGC_37)*   &
                      coupl(nGC_636) + coupl(nGC_22)**3d0 + coupl(nGC_22)*coupl&
                      (nGC_830)**2d0 - 4d0*coupl(nGC_23)*coupl(nGC_65)*coupl(  &
                      nGC_66) - 4d0*coupl(nGC_23)*coupl(nGC_69)*coupl(nGC_70   &
                      ) - 4d0*coupl(nGC_23)*coupl(nGC_81)*coupl(nGC_82) - 6d0* &
                      coupl(nGC_25)*coupl(nGC_40)*coupl(nGC_782) - 6d0*coupl(  &
                      nGC_3)*coupl(nGC_4)*coupl(nGC_782))/(96d0*pi**2d0)
    coupl(nGC_3471) = sq2**2d0*(-4d0*Nc*cima*coupl(nGC_10)**4d0*sq2**2d0 + 9d0*&
                      Nc*coupl(nGC_10)**2d0*coupl(nGC_1428) - 3d0*Nc*coupl(    &
                      nGC_10)**2d0*coupl(nGC_1434) - 50d0*cima*coupl(nGC_11)** &
                      4d0*sq2**2d0)/(768d0*pi**2d0)
    coupl(nGC_5553) = coupl(nGC_2)*dZtR + coupl(nGC_35)*dZZA/2d0
    coupl(nGC_5552) = coupl(nGC_2)*dZtL + coupl(nGC_39)*dZZA/2d0
    coupl(nGC_5252) = coupl(nGC_28)*dZA/2d0 + coupl(nGC_28)*dZWMinus/2d0 +     &
                      coupl(nGC_3500) + coupl(nGC_9)*dZZA/2d0
    coupl(nGC_7271) = coupl(nGC_3608) + coupl(nGC_7269)
    coupl(nGC_5845) = coupl(nGC_3614) + coupl(nGC_5839)
    coupl(nGC_5844) = coupl(nGC_3613) + coupl(nGC_5838)
    coupl(nGC_5193) = coupl(nGC_3543) + coupl(nGC_53)*dZtL/2d0
    coupl(nGC_5192) = coupl(nGC_3542) + coupl(nGC_53)*dZbR_QCD2/2d0
    coupl(nGC_5191) = coupl(nGC_77)*dZbL_QCD2/2d0
    coupl(nGC_5195) = coupl(nGC_3544) + coupl(nGC_53)*dZbR_QED2/2d0
    coupl(nGC_5194) = coupl(nGC_3541) + coupl(nGC_77)*dZtR/2d0
    coupl(nGC_3549) = coupl(nGC_3193)*dydo_QED1
    coupl(nGC_6079) = coupl(nGC_MD)*(dZdL_QCD2 + dZdR_QCD2)/2d0
    coupl(nGC_6078) = coupl(nGC_MD)*(dZdL_QED2 + dZdR_QED2)/2d0
    coupl(nGC_3239) = cima*(-coupl(nGC_2)**2d0 - coupl(nGC_35)**2d0)/(16d0*pi**&
                      2d0)
    coupl(nGC_10197) = -coupl(nGC_3459)
    coupl(nGC_5361) = coupl(nGC_83)*(dZtauMinusL + dZtauMinusR)/2d0
    coupl(nGC_10193) = -coupl(nGC_3456)
    coupl(nGC_3227) = cima*(4d0*Nc*coupl(nGC_55)**2d0 + 4d0*Nc*coupl(nGC_59)** &
                      2d0 + 4d0*Nc*coupl(nGC_63)**2d0 + 4d0*Nc*coupl(nGC_75)** &
                      2d0 + 4d0*Nc*coupl(nGC_79)**2d0 + 4d0*Nc*coupl(nGC_87)** &
                      2d0 + coupl(nGC_20)*coupl(nGC_464) + coupl(nGC_21)*coupl(&
                      nGC_830) + coupl(nGC_224)*coupl(nGC_37) + 4d0*coupl(     &
                      nGC_67)**2d0 + 4d0*coupl(nGC_71)**2d0 + 4d0*coupl(nGC_83 &
                      )**2d0)/(96d0*pi**2d0)
    coupl(nGC_4950) = coupl(nGC_25)*dZZA/2d0 + coupl(nGC_3)*dZA/2d0 + coupl(   &
                      nGC_3)*dZWMinus + coupl(nGC_3479)
    coupl(nGC_4951) = -coupl(nGC_4950)
    coupl(nGC_3563) = coupl(nGC_3192)*dydo_QED1_QCD2
    coupl(nGC_3564) = coupl(nGC_3192)*dydo_QED1
    coupl(nGC_3565) = coupl(nGC_3192)*dydo_QED3
    coupl(nGC_3230) = (-4d0*Nc*cMB**2d0*cima*coupl(nGC_53)**2d0 - 4d0*Nc*cMB** &
                      2d0*cima*coupl(nGC_77)**2d0 - 4d0*Nc*cMC**2d0*cima*coupl(&
                      nGC_57)**2d0 - 4d0*Nc*cMC**2d0*cima*coupl(nGC_73)**2d0 - &
                      4d0*Nc*cMD**2d0*cima*coupl(nGC_61)**2d0 - 4d0*Nc*cMD**2d0&
                      *cima*coupl(nGC_85)**2d0 - 4d0*Nc*cMS**2d0*cima*coupl(   &
                      nGC_57)**2d0 - 4d0*Nc*cMS**2d0*cima*coupl(nGC_73)**2d0 - &
                      4d0*Nc*cMT**2d0*cima*coupl(nGC_53)**2d0 - 4d0*Nc*cMT**2d0&
                      *cima*coupl(nGC_77)**2d0 - 4d0*Nc*cMU**2d0*cima*coupl(   &
                      nGC_61)**2d0 - 4d0*Nc*cMU**2d0*cima*coupl(nGC_85)**2d0 - &
                      4d0*cME**2d0*cima*coupl(nGC_65)**2d0 - cMH**2d0*cima*    &
                      coupl(nGC_20)*coupl(nGC_464) - cMH**2d0*cima*coupl(nGC_21&
                      )*coupl(nGC_830) - 4d0*cMM**2d0*cima*coupl(nGC_69)**2d0  &
                       - 4d0*cMTA**2d0*cima*coupl(nGC_81)**2d0 - cMW**2d0*cima*&
                      coupl(nGC_20)*coupl(nGC_464) - cMW**2d0*cima*coupl(nGC_21&
                      )*coupl(nGC_830) - 2d0*cMW**2d0*cima*coupl(nGC_22)*coupl(&
                      nGC_782) - cMW**2d0*cima*coupl(nGC_4)**2d0 - cMW**2d0*   &
                      cima*coupl(nGC_40)**2d0 - cMW**2d0*cima*coupl(nGC_570)** &
                      2d0 - cMW**2d0*cima*coupl(nGC_636)**2d0 - 8d0*cMW**2d0*  &
                      coupl(nGC_17) - 2d0*cMZ**2d0*cima*coupl(nGC_22)*coupl(   &
                      nGC_782) - cMZ**2d0*cima*coupl(nGC_40)**2d0 - cMZ**2d0*  &
                      cima*coupl(nGC_636)**2d0 - 4d0*cMZ**2d0*coupl(nGC_45) +  &
                      8d0*cima*coupl(nGC_47)**2d0 + 8d0*cima*coupl(nGC_51)**2d0&
                      )/(64d0*pi**2d0)
    coupl(nGC_10030) = -coupl(nGC_3437)
    coupl(nGC_3399) = (4d0*coupl(nGC_23)**2d0*coupl(nGC_25) + 4d0*coupl(nGC_23 &
                      )**2d0*coupl(nGC_40) + coupl(nGC_36)*coupl(nGC_81)**2d0  &
                       + 4d0*coupl(nGC_41)**3d0)/(32d0*pi**2d0)
    coupl(nGC_3398) = (4d0*coupl(nGC_23)**2d0*coupl(nGC_25) + 4d0*coupl(nGC_23 &
                      )**2d0*coupl(nGC_40) + coupl(nGC_36)*coupl(nGC_69)**2d0  &
                       + 4d0*coupl(nGC_41)**3d0)/(32d0*pi**2d0)
    coupl(nGC_3393) = (4d0*coupl(nGC_36)**3d0 + 4d0*coupl(nGC_36)*coupl(nGC_4  &
                      )**2d0 + coupl(nGC_40)*coupl(nGC_66)*coupl(nGC_68) +     &
                      coupl(nGC_40)*coupl(nGC_67)**2d0 + coupl(nGC_41)*coupl(  &
                      nGC_65)**2d0)/(32d0*pi**2d0)
    coupl(nGC_3392) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_34) + 4d0*coupl(nGC_34  &
                      )**3d0 + coupl(nGC_38)*coupl(nGC_62)*coupl(nGC_64) +     &
                      coupl(nGC_38)*coupl(nGC_63)**2d0 + coupl(nGC_39)*coupl(  &
                      nGC_61)**2d0)/(32d0*pi**2d0)
    coupl(nGC_3391) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_38) + 4d0*coupl(nGC_23  &
                      )**2d0*coupl(nGC_250) + 4d0*coupl(nGC_23)**2d0*coupl(    &
                      nGC_39) + coupl(nGC_34)*coupl(nGC_62)*coupl(nGC_64) +    &
                      coupl(nGC_34)*coupl(nGC_63)**2d0 + coupl(nGC_35)*coupl(  &
                      nGC_85)**2d0 + 4d0*coupl(nGC_38)**3d0)/(32d0*pi**2d0)
    coupl(nGC_3397) = (-4d0*coupl(nGC_23)**2d0*coupl(nGC_25) + 4d0*coupl(nGC_23&
                      )**2d0*coupl(nGC_41) + coupl(nGC_36)*coupl(nGC_70)*coupl(&
                      nGC_72) + coupl(nGC_36)*coupl(nGC_71)**2d0 + 4d0*coupl(  &
                      nGC_4)**2d0*coupl(nGC_40) + 4d0*coupl(nGC_40)**3d0)/(32d0&
                      *pi**2d0)
    coupl(nGC_3396) = (4d0*coupl(nGC_36)**3d0 + 4d0*coupl(nGC_36)*coupl(nGC_4  &
                      )**2d0 + coupl(nGC_40)*coupl(nGC_70)*coupl(nGC_72) +     &
                      coupl(nGC_40)*coupl(nGC_71)**2d0 + coupl(nGC_41)*coupl(  &
                      nGC_69)**2d0)/(32d0*pi**2d0)
    coupl(nGC_3395) = (4d0*coupl(nGC_23)**2d0*coupl(nGC_25) + 4d0*coupl(nGC_23 &
                      )**2d0*coupl(nGC_40) + coupl(nGC_36)*coupl(nGC_65)**2d0  &
                       + 4d0*coupl(nGC_41)**3d0)/(32d0*pi**2d0)
    coupl(nGC_3394) = (-4d0*coupl(nGC_23)**2d0*coupl(nGC_25) + 4d0*coupl(nGC_23&
                      )**2d0*coupl(nGC_41) + coupl(nGC_36)*coupl(nGC_66)*coupl(&
                      nGC_68) + coupl(nGC_36)*coupl(nGC_67)**2d0 + 4d0*coupl(  &
                      nGC_4)**2d0*coupl(nGC_40) + 4d0*coupl(nGC_40)**3d0)/(32d0&
                      *pi**2d0)
    coupl(nGC_5101) = coupl(nGC_34)*dZZA/2d0
    coupl(nGC_5105) = coupl(nGC_5101) + coupl(nGC_5104)
    coupl(nGC_5106) = coupl(nGC_5098) + coupl(nGC_5104)
    coupl(nGC_5474) = coupl(nGC_3518) + coupl(nGC_52)*dZH/2d0 + coupl(nGC_52)* &
                      dZZ
    coupl(nGC_3367) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_75) - coupl(nGC_224)*   &
                      coupl(nGC_38)*coupl(nGC_76) - coupl(nGC_23)*coupl(nGC_464&
                      )*coupl(nGC_73) - coupl(nGC_34)*coupl(nGC_37)*coupl(     &
                      nGC_76) + 8d0*coupl(nGC_34)*coupl(nGC_38)*coupl(nGC_75   &
                      ) - coupl(nGC_57)*coupl(nGC_59)*coupl(nGC_73) - coupl(   &
                      nGC_75)**3d0 - coupl(nGC_75)*coupl(nGC_76)**2d0)/(32d0*pi&
                      **2d0)
    coupl(nGC_3364) = (coupl(nGC_21)*coupl(nGC_23)*coupl(nGC_69) + coupl(      &
                      nGC_224)*coupl(nGC_36)*coupl(nGC_72) + 8d0*coupl(nGC_36)*&
                      coupl(nGC_40)*coupl(nGC_71) + coupl(nGC_37)*coupl(nGC_40 &
                      )*coupl(nGC_72) + 8d0*coupl(nGC_4)**2d0*coupl(nGC_71) -  &
                      coupl(nGC_71)**3d0 - coupl(nGC_71)*coupl(nGC_72)**2d0)/( &
                      32d0*pi**2d0)
    coupl(nGC_3362) = (coupl(nGC_21)*coupl(nGC_23)*coupl(nGC_65) + coupl(      &
                      nGC_224)*coupl(nGC_36)*coupl(nGC_68) + 8d0*coupl(nGC_36)*&
                      coupl(nGC_40)*coupl(nGC_67) + coupl(nGC_37)*coupl(nGC_40 &
                      )*coupl(nGC_68) + 8d0*coupl(nGC_4)**2d0*coupl(nGC_67) -  &
                      coupl(nGC_67)**3d0 - coupl(nGC_67)*coupl(nGC_68)**2d0)/( &
                      32d0*pi**2d0)
    coupl(nGC_3363) = (coupl(nGC_224)*coupl(nGC_40)*coupl(nGC_70) + coupl(     &
                      nGC_23)*coupl(nGC_69)*coupl(nGC_830) + coupl(nGC_36)*    &
                      coupl(nGC_37)*coupl(nGC_70) + 8d0*coupl(nGC_36)*coupl(   &
                      nGC_40)*coupl(nGC_71) + 8d0*coupl(nGC_4)**2d0*coupl(     &
                      nGC_71) - coupl(nGC_70)**2d0*coupl(nGC_71) - coupl(nGC_71&
                      )**3d0)/(32d0*pi**2d0)
    coupl(nGC_3361) = (coupl(nGC_224)*coupl(nGC_40)*coupl(nGC_66) + coupl(     &
                      nGC_23)*coupl(nGC_65)*coupl(nGC_830) + coupl(nGC_36)*    &
                      coupl(nGC_37)*coupl(nGC_66) + 8d0*coupl(nGC_36)*coupl(   &
                      nGC_40)*coupl(nGC_67) + 8d0*coupl(nGC_4)**2d0*coupl(     &
                      nGC_67) - coupl(nGC_66)**2d0*coupl(nGC_67) - coupl(nGC_67&
                      )**3d0)/(32d0*pi**2d0)
    coupl(nGC_6781) = coupl(nGC_3498) + 3d0*coupl(nGC_49)*dZH/2d0
    coupl(nGC_5770) = coupl(nGC_3564) + coupl(nGC_63)*dZH/2d0
    coupl(nGC_5479) = coupl(nGC_3)*dZWMinus/2d0 + coupl(nGC_3479)
    coupl(nGC_3243) = cima*(coupl(nGC_36)**2d0 + coupl(nGC_4)**2d0)/(16d0*pi** &
                      2d0)
    coupl(nGC_3369) = coupl(nGC_11)**2d0*coupl(nGC_75)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_6426) = coupl(nGC_3545) + coupl(nGC_64)*dZdL_QCD2/2d0 + coupl(   &
                      nGC_64)*dZdR_QCD2/2d0
    coupl(nGC_6427) = coupl(nGC_3548) + coupl(nGC_62)*dZdL_QCD2/2d0 + coupl(   &
                      nGC_62)*dZdR_QCD2/2d0
    coupl(nGC_3414) = -coupl(nGC_11)*sq2*(4d0*coupl(nGC_2)**2d0 + 4d0*coupl(   &
                      nGC_23)**2d0 + 4d0*coupl(nGC_39)**2d0 + coupl(nGC_58)*   &
                      coupl(nGC_60) + coupl(nGC_59)**2d0 + coupl(nGC_73)**2d0  &
                      )/(64d0*pi**2d0*Nc)
    coupl(nGC_3415) = -coupl(nGC_11)*sq2*(4d0*coupl(nGC_2)**2d0 + 4d0*coupl(   &
                      nGC_35)**2d0 + coupl(nGC_57)**2d0 + coupl(nGC_58)*coupl( &
                      nGC_60) + coupl(nGC_59)**2d0)/(64d0*pi**2d0*Nc)
    coupl(nGC_3416) = -coupl(nGC_11)*sq2*(-4d0*coupl(nGC_2)**2d0 - 4d0*coupl(  &
                      nGC_23)**2d0 - 4d0*coupl(nGC_39)**2d0 - coupl(nGC_58)*   &
                      coupl(nGC_60) - coupl(nGC_59)**2d0 - coupl(nGC_73)**2d0  &
                      )/(64d0*pi**2d0)
    coupl(nGC_6429) = coupl(nGC_3550) + coupl(nGC_62)*dZdL_QED2/2d0 + coupl(   &
                      nGC_62)*dZdR_QED2/2d0
    coupl(nGC_3410) = -coupl(nGC_11)*sq2*(4d0*coupl(nGC_1)**2d0 + 4d0*coupl(   &
                      nGC_34)**2d0 + coupl(nGC_54)*coupl(nGC_56) + coupl(nGC_55&
                      )**2d0)/(64d0*pi**2d0*Nc)
    coupl(nGC_3411) = -coupl(nGC_11)*sq2*(-4d0*coupl(nGC_1)**2d0 - 4d0*coupl(  &
                      nGC_38)**2d0 - coupl(nGC_54)*coupl(nGC_56) - coupl(nGC_55&
                      )**2d0)/(64d0*pi**2d0)
    coupl(nGC_5034) = coupl(nGC_3551) + coupl(nGC_74)*dZsL_QCD2/2d0 + coupl(   &
                      nGC_74)*dZsR_QCD2/2d0
    coupl(nGC_5035) = coupl(nGC_3554) + coupl(nGC_76)*dZsL_QCD2/2d0 + coupl(   &
                      nGC_76)*dZsR_QCD2/2d0
    coupl(nGC_5036) = coupl(nGC_3553) + coupl(nGC_74)*dZsL_QED2/2d0 + coupl(   &
                      nGC_74)*dZsR_QED2/2d0
    coupl(nGC_5037) = coupl(nGC_3556) + coupl(nGC_76)*dZsL_QED2/2d0 + coupl(   &
                      nGC_76)*dZsR_QED2/2d0
    coupl(nGC_6395) = coupl(nGC_24)*dZZA/2d0 + coupl(nGC_3485) + coupl(nGC_4)* &
                      dZA/2d0
    coupl(nGC_6396) = -coupl(nGC_6395)
    coupl(nGC_5602) = coupl(nGC_3527) + coupl(nGC_41)*dZZ/2d0 + coupl(nGC_41)* &
                      dZnu_eL
    coupl(nGC_5470) = coupl(nGC_5463) + coupl(nGC_5469)
    coupl(nGC_9782) = coupl(nGC_3439)/5d0
    coupl(nGC_9784) = coupl(nGC_3438)/5d0
    coupl(nGC_5701) = coupl(nGC_39)*dZcL_QCD2
    coupl(nGC_5771) = coupl(nGC_3565) + coupl(nGC_5767)
    coupl(nGC_4994) = coupl(nGC_3509) + coupl(nGC_42)*dZA/2d0 + coupl(nGC_42)* &
                      dZZ/2d0 + coupl(nGC_45)*dZZA/2d0 + coupl(nGC_6)*dZAZ/2d0
    coupl(nGC_5507) = coupl(nGC_3621) + coupl(nGC_5503)
    coupl(nGC_5814) = coupl(nGC_3573) + coupl(nGC_69)*dZmuMinusR/2d0 + coupl(  &
                      nGC_69)*dZnu_muL/2d0
    coupl(nGC_9662) = -coupl(nGC_3266)
    coupl(nGC_7042) = -coupl(nGC_7041)
    coupl(nGC_3305) = (-coupl(nGC_20)*coupl(nGC_23)*coupl(nGC_71) - coupl(     &
                      nGC_23)*coupl(nGC_72)*coupl(nGC_782) + 8d0*coupl(nGC_36)*&
                      coupl(nGC_41)*coupl(nGC_69) - coupl(nGC_36)*coupl(nGC_636&
                      )*coupl(nGC_69) - coupl(nGC_4)*coupl(nGC_570)*coupl(     &
                      nGC_69) - coupl(nGC_40)*coupl(nGC_41)*coupl(nGC_69))/(   &
                      32d0*pi**2d0)
    coupl(nGC_3306) = (coupl(nGC_22)*coupl(nGC_23)*coupl(nGC_84) + coupl(nGC_23&
                      )*coupl(nGC_83)*coupl(nGC_830) + coupl(nGC_36)*coupl(    &
                      nGC_40)*coupl(nGC_81) + 8d0*coupl(nGC_36)*coupl(nGC_41)* &
                      coupl(nGC_81) + coupl(nGC_4)**2d0*coupl(nGC_81) + coupl( &
                      nGC_41)*coupl(nGC_636)*coupl(nGC_81))/(32d0*pi**2d0)
    coupl(nGC_3359) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_63) - coupl(nGC_20)*    &
                      coupl(nGC_23)*coupl(nGC_61) - coupl(nGC_224)*coupl(nGC_34&
                      )*coupl(nGC_62) + 8d0*coupl(nGC_34)*coupl(nGC_38)*coupl( &
                      nGC_63) - coupl(nGC_37)*coupl(nGC_38)*coupl(nGC_62) -    &
                      coupl(nGC_61)*coupl(nGC_85)*coupl(nGC_87) - coupl(nGC_62 &
                      )**2d0*coupl(nGC_63) - coupl(nGC_63)**3d0)/(32d0*pi**2d0)
    coupl(nGC_3358) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_63) - coupl(nGC_224)*   &
                      coupl(nGC_38)*coupl(nGC_64) - coupl(nGC_23)*coupl(nGC_464&
                      )*coupl(nGC_61) - coupl(nGC_34)*coupl(nGC_37)*coupl(     &
                      nGC_64) + 8d0*coupl(nGC_34)*coupl(nGC_38)*coupl(nGC_63   &
                      ) - coupl(nGC_61)*coupl(nGC_85)*coupl(nGC_87) - coupl(   &
                      nGC_63)**3d0 - coupl(nGC_63)*coupl(nGC_64)**2d0)/(32d0*pi&
                      **2d0)
    coupl(nGC_3604) = coupl(nGC_3207)*dyt_QED1
  end subroutine fill_CTcouplings_mdl3
end module fill_ctcouplings3
