!******************************************************************************!
!                                                                              !
!    fill_ctcouplings4.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings4.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2019-10-14 10:32             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings4
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl4()
    coupl(nGC_3355) = (8d0*coupl(nGC_2)**2d0*coupl(nGC_59) - coupl(nGC_224)*   &
                      coupl(nGC_39)*coupl(nGC_58) - coupl(nGC_23)*coupl(nGC_57 &
                      )*coupl(nGC_830) - coupl(nGC_35)*coupl(nGC_37)*coupl(    &
                      nGC_58) + 8d0*coupl(nGC_35)*coupl(nGC_39)*coupl(nGC_59   &
                      ) - coupl(nGC_57)*coupl(nGC_73)*coupl(nGC_75) - coupl(   &
                      nGC_58)**2d0*coupl(nGC_59) - coupl(nGC_59)**3d0)/(32d0*pi&
                      **2d0)
    coupl(nGC_3354) = (-8d0*Nc*cMB*coupl(nGC_34)**2d0*coupl(nGC_55) + 8d0*Nc*  &
                      cMB*coupl(nGC_34)*coupl(nGC_38)*coupl(nGC_55) - 8d0*Nc*  &
                      cMB*coupl(nGC_38)**2d0*coupl(nGC_55) - 8d0*Nc*cMC*coupl( &
                      nGC_35)**2d0*coupl(nGC_59) + 8d0*Nc*cMC*coupl(nGC_35)*   &
                      coupl(nGC_39)*coupl(nGC_59) - 8d0*Nc*cMC*coupl(nGC_39)** &
                      2d0*coupl(nGC_59) - 8d0*Nc*cMD*coupl(nGC_34)**2d0*coupl( &
                      nGC_63) + 8d0*Nc*cMD*coupl(nGC_34)*coupl(nGC_38)*coupl(  &
                      nGC_63) - 8d0*Nc*cMD*coupl(nGC_38)**2d0*coupl(nGC_63) -  &
                      8d0*Nc*cMS*coupl(nGC_34)**2d0*coupl(nGC_75) + 8d0*Nc*cMS*&
                      coupl(nGC_34)*coupl(nGC_38)*coupl(nGC_75) - 8d0*Nc*cMS*  &
                      coupl(nGC_38)**2d0*coupl(nGC_75) - 8d0*Nc*cMT*coupl(     &
                      nGC_35)**2d0*coupl(nGC_79) + 8d0*Nc*cMT*coupl(nGC_35)*   &
                      coupl(nGC_39)*coupl(nGC_79) - 8d0*Nc*cMT*coupl(nGC_39)** &
                      2d0*coupl(nGC_79) - 8d0*Nc*cMU*coupl(nGC_35)**2d0*coupl( &
                      nGC_87) + 8d0*Nc*cMU*coupl(nGC_35)*coupl(nGC_39)*coupl(  &
                      nGC_87) - 8d0*Nc*cMU*coupl(nGC_39)**2d0*coupl(nGC_87) -  &
                      8d0*cME*coupl(nGC_36)**2d0*coupl(nGC_67) + 8d0*cME*coupl(&
                      nGC_36)*coupl(nGC_40)*coupl(nGC_67) - 8d0*cME*coupl(     &
                      nGC_40)**2d0*coupl(nGC_67) - 8d0*cMM*coupl(nGC_36)**2d0* &
                      coupl(nGC_71) + 8d0*cMM*coupl(nGC_36)*coupl(nGC_40)*coupl&
                      (nGC_71) - 8d0*cMM*coupl(nGC_40)**2d0*coupl(nGC_71) - 8d0&
                      *cMTA*coupl(nGC_36)**2d0*coupl(nGC_83) + 8d0*cMTA*coupl( &
                      nGC_36)*coupl(nGC_40)*coupl(nGC_83) - 8d0*cMTA*coupl(    &
                      nGC_40)**2d0*coupl(nGC_83) + 4d0*cima*coupl(nGC_254)*    &
                      coupl(nGC_50) - coupl(nGC_20)*coupl(nGC_250)*coupl(nGC_47&
                      ) - coupl(nGC_21)*coupl(nGC_25)*coupl(nGC_47) + 6d0*coupl&
                      (nGC_25)**2d0*coupl(nGC_50) - coupl(nGC_25)*coupl(nGC_47 &
                      )*coupl(nGC_830) + 6d0*coupl(nGC_250)**2d0*coupl(nGC_50  &
                      ) - coupl(nGC_250)*coupl(nGC_464)*coupl(nGC_47))/(32d0*pi&
                      **2d0)
    coupl(nGC_3601) = coupl(nGC_3191)*dyc_QED1_QCD2
    coupl(nGC_3600) = coupl(nGC_3210)*dyup_QED3
    coupl(nGC_3603) = coupl(nGC_3191)*dyc_QED3
    coupl(nGC_3350) = (-4d0*Nc*cMB*coupl(nGC_23)**2d0*coupl(nGC_55) - 4d0*Nc*  &
                      cMC*coupl(nGC_23)**2d0*coupl(nGC_59) - 4d0*Nc*cMD*coupl( &
                      nGC_23)**2d0*coupl(nGC_63) - 4d0*Nc*cMS*coupl(nGC_23)**  &
                      2d0*coupl(nGC_75) - 4d0*Nc*cMT*coupl(nGC_23)**2d0*coupl( &
                      nGC_79) - 4d0*Nc*cMU*coupl(nGC_23)**2d0*coupl(nGC_87) -  &
                      4d0*cME*coupl(nGC_23)**2d0*coupl(nGC_67) - 4d0*cMM*coupl(&
                      nGC_23)**2d0*coupl(nGC_71) - 4d0*cMTA*coupl(nGC_23)**2d0*&
                      coupl(nGC_83) + 4d0*cima*coupl(nGC_18)*coupl(nGC_50) +   &
                      2d0*cima*coupl(nGC_254)*coupl(nGC_52) - coupl(nGC_21)*   &
                      coupl(nGC_220)*coupl(nGC_51) - coupl(nGC_21)*coupl(      &
                      nGC_250)*coupl(nGC_47) + 6d0*coupl(nGC_220)**2d0*coupl(  &
                      nGC_50) - coupl(nGC_220)*coupl(nGC_51)*coupl(nGC_830) +  &
                      6d0*coupl(nGC_25)**2d0*coupl(nGC_52) + 6d0*coupl(nGC_250 &
                      )**2d0*coupl(nGC_50) - coupl(nGC_250)*coupl(nGC_47)*coupl&
                      (nGC_830))/(32d0*pi**2d0)
    coupl(nGC_3592) = coupl(nGC_3190)*dyc_QED3
    coupl(nGC_4923) = coupl(nGC_36)*dZZA/2d0 + coupl(nGC_4)*dZeMinusR
    coupl(nGC_3329) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_64) - coupl(nGC_22)*    &
                      coupl(nGC_23)*coupl(nGC_61) - coupl(nGC_224)*coupl(nGC_34&
                      )*coupl(nGC_63) + 8d0*coupl(nGC_34)*coupl(nGC_38)*coupl( &
                      nGC_64) - coupl(nGC_37)*coupl(nGC_38)*coupl(nGC_63) -    &
                      coupl(nGC_61)*coupl(nGC_85)*coupl(nGC_88) - coupl(nGC_62 &
                      )*coupl(nGC_63)**2d0 - coupl(nGC_62)*coupl(nGC_64)**2d0  &
                      )/(32d0*pi**2d0)
    coupl(nGC_4924) = coupl(nGC_3485) + coupl(nGC_4)*dZA/2d0
    coupl(nGC_4927) = coupl(nGC_4924) + coupl(nGC_4925)
    coupl(nGC_4926) = coupl(nGC_4923) + coupl(nGC_4924)
    coupl(nGC_3323) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_54) - coupl(nGC_224)*   &
                      coupl(nGC_38)*coupl(nGC_55) - coupl(nGC_23)*coupl(nGC_53 &
                      )*coupl(nGC_782) - coupl(nGC_34)*coupl(nGC_37)*coupl(    &
                      nGC_55) + 8d0*coupl(nGC_34)*coupl(nGC_38)*coupl(nGC_54   &
                      ) - coupl(nGC_53)*coupl(nGC_77)*coupl(nGC_78) - coupl(   &
                      nGC_54)**2d0*coupl(nGC_56) - coupl(nGC_55)**2d0*coupl(   &
                      nGC_56))/(32d0*pi**2d0)
    coupl(nGC_3320) = (-4d0*Nc*coupl(nGC_34)*coupl(nGC_54)*coupl(nGC_55) + 4d0*&
                      Nc*coupl(nGC_34)*coupl(nGC_55)*coupl(nGC_56) - 4d0*Nc*   &
                      coupl(nGC_34)*coupl(nGC_62)*coupl(nGC_63) + 4d0*Nc*coupl(&
                      nGC_34)*coupl(nGC_63)*coupl(nGC_64) - 4d0*Nc*coupl(nGC_34&
                      )*coupl(nGC_74)*coupl(nGC_75) + 4d0*Nc*coupl(nGC_34)*    &
                      coupl(nGC_75)*coupl(nGC_76) + 4d0*Nc*coupl(nGC_35)*coupl(&
                      nGC_58)*coupl(nGC_59) - 4d0*Nc*coupl(nGC_35)*coupl(nGC_59&
                      )*coupl(nGC_60) + 4d0*Nc*coupl(nGC_35)*coupl(nGC_78)*    &
                      coupl(nGC_79) - 4d0*Nc*coupl(nGC_35)*coupl(nGC_79)*coupl(&
                      nGC_80) + 4d0*Nc*coupl(nGC_35)*coupl(nGC_86)*coupl(nGC_87&
                      ) - 4d0*Nc*coupl(nGC_35)*coupl(nGC_87)*coupl(nGC_88) +   &
                      4d0*Nc*coupl(nGC_38)*coupl(nGC_54)*coupl(nGC_55) - 4d0*Nc&
                      *coupl(nGC_38)*coupl(nGC_55)*coupl(nGC_56) + 4d0*Nc*coupl&
                      (nGC_38)*coupl(nGC_62)*coupl(nGC_63) - 4d0*Nc*coupl(     &
                      nGC_38)*coupl(nGC_63)*coupl(nGC_64) + 4d0*Nc*coupl(nGC_38&
                      )*coupl(nGC_74)*coupl(nGC_75) - 4d0*Nc*coupl(nGC_38)*    &
                      coupl(nGC_75)*coupl(nGC_76) - 4d0*Nc*coupl(nGC_39)*coupl(&
                      nGC_58)*coupl(nGC_59) + 4d0*Nc*coupl(nGC_39)*coupl(nGC_59&
                      )*coupl(nGC_60) - 4d0*Nc*coupl(nGC_39)*coupl(nGC_78)*    &
                      coupl(nGC_79) + 4d0*Nc*coupl(nGC_39)*coupl(nGC_79)*coupl(&
                      nGC_80) - 4d0*Nc*coupl(nGC_39)*coupl(nGC_86)*coupl(nGC_87&
                      ) + 4d0*Nc*coupl(nGC_39)*coupl(nGC_87)*coupl(nGC_88) -   &
                      6d0*coupl(nGC_20)*coupl(nGC_22)*coupl(nGC_250) - 6d0*    &
                      coupl(nGC_21)*coupl(nGC_22)*coupl(nGC_25) + coupl(nGC_224&
                      )**3d0 - 4d0*coupl(nGC_36)*coupl(nGC_66)*coupl(nGC_67) + &
                      4d0*coupl(nGC_36)*coupl(nGC_67)*coupl(nGC_68) - 4d0*coupl&
                      (nGC_36)*coupl(nGC_70)*coupl(nGC_71) + 4d0*coupl(nGC_36)*&
                      coupl(nGC_71)*coupl(nGC_72) - 4d0*coupl(nGC_36)*coupl(   &
                      nGC_82)*coupl(nGC_83) + 4d0*coupl(nGC_36)*coupl(nGC_83)* &
                      coupl(nGC_84) + 4d0*coupl(nGC_40)*coupl(nGC_66)*coupl(   &
                      nGC_67) - 4d0*coupl(nGC_40)*coupl(nGC_67)*coupl(nGC_68   &
                      ) + 4d0*coupl(nGC_40)*coupl(nGC_70)*coupl(nGC_71) - 4d0* &
                      coupl(nGC_40)*coupl(nGC_71)*coupl(nGC_72) + coupl(nGC_40 &
                      )*coupl(nGC_782)*coupl(nGC_830) + 4d0*coupl(nGC_40)*coupl&
                      (nGC_82)*coupl(nGC_83) - 4d0*coupl(nGC_40)*coupl(nGC_83)*&
                      coupl(nGC_84) + coupl(nGC_464)*coupl(nGC_636)*coupl(     &
                      nGC_782))/(96d0*pi**2d0)
    coupl(nGC_3321) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_56) - coupl(nGC_22)*    &
                      coupl(nGC_23)*coupl(nGC_53) - coupl(nGC_224)*coupl(nGC_34&
                      )*coupl(nGC_55) + 8d0*coupl(nGC_34)*coupl(nGC_38)*coupl( &
                      nGC_56) - coupl(nGC_37)*coupl(nGC_38)*coupl(nGC_55) -    &
                      coupl(nGC_53)*coupl(nGC_77)*coupl(nGC_80) - coupl(nGC_54 &
                      )*coupl(nGC_55)**2d0 - coupl(nGC_54)*coupl(nGC_56)**2d0  &
                      )/(32d0*pi**2d0)
    coupl(nGC_5435) = coupl(nGC_3499) + coupl(nGC_42)*dZZA + coupl(nGC_6)*dZA
    coupl(nGC_3325) = (8d0*coupl(nGC_2)**2d0*coupl(nGC_58) - coupl(nGC_22)*    &
                      coupl(nGC_23)*coupl(nGC_57) - coupl(nGC_224)*coupl(nGC_35&
                      )*coupl(nGC_59) + 8d0*coupl(nGC_35)*coupl(nGC_39)*coupl( &
                      nGC_58) - coupl(nGC_37)*coupl(nGC_39)*coupl(nGC_59) -    &
                      coupl(nGC_57)*coupl(nGC_73)*coupl(nGC_74) - coupl(nGC_58 &
                      )**2d0*coupl(nGC_60) - coupl(nGC_59)**2d0*coupl(nGC_60   &
                      ))/(32d0*pi**2d0)
    coupl(nGC_3450) = cima*coupl(nGC_11)**2d0*sq2**2d0*(3d0*coupl(nGC_34)**2d0 &
                       + 2d0*coupl(nGC_35)**2d0 + 3d0*coupl(nGC_38)**2d0 + 2d0*&
                      coupl(nGC_39)**2d0)/(96d0*pi**2d0)
    coupl(nGC_3451) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-3d0*coupl(nGC_34)**2d0&
                       - 2d0*coupl(nGC_35)**2d0 - 3d0*coupl(nGC_38)**2d0 - 2d0*&
                      coupl(nGC_39)**2d0)/(96d0*pi**2d0*Nc)
    coupl(nGC_3454) = cima*coupl(nGC_11)**3d0*sq2**3d0*(3d0*coupl(nGC_1) + 2d0*&
                      coupl(nGC_2))/(48d0*pi**2d0*Nc**2d0)
    coupl(nGC_3455) = cima*coupl(nGC_11)**3d0*sq2**3d0*(3d0*coupl(nGC_34) + 2d0&
                      *coupl(nGC_35) + 3d0*coupl(nGC_38) + 2d0*coupl(nGC_39))/(&
                      384d0*pi**2d0)
    coupl(nGC_3457) = cima*coupl(nGC_11)**3d0*sq2**3d0*(-3d0*coupl(nGC_34) -   &
                      2d0*coupl(nGC_35) - 3d0*coupl(nGC_38) - 2d0*coupl(nGC_39 &
                      ))/(192d0*pi**2d0*Nc)
    coupl(nGC_3519) = coupl(nGC_3070)*dZee
    coupl(nGC_7342) = coupl(nGC_3615) + coupl(nGC_7339)
    coupl(nGC_3513) = coupl(nGC_3074)*dZee + coupl(nGC_3075)*dcw_
    coupl(nGC_3512) = coupl(nGC_3080)*dZee + coupl(nGC_3081)*dcw_
    coupl(nGC_3515) = coupl(nGC_3076)*dZee + coupl(nGC_3077)*dcw_
    coupl(nGC_3514) = coupl(nGC_3166)*dZee + coupl(nGC_3167)*dcw_ + coupl(     &
                      nGC_3168)*dvev_QEDM1
    coupl(nGC_3516) = coupl(nGC_3171)*dZee + coupl(nGC_3172)*dsw_ + coupl(     &
                      nGC_3173)*dcw_
    coupl(nGC_5176) = coupl(nGC_29)*dZA/2d0 + coupl(nGC_29)*dZWMinus + coupl(  &
                      nGC_29)*dZZ/2d0 + coupl(nGC_3483)
    coupl(nGC_5178) = -2d0*coupl(nGC_5175) + coupl(nGC_5176)
    coupl(nGC_6118) = coupl(nGC_3575) + coupl(nGC_68)*dZeMinusL/2d0 + coupl(   &
                      nGC_68)*dZeMinusR/2d0
    coupl(nGC_5073) = coupl(nGC_23)*dZWMinus/2d0 + coupl(nGC_23)*dZmuMinusL/2d0&
                       + coupl(nGC_23)*dZnu_muL/2d0 + coupl(nGC_3522)
    coupl(nGC_3213) = cMB*cima*(-coupl(nGC_1)**2d0 - coupl(nGC_34)*coupl(nGC_38&
                      ))/(8d0*pi**2d0)
    coupl(nGC_5643) = coupl(nGC_31)*dZH/2d0 + coupl(nGC_3488)
    coupl(nGC_3218) = cima*(-2d0*Nc*coupl(nGC_23)**2d0 - coupl(nGC_220)**2d0 - &
                      2d0*coupl(nGC_23)**2d0 - coupl(nGC_25)**2d0 - coupl(     &
                      nGC_250)**2d0 - coupl(nGC_3)**2d0)/(32d0*pi**2d0)
    coupl(nGC_6552) = coupl(nGC_3600) + coupl(nGC_6546)
    coupl(nGC_6553) = coupl(nGC_3599) + coupl(nGC_87)*dZH/2d0
    coupl(nGC_6554) = coupl(nGC_3598) + coupl(nGC_6547)
    coupl(nGC_5313) = coupl(nGC_3485) + coupl(nGC_4)*dZA/2d0 + coupl(nGC_40)*  &
                      dZZA/2d0
    coupl(nGC_3588) = coupl(nGC_3212)*dyup_QED1
    coupl(nGC_3582) = coupl(nGC_3199)*dym_QED1
    coupl(nGC_3580) = coupl(nGC_3209)*dytau_QED1
    coupl(nGC_3287) = (4d0*coupl(nGC_1)*coupl(nGC_23)**2d0 + coupl(nGC_1)*coupl&
                      (nGC_61)**2d0 + 4d0*coupl(nGC_2)**3d0 + 4d0*coupl(nGC_2)*&
                      coupl(nGC_39)**2d0 + coupl(nGC_2)*coupl(nGC_86)*coupl(   &
                      nGC_88) + coupl(nGC_2)*coupl(nGC_87)**2d0 + 4d0*coupl(   &
                      nGC_23)**2d0*coupl(nGC_3))/(32d0*pi**2d0)
    coupl(nGC_5544) = coupl(nGC_24)*dZZ/2d0 + coupl(nGC_3490) + coupl(nGC_4)*  &
                      dZAZ/2d0
    coupl(nGC_5545) = -coupl(nGC_5544)
    coupl(nGC_4890) = coupl(nGC_17)*dZWMinus + coupl(nGC_3507)
    coupl(nGC_4893) = coupl(nGC_20)*dZH/2d0 + coupl(nGC_20)*dZWMinus/2d0 +     &
                      coupl(nGC_3506)
    coupl(nGC_5857) = coupl(nGC_4896) + coupl(nGC_5855)
    coupl(nGC_5854) = coupl(nGC_3528) + coupl(nGC_36)*dZZ/2d0 + coupl(nGC_36)* &
                      dZmuMinusR
    coupl(nGC_3307) = (4d0*Nc*coupl(nGC_23)*coupl(nGC_53)*coupl(nGC_56) - 4d0* &
                      Nc*coupl(nGC_23)*coupl(nGC_57)*coupl(nGC_60) + 4d0*Nc*   &
                      coupl(nGC_23)*coupl(nGC_61)*coupl(nGC_64) + 4d0*Nc*coupl(&
                      nGC_23)*coupl(nGC_73)*coupl(nGC_76) - 4d0*Nc*coupl(nGC_23&
                      )*coupl(nGC_77)*coupl(nGC_80) - 4d0*Nc*coupl(nGC_23)*    &
                      coupl(nGC_85)*coupl(nGC_88) - 6d0*coupl(nGC_21)*coupl(   &
                      nGC_224)*coupl(nGC_25) + coupl(nGC_21)*coupl(nGC_37)*    &
                      coupl(nGC_40) + coupl(nGC_22)**3d0 + coupl(nGC_22)*coupl(&
                      nGC_464)**2d0 - 6d0*coupl(nGC_220)*coupl(nGC_570)*coupl( &
                      nGC_782) + 4d0*coupl(nGC_23)*coupl(nGC_65)*coupl(nGC_68  &
                      ) + 4d0*coupl(nGC_23)*coupl(nGC_69)*coupl(nGC_72) + 4d0* &
                      coupl(nGC_23)*coupl(nGC_81)*coupl(nGC_84) - 6d0*coupl(   &
                      nGC_250)*coupl(nGC_636)*coupl(nGC_782))/(96d0*pi**2d0)
    coupl(nGC_4962) = coupl(nGC_3514) + coupl(nGC_47)*dZWMinus/2d0 + coupl(    &
                      nGC_47)*dZZ/2d0 + coupl(nGC_51)*dZAZ/2d0
    coupl(nGC_4969) = coupl(nGC_3502) + coupl(nGC_47)*dZZA/2d0 + coupl(nGC_51)*&
                      dZA/2d0 + coupl(nGC_51)*dZWMinus/2d0
    coupl(nGC_3228) = (-4d0*Nc*cMB**2d0*cima*coupl(nGC_55)**2d0 - 4d0*Nc*cMC** &
                      2d0*cima*coupl(nGC_59)**2d0 - 4d0*Nc*cMD**2d0*cima*coupl(&
                      nGC_63)**2d0 - 4d0*Nc*cMS**2d0*cima*coupl(nGC_75)**2d0 - &
                      4d0*Nc*cMT**2d0*cima*coupl(nGC_79)**2d0 - 4d0*Nc*cMU**2d0&
                      *cima*coupl(nGC_87)**2d0 - 4d0*cME**2d0*cima*coupl(nGC_67&
                      )**2d0 - 4d0*cMM**2d0*cima*coupl(nGC_71)**2d0 - 4d0*cMTA &
                      **2d0*cima*coupl(nGC_83)**2d0 - cMW**2d0*cima*coupl(     &
                      nGC_20)*coupl(nGC_464) - cMW**2d0*cima*coupl(nGC_21)*    &
                      coupl(nGC_830) - 2d0*cMW**2d0*coupl(nGC_17) - cMZ**2d0*  &
                      cima*coupl(nGC_224)*coupl(nGC_37) - cMZ**2d0*coupl(nGC_46&
                      ) + 2d0*cima*coupl(nGC_50)**2d0 + cima*coupl(nGC_52)**2d0&
                      )/(16d0*pi**2d0)
    coupl(nGC_5800) = coupl(nGC_3601) + coupl(nGC_5799)
    coupl(nGC_5802) = coupl(nGC_3603) + coupl(nGC_5798)
    coupl(nGC_5136) = coupl(nGC_3497) + coupl(nGC_48)*dZH/2d0
    coupl(nGC_5130) = coupl(nGC_19)*dZWMinus + coupl(nGC_19)*dZZ + coupl(      &
                      nGC_3484)
    coupl(nGC_5132) = coupl(nGC_5129) - 2d0*coupl(nGC_5130)
    coupl(nGC_5139) = coupl(nGC_3493) + coupl(nGC_44)*dZH/2d0
    coupl(nGC_5365) = coupl(nGC_5361) + coupl(nGC_5364)
    coupl(nGC_5680) = coupl(nGC_23)*dZWMinus/2d0 + coupl(nGC_23)*dZnu_tauL/2d0 &
                       + coupl(nGC_23)*dZtauMinusL/2d0 + coupl(nGC_3522)
    coupl(nGC_5769) = coupl(nGC_3563) + coupl(nGC_5768)
    coupl(nGC_5445) = coupl(nGC_3485) + coupl(nGC_4)*dZWMinus/2d0
    coupl(nGC_5446) = -coupl(nGC_5445)
    coupl(nGC_5282) = coupl(nGC_3527) + coupl(nGC_41)*dZZ/2d0 + coupl(nGC_41)* &
                      dZnu_muL
    coupl(nGC_3319) = (4d0*Nc*cMB*coupl(nGC_54)**2d0*coupl(nGC_55) + 16d0*Nc*  &
                      cMB*coupl(nGC_54)*coupl(nGC_55)*coupl(nGC_56) + 4d0*Nc*  &
                      cMB*coupl(nGC_55)*coupl(nGC_56)**2d0 + 4d0*Nc*cMC*coupl( &
                      nGC_58)**2d0*coupl(nGC_59) + 16d0*Nc*cMC*coupl(nGC_58)*  &
                      coupl(nGC_59)*coupl(nGC_60) + 4d0*Nc*cMC*coupl(nGC_59)*  &
                      coupl(nGC_60)**2d0 + 4d0*Nc*cMD*coupl(nGC_62)**2d0*coupl(&
                      nGC_63) + 16d0*Nc*cMD*coupl(nGC_62)*coupl(nGC_63)*coupl( &
                      nGC_64) + 4d0*Nc*cMD*coupl(nGC_63)*coupl(nGC_64)**2d0 +  &
                      4d0*Nc*cMS*coupl(nGC_74)**2d0*coupl(nGC_75) + 16d0*Nc*cMS&
                      *coupl(nGC_74)*coupl(nGC_75)*coupl(nGC_76) + 4d0*Nc*cMS* &
                      coupl(nGC_75)*coupl(nGC_76)**2d0 + 4d0*Nc*cMT*coupl(     &
                      nGC_78)**2d0*coupl(nGC_79) + 16d0*Nc*cMT*coupl(nGC_78)*  &
                      coupl(nGC_79)*coupl(nGC_80) + 4d0*Nc*cMT*coupl(nGC_79)*  &
                      coupl(nGC_80)**2d0 + 4d0*Nc*cMU*coupl(nGC_86)**2d0*coupl(&
                      nGC_87) + 16d0*Nc*cMU*coupl(nGC_86)*coupl(nGC_87)*coupl( &
                      nGC_88) + 4d0*Nc*cMU*coupl(nGC_87)*coupl(nGC_88)**2d0 +  &
                      4d0*cME*coupl(nGC_66)**2d0*coupl(nGC_67) + 16d0*cME*coupl&
                      (nGC_66)*coupl(nGC_67)*coupl(nGC_68) + 4d0*cME*coupl(    &
                      nGC_67)*coupl(nGC_68)**2d0 + 4d0*cMM*coupl(nGC_70)**2d0* &
                      coupl(nGC_71) + 16d0*cMM*coupl(nGC_70)*coupl(nGC_71)*    &
                      coupl(nGC_72) + 4d0*cMM*coupl(nGC_71)*coupl(nGC_72)**2d0 &
                       + 4d0*cMTA*coupl(nGC_82)**2d0*coupl(nGC_83) + 16d0*cMTA*&
                      coupl(nGC_82)*coupl(nGC_83)*coupl(nGC_84) + 4d0*cMTA*    &
                      coupl(nGC_83)*coupl(nGC_84)**2d0 + 4d0*cima*coupl(nGC_17 &
                      )*coupl(nGC_50) + 2d0*cima*coupl(nGC_46)*coupl(nGC_52) + &
                      2d0*coupl(nGC_22)*coupl(nGC_48)*coupl(nGC_782) - 2d0*    &
                      coupl(nGC_22)*coupl(nGC_50)*coupl(nGC_782) + coupl(      &
                      nGC_224)**2d0*coupl(nGC_48) + coupl(nGC_224)*coupl(nGC_37&
                      )*coupl(nGC_49) - coupl(nGC_224)*coupl(nGC_37)*coupl(    &
                      nGC_52) + coupl(nGC_37)**2d0*coupl(nGC_48))/(32d0*pi**2d0&
                      )
    coupl(nGC_4874) = coupl(nGC_28)*dZAZ/2d0 + coupl(nGC_3512) + coupl(nGC_9)* &
                      dZWMinus/2d0 + coupl(nGC_9)*dZZ/2d0
    coupl(nGC_10012) = -coupl(nGC_3291)
    coupl(nGC_6243) = coupl(nGC_3597) + coupl(nGC_78)*dZtL/2d0 + coupl(nGC_78)*&
                      dZtR/2d0
    coupl(nGC_3373) = (coupl(nGC_21)*coupl(nGC_23)*coupl(nGC_81) + coupl(      &
                      nGC_224)*coupl(nGC_36)*coupl(nGC_84) + 8d0*coupl(nGC_36)*&
                      coupl(nGC_40)*coupl(nGC_83) + coupl(nGC_37)*coupl(nGC_40 &
                      )*coupl(nGC_84) + 8d0*coupl(nGC_4)**2d0*coupl(nGC_83) -  &
                      coupl(nGC_83)**3d0 - coupl(nGC_83)*coupl(nGC_84)**2d0)/( &
                      32d0*pi**2d0)
    coupl(nGC_3231) = cima*(4d0*Nc*coupl(nGC_54)*coupl(nGC_56) + 4d0*Nc*coupl( &
                      nGC_58)*coupl(nGC_60) + 4d0*Nc*coupl(nGC_62)*coupl(nGC_64&
                      ) + 4d0*Nc*coupl(nGC_74)*coupl(nGC_76) + 4d0*Nc*coupl(   &
                      nGC_78)*coupl(nGC_80) + 4d0*Nc*coupl(nGC_86)*coupl(nGC_88&
                      ) + 2d0*coupl(nGC_22)*coupl(nGC_782) + coupl(nGC_224)*   &
                      coupl(nGC_37) + 4d0*coupl(nGC_66)*coupl(nGC_68) + 4d0*   &
                      coupl(nGC_70)*coupl(nGC_72) + 4d0*coupl(nGC_82)*coupl(   &
                      nGC_84))/(96d0*pi**2d0)
    coupl(nGC_3232) = (-8d0*Nc*cMB**2d0*cima*coupl(nGC_54)*coupl(nGC_56) - 8d0*&
                      Nc*cMC**2d0*cima*coupl(nGC_58)*coupl(nGC_60) - 8d0*Nc*cMD&
                      **2d0*cima*coupl(nGC_62)*coupl(nGC_64) - 8d0*Nc*cMS**2d0*&
                      cima*coupl(nGC_74)*coupl(nGC_76) - 8d0*Nc*cMT**2d0*cima* &
                      coupl(nGC_78)*coupl(nGC_80) - 8d0*Nc*cMU**2d0*cima*coupl(&
                      nGC_86)*coupl(nGC_88) - 8d0*cME**2d0*cima*coupl(nGC_66)* &
                      coupl(nGC_68) - cMH**2d0*cima*coupl(nGC_224)*coupl(nGC_37&
                      ) - 8d0*cMM**2d0*cima*coupl(nGC_70)*coupl(nGC_72) - 8d0* &
                      cMTA**2d0*cima*coupl(nGC_82)*coupl(nGC_84) - 4d0*cMW**2d0&
                      *cima*coupl(nGC_22)*coupl(nGC_782) - 4d0*cMW**2d0*coupl( &
                      nGC_17) - cMZ**2d0*cima*coupl(nGC_224)*coupl(nGC_37) -   &
                      2d0*cMZ**2d0*coupl(nGC_46))/(32d0*pi**2d0)
    coupl(nGC_5122) = coupl(nGC_23)*dZWMinus/2d0 + coupl(nGC_23)*dZtL/2d0 +    &
                      coupl(nGC_3522)
    coupl(nGC_5126) = -coupl(nGC_5125)
    coupl(nGC_5892) = coupl(nGC_3527) + coupl(nGC_41)*dZZ/2d0 + coupl(nGC_41)* &
                      dZnu_tauL
    coupl(nGC_5000) = coupl(nGC_3626) + coupl(nGC_MZ_GF)*dZZ/2d0
    coupl(nGC_5420) = coupl(nGC_3590) + coupl(nGC_60)*dZcL_QCD2/2d0 + coupl(   &
                      nGC_60)*dZcR_QCD2/2d0
    coupl(nGC_4989) = coupl(nGC_4986) - 2d0*coupl(nGC_4987)
    coupl(nGC_4988) = -coupl(nGC_4986)/2d0 + coupl(nGC_4987)
    coupl(nGC_4983) = coupl(nGC_23)*dZWMinus/2d0 + coupl(nGC_3522)
    coupl(nGC_4955) = coupl(nGC_27)*dZAZ/2d0 + coupl(nGC_3513) + coupl(nGC_8)* &
                      dZH/2d0 + coupl(nGC_8)*dZWMinus/2d0 + coupl(nGC_8)*dZZ/  &
                      2d0
    coupl(nGC_4900) = coupl(nGC_3528) + coupl(nGC_36)*dZZ/2d0 + coupl(nGC_36)* &
                      dZtauMinusR
    coupl(nGC_3308) = (4d0*Nc*coupl(nGC_23)*coupl(nGC_53)*coupl(nGC_55) - 4d0* &
                      Nc*coupl(nGC_23)*coupl(nGC_57)*coupl(nGC_59) + 4d0*Nc*   &
                      coupl(nGC_23)*coupl(nGC_61)*coupl(nGC_63) + 4d0*Nc*coupl(&
                      nGC_23)*coupl(nGC_73)*coupl(nGC_75) - 4d0*Nc*coupl(nGC_23&
                      )*coupl(nGC_77)*coupl(nGC_79) - 4d0*Nc*coupl(nGC_23)*    &
                      coupl(nGC_85)*coupl(nGC_87) - 6d0*coupl(nGC_21)*coupl(   &
                      nGC_220)*coupl(nGC_570) - 6d0*coupl(nGC_21)*coupl(nGC_250&
                      )*coupl(nGC_636) + coupl(nGC_22)**2d0*coupl(nGC_830) +   &
                      coupl(nGC_224)*coupl(nGC_40)*coupl(nGC_782) + 4d0*coupl( &
                      nGC_23)*coupl(nGC_65)*coupl(nGC_67) + 4d0*coupl(nGC_23)* &
                      coupl(nGC_69)*coupl(nGC_71) + 4d0*coupl(nGC_23)*coupl(   &
                      nGC_81)*coupl(nGC_83) - 6d0*coupl(nGC_25)*coupl(nGC_37)* &
                      coupl(nGC_782) + coupl(nGC_464)**2d0*coupl(nGC_830))/(   &
                      96d0*pi**2d0)
    coupl(nGC_5619) = 2d0*coupl(nGC_15)*dZH + coupl(nGC_3494)
    coupl(nGC_5092) = -coupl(nGC_5091)
    coupl(nGC_6717) = coupl(nGC_3625) + coupl(nGC_MMW_GF)*dZWMinus/2d0
    coupl(nGC_5163) = coupl(nGC_13)*dZH + coupl(nGC_3495)
    coupl(nGC_3289) = (4d0*Nc*cMB*coupl(nGC_53)**2d0*coupl(nGC_55) + 4d0*Nc*cMB&
                      *coupl(nGC_53)*coupl(nGC_77)*coupl(nGC_79) + 4d0*Nc*cMB* &
                      coupl(nGC_55)*coupl(nGC_77)**2d0 + 4d0*Nc*cMC*coupl(     &
                      nGC_57)**2d0*coupl(nGC_59) + 4d0*Nc*cMC*coupl(nGC_57)*   &
                      coupl(nGC_73)*coupl(nGC_75) + 4d0*Nc*cMC*coupl(nGC_59)*  &
                      coupl(nGC_73)**2d0 + 4d0*Nc*cMD*coupl(nGC_61)**2d0*coupl(&
                      nGC_63) + 4d0*Nc*cMD*coupl(nGC_61)*coupl(nGC_85)*coupl(  &
                      nGC_87) + 4d0*Nc*cMD*coupl(nGC_63)*coupl(nGC_85)**2d0 +  &
                      4d0*Nc*cMS*coupl(nGC_57)**2d0*coupl(nGC_75) + 4d0*Nc*cMS*&
                      coupl(nGC_57)*coupl(nGC_59)*coupl(nGC_73) + 4d0*Nc*cMS*  &
                      coupl(nGC_73)**2d0*coupl(nGC_75) + 4d0*Nc*cMT*coupl(     &
                      nGC_53)**2d0*coupl(nGC_79) + 4d0*Nc*cMT*coupl(nGC_53)*   &
                      coupl(nGC_55)*coupl(nGC_77) + 4d0*Nc*cMT*coupl(nGC_77)** &
                      2d0*coupl(nGC_79) + 4d0*Nc*cMU*coupl(nGC_61)**2d0*coupl( &
                      nGC_87) + 4d0*Nc*cMU*coupl(nGC_61)*coupl(nGC_63)*coupl(  &
                      nGC_85) + 4d0*Nc*cMU*coupl(nGC_85)**2d0*coupl(nGC_87) +  &
                      4d0*cME*coupl(nGC_65)**2d0*coupl(nGC_67) + 4d0*cMM*coupl(&
                      nGC_69)**2d0*coupl(nGC_71) + 4d0*cMTA*coupl(nGC_81)**2d0*&
                      coupl(nGC_83) + 4d0*cima*coupl(nGC_17)*coupl(nGC_50) +   &
                      8d0*cima*coupl(nGC_27)*coupl(nGC_51) + 2d0*cima*coupl(   &
                      nGC_45)*coupl(nGC_52) + 8d0*cima*coupl(nGC_47)*coupl(    &
                      nGC_8) + coupl(nGC_20)*coupl(nGC_21)*coupl(nGC_48) -     &
                      coupl(nGC_20)*coupl(nGC_464)*coupl(nGC_50) - coupl(nGC_21&
                      )*coupl(nGC_47)*coupl(nGC_636) + coupl(nGC_21)*coupl(    &
                      nGC_49)*coupl(nGC_830) - coupl(nGC_21)*coupl(nGC_51)*    &
                      coupl(nGC_570) - coupl(nGC_22)*coupl(nGC_224)*coupl(     &
                      nGC_47) + coupl(nGC_22)*coupl(nGC_48)*coupl(nGC_782) -   &
                      coupl(nGC_22)*coupl(nGC_50)*coupl(nGC_782) - coupl(nGC_37&
                      )*coupl(nGC_47)*coupl(nGC_782) - coupl(nGC_40)**2d0*coupl&
                      (nGC_52) + coupl(nGC_464)*coupl(nGC_48)*coupl(nGC_830) - &
                      coupl(nGC_47)*coupl(nGC_636)*coupl(nGC_830) + coupl(     &
                      nGC_48)*coupl(nGC_570)**2d0 + coupl(nGC_48)*coupl(nGC_636&
                      )**2d0 - coupl(nGC_51)*coupl(nGC_570)*coupl(nGC_830))/(  &
                      32d0*pi**2d0)
    coupl(nGC_6444) = coupl(nGC_3582) + coupl(nGC_71)*dZH/2d0
    coupl(nGC_6445) = coupl(nGC_6443) + coupl(nGC_6444)
    coupl(nGC_6568) = -2d0*coupl(nGC_6567)
    coupl(nGC_5018) = coupl(nGC_4924) + coupl(nGC_5017)
    coupl(nGC_5019) = coupl(nGC_4924) + coupl(nGC_5016)
    coupl(nGC_9575) = -coupl(nGC_3292)
    coupl(nGC_10094) = -coupl(nGC_3290)
    coupl(nGC_5422) = coupl(nGC_3592) + coupl(nGC_60)*dZcL_QED2/2d0 + coupl(   &
                      nGC_60)*dZcR_QED2/2d0
    coupl(nGC_6083) = coupl(nGC_3617) + coupl(nGC_6079)
    coupl(nGC_6082) = coupl(nGC_3616) + coupl(nGC_6078)
    coupl(nGC_3356) = (8d0*coupl(nGC_2)**2d0*coupl(nGC_59) - coupl(nGC_21)*    &
                      coupl(nGC_23)*coupl(nGC_57) - coupl(nGC_224)*coupl(nGC_35&
                      )*coupl(nGC_60) + 8d0*coupl(nGC_35)*coupl(nGC_39)*coupl( &
                      nGC_59) - coupl(nGC_37)*coupl(nGC_39)*coupl(nGC_60) -    &
                      coupl(nGC_57)*coupl(nGC_73)*coupl(nGC_75) - coupl(nGC_59 &
                      )**3d0 - coupl(nGC_59)*coupl(nGC_60)**2d0)/(32d0*pi**2d0)
    coupl(nGC_8888) = 2d0*coupl(nGC_12)*dZg_QCD2 + coupl(nGC_3478)
    coupl(nGC_8889) = -2d0*coupl(nGC_8888)
    coupl(nGC_3352) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_55) - coupl(nGC_20)*    &
                      coupl(nGC_23)*coupl(nGC_53) - coupl(nGC_224)*coupl(nGC_34&
                      )*coupl(nGC_54) + 8d0*coupl(nGC_34)*coupl(nGC_38)*coupl( &
                      nGC_55) - coupl(nGC_37)*coupl(nGC_38)*coupl(nGC_54) -    &
                      coupl(nGC_53)*coupl(nGC_77)*coupl(nGC_79) - coupl(nGC_54 &
                      )**2d0*coupl(nGC_55) - coupl(nGC_55)**3d0)/(32d0*pi**2d0)
    coupl(nGC_3351) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_55) - coupl(nGC_224)*   &
                      coupl(nGC_38)*coupl(nGC_56) - coupl(nGC_23)*coupl(nGC_464&
                      )*coupl(nGC_53) - coupl(nGC_34)*coupl(nGC_37)*coupl(     &
                      nGC_56) + 8d0*coupl(nGC_34)*coupl(nGC_38)*coupl(nGC_55   &
                      ) - coupl(nGC_53)*coupl(nGC_77)*coupl(nGC_79) - coupl(   &
                      nGC_55)**3d0 - coupl(nGC_55)*coupl(nGC_56)**2d0)/(32d0*pi&
                      **2d0)
    coupl(nGC_7298) = coupl(nGC_4924) + coupl(nGC_7297)
    coupl(nGC_7299) = coupl(nGC_4924) + coupl(nGC_7296)
    coupl(nGC_5538) = coupl(nGC_3604) + coupl(nGC_79)*dZH/2d0
    coupl(nGC_5142) = coupl(nGC_3516) + coupl(nGC_46)*dZH + coupl(nGC_46)*dZZ
    coupl(nGC_5062) = coupl(nGC_11)*dZg_QCD2/2d0 + coupl(nGC_3521)
    coupl(nGC_4865) = coupl(nGC_23)*dZWMinus/2d0 + coupl(nGC_23)*dZeMinusL/2d0 &
                       + coupl(nGC_23)*dZnu_eL/2d0 + coupl(nGC_3522)
    coupl(nGC_5730) = -coupl(nGC_5633)
    coupl(nGC_3327) = (8d0*coupl(nGC_2)**2d0*coupl(nGC_60) - coupl(nGC_224)*   &
                      coupl(nGC_39)*coupl(nGC_59) - coupl(nGC_23)*coupl(nGC_57 &
                      )*coupl(nGC_782) - coupl(nGC_35)*coupl(nGC_37)*coupl(    &
                      nGC_59) + 8d0*coupl(nGC_35)*coupl(nGC_39)*coupl(nGC_60   &
                      ) - coupl(nGC_57)*coupl(nGC_73)*coupl(nGC_76) - coupl(   &
                      nGC_58)*coupl(nGC_59)**2d0 - coupl(nGC_58)*coupl(nGC_60  &
                      )**2d0)/(32d0*pi**2d0)
    coupl(nGC_3349) = 3d0*(8d0*Nc*cMB*coupl(nGC_55)**3d0 + 8d0*Nc*cMC*coupl(   &
                      nGC_59)**3d0 + 8d0*Nc*cMD*coupl(nGC_63)**3d0 + 8d0*Nc*cMS&
                      *coupl(nGC_75)**3d0 + 8d0*Nc*cMT*coupl(nGC_79)**3d0 + 8d0&
                      *Nc*cMU*coupl(nGC_87)**3d0 + 8d0*cME*coupl(nGC_67)**3d0  &
                       + 8d0*cMM*coupl(nGC_71)**3d0 + 8d0*cMTA*coupl(nGC_83)** &
                      3d0 + 4d0*cima*coupl(nGC_17)*coupl(nGC_50) + 2d0*cima*   &
                      coupl(nGC_46)*coupl(nGC_52) + coupl(nGC_20)*coupl(nGC_464&
                      )*coupl(nGC_48) - coupl(nGC_20)*coupl(nGC_464)*coupl(    &
                      nGC_50) + coupl(nGC_21)*coupl(nGC_48)*coupl(nGC_830) -   &
                      coupl(nGC_21)*coupl(nGC_50)*coupl(nGC_830) + coupl(      &
                      nGC_224)*coupl(nGC_37)*coupl(nGC_48) - coupl(nGC_224)*   &
                      coupl(nGC_37)*coupl(nGC_52))/(32d0*pi**2d0)
    coupl(nGC_3344) = (coupl(nGC_224)*coupl(nGC_40)*coupl(nGC_83) + coupl(     &
                      nGC_23)*coupl(nGC_782)*coupl(nGC_81) + coupl(nGC_36)*    &
                      coupl(nGC_37)*coupl(nGC_83) + 8d0*coupl(nGC_36)*coupl(   &
                      nGC_40)*coupl(nGC_84) + 8d0*coupl(nGC_4)**2d0*coupl(     &
                      nGC_84) - coupl(nGC_82)*coupl(nGC_83)**2d0 - coupl(nGC_82&
                      )*coupl(nGC_84)**2d0)/(32d0*pi**2d0)
    coupl(nGC_3345) = (8d0*coupl(nGC_2)**2d0*coupl(nGC_86) - coupl(nGC_22)*    &
                      coupl(nGC_23)*coupl(nGC_85) - coupl(nGC_224)*coupl(nGC_35&
                      )*coupl(nGC_87) + 8d0*coupl(nGC_35)*coupl(nGC_39)*coupl( &
                      nGC_86) - coupl(nGC_37)*coupl(nGC_39)*coupl(nGC_87) -    &
                      coupl(nGC_61)*coupl(nGC_62)*coupl(nGC_85) - coupl(nGC_86 &
                      )**2d0*coupl(nGC_88) - coupl(nGC_87)**2d0*coupl(nGC_88   &
                      ))/(32d0*pi**2d0)
    coupl(nGC_3347) = (8d0*coupl(nGC_2)**2d0*coupl(nGC_88) - coupl(nGC_224)*   &
                      coupl(nGC_39)*coupl(nGC_87) - coupl(nGC_23)*coupl(nGC_782&
                      )*coupl(nGC_85) - coupl(nGC_35)*coupl(nGC_37)*coupl(     &
                      nGC_87) + 8d0*coupl(nGC_35)*coupl(nGC_39)*coupl(nGC_88   &
                      ) - coupl(nGC_61)*coupl(nGC_64)*coupl(nGC_85) - coupl(   &
                      nGC_86)*coupl(nGC_87)**2d0 - coupl(nGC_86)*coupl(nGC_88  &
                      )**2d0)/(32d0*pi**2d0)
    coupl(nGC_3341) = (8d0*coupl(nGC_2)**2d0*coupl(nGC_78) - coupl(nGC_22)*    &
                      coupl(nGC_23)*coupl(nGC_77) - coupl(nGC_224)*coupl(nGC_35&
                      )*coupl(nGC_79) + 8d0*coupl(nGC_35)*coupl(nGC_39)*coupl( &
                      nGC_78) - coupl(nGC_37)*coupl(nGC_39)*coupl(nGC_79) -    &
                      coupl(nGC_53)*coupl(nGC_54)*coupl(nGC_77) - coupl(nGC_78 &
                      )**2d0*coupl(nGC_80) - coupl(nGC_79)**2d0*coupl(nGC_80   &
                      ))/(32d0*pi**2d0)
    coupl(nGC_3342) = (8d0*coupl(nGC_2)**2d0*coupl(nGC_80) - coupl(nGC_224)*   &
                      coupl(nGC_39)*coupl(nGC_79) - coupl(nGC_23)*coupl(nGC_77 &
                      )*coupl(nGC_782) - coupl(nGC_35)*coupl(nGC_37)*coupl(    &
                      nGC_79) + 8d0*coupl(nGC_35)*coupl(nGC_39)*coupl(nGC_80   &
                      ) - coupl(nGC_53)*coupl(nGC_56)*coupl(nGC_77) - coupl(   &
                      nGC_78)*coupl(nGC_79)**2d0 - coupl(nGC_78)*coupl(nGC_80  &
                      )**2d0)/(32d0*pi**2d0)
    coupl(nGC_3343) = (coupl(nGC_22)*coupl(nGC_23)*coupl(nGC_81) + coupl(      &
                      nGC_224)*coupl(nGC_36)*coupl(nGC_83) + 8d0*coupl(nGC_36)*&
                      coupl(nGC_40)*coupl(nGC_82) + coupl(nGC_37)*coupl(nGC_40 &
                      )*coupl(nGC_83) + 8d0*coupl(nGC_4)**2d0*coupl(nGC_82) -  &
                      coupl(nGC_82)**2d0*coupl(nGC_84) - coupl(nGC_83)**2d0*   &
                      coupl(nGC_84))/(32d0*pi**2d0)
    coupl(nGC_5480) = -coupl(nGC_5479)
    coupl(nGC_5177) = coupl(nGC_5175) - coupl(nGC_5176)/2d0
    coupl(nGC_5248) = coupl(nGC_5246) + coupl(nGC_5247)
    coupl(nGC_6119) = coupl(nGC_3576) + coupl(nGC_66)*dZeMinusL/2d0 + coupl(   &
                      nGC_66)*dZeMinusR/2d0
    coupl(nGC_5871) = coupl(nGC_3580) + coupl(nGC_84)*dZtauMinusL/2d0 + coupl( &
                      nGC_84)*dZtauMinusR/2d0
    coupl(nGC_5872) = coupl(nGC_3579) + coupl(nGC_82)*dZtauMinusL/2d0 + coupl( &
                      nGC_82)*dZtauMinusR/2d0
    coupl(nGC_9757) = -coupl(nGC_3307)
    coupl(nGC_4932) = -coupl(nGC_4893)
    coupl(nGC_3371) = (8d0*coupl(nGC_2)**2d0*coupl(nGC_79) - coupl(nGC_21)*    &
                      coupl(nGC_23)*coupl(nGC_77) - coupl(nGC_224)*coupl(nGC_35&
                      )*coupl(nGC_80) + 8d0*coupl(nGC_35)*coupl(nGC_39)*coupl( &
                      nGC_79) - coupl(nGC_37)*coupl(nGC_39)*coupl(nGC_80) -    &
                      coupl(nGC_53)*coupl(nGC_55)*coupl(nGC_77) - coupl(nGC_79 &
                      )**3d0 - coupl(nGC_79)*coupl(nGC_80)**2d0)/(32d0*pi**2d0)
    coupl(nGC_3370) = (8d0*coupl(nGC_2)**2d0*coupl(nGC_79) - coupl(nGC_224)*   &
                      coupl(nGC_39)*coupl(nGC_78) - coupl(nGC_23)*coupl(nGC_77 &
                      )*coupl(nGC_830) - coupl(nGC_35)*coupl(nGC_37)*coupl(    &
                      nGC_78) + 8d0*coupl(nGC_35)*coupl(nGC_39)*coupl(nGC_79   &
                      ) - coupl(nGC_53)*coupl(nGC_55)*coupl(nGC_77) - coupl(   &
                      nGC_78)**2d0*coupl(nGC_79) - coupl(nGC_79)**3d0)/(32d0*pi&
                      **2d0)
    coupl(nGC_6886) = coupl(nGC_3577) + coupl(nGC_72)*dZmuMinusL/2d0 + coupl(  &
                      nGC_72)*dZmuMinusR/2d0
    coupl(nGC_3372) = (coupl(nGC_224)*coupl(nGC_40)*coupl(nGC_82) + coupl(     &
                      nGC_23)*coupl(nGC_81)*coupl(nGC_830) + coupl(nGC_36)*    &
                      coupl(nGC_37)*coupl(nGC_82) + 8d0*coupl(nGC_36)*coupl(   &
                      nGC_40)*coupl(nGC_83) + 8d0*coupl(nGC_4)**2d0*coupl(     &
                      nGC_83) - coupl(nGC_82)**2d0*coupl(nGC_83) - coupl(nGC_83&
                      )**3d0)/(32d0*pi**2d0)
    coupl(nGC_3375) = (8d0*coupl(nGC_2)**2d0*coupl(nGC_87) - coupl(nGC_21)*    &
                      coupl(nGC_23)*coupl(nGC_85) - coupl(nGC_224)*coupl(nGC_35&
                      )*coupl(nGC_88) + 8d0*coupl(nGC_35)*coupl(nGC_39)*coupl( &
                      nGC_87) - coupl(nGC_37)*coupl(nGC_39)*coupl(nGC_88) -    &
                      coupl(nGC_61)*coupl(nGC_63)*coupl(nGC_85) - coupl(nGC_87 &
                      )**3d0 - coupl(nGC_87)*coupl(nGC_88)**2d0)/(32d0*pi**2d0)
    coupl(nGC_3374) = (8d0*coupl(nGC_2)**2d0*coupl(nGC_87) - coupl(nGC_224)*   &
                      coupl(nGC_39)*coupl(nGC_86) - coupl(nGC_23)*coupl(nGC_830&
                      )*coupl(nGC_85) - coupl(nGC_35)*coupl(nGC_37)*coupl(     &
                      nGC_86) + 8d0*coupl(nGC_35)*coupl(nGC_39)*coupl(nGC_87   &
                      ) - coupl(nGC_61)*coupl(nGC_63)*coupl(nGC_85) - coupl(   &
                      nGC_86)**2d0*coupl(nGC_87) - coupl(nGC_87)**3d0)/(32d0*pi&
                      **2d0)
    coupl(nGC_5314) = -coupl(nGC_5313)
    coupl(nGC_5397) = coupl(nGC_5062) + coupl(nGC_5391)
    coupl(nGC_5396) = coupl(nGC_5062) + coupl(nGC_5395)
    coupl(nGC_5166) = coupl(nGC_25)*dZWMinus/2d0 + coupl(nGC_3481)
    coupl(nGC_5167) = -coupl(nGC_5166)
    coupl(nGC_6764) = coupl(nGC_25)*dZZA/2d0 + coupl(nGC_3)*dZA/2d0 + coupl(   &
                      nGC_3479)
    coupl(nGC_4941) = coupl(nGC_2)*dZA/2d0 + coupl(nGC_3519)
    coupl(nGC_4946) = coupl(nGC_3516) + coupl(nGC_46)*dZZ
    coupl(nGC_9901) = -coupl(nGC_3308)
    coupl(nGC_5309) = coupl(nGC_3571) + coupl(nGC_5305)
    coupl(nGC_5064) = coupl(nGC_5061) + coupl(nGC_5062)
    coupl(nGC_6885) = coupl(nGC_3578) + coupl(nGC_70)*dZmuMinusL/2d0 + coupl(  &
                      nGC_70)*dZmuMinusR/2d0
    coupl(nGC_5704) = coupl(nGC_5463) + coupl(nGC_5702)
    coupl(nGC_5856) = coupl(nGC_4896) + coupl(nGC_5854)
    coupl(nGC_5703) = coupl(nGC_3524) + coupl(nGC_39)*dZZ/2d0
    coupl(nGC_5468) = coupl(nGC_3524) + coupl(nGC_39)*dZZ/2d0 + coupl(nGC_39)* &
                      dZtL
    coupl(nGC_4884) = coupl(nGC_34)*dZZ/2d0 + coupl(nGC_3526)
    coupl(nGC_4885) = coupl(nGC_3525) + coupl(nGC_38)*dZZ/2d0
    coupl(nGC_5951) = coupl(nGC_5062) + coupl(nGC_5949)
    coupl(nGC_10580) = -coupl(nGC_3320)
    coupl(nGC_5570) = coupl(nGC_24)*dZWMinus/2d0 + coupl(nGC_3490)
    coupl(nGC_5023) = coupl(nGC_26)*dZAZ/2d0 + coupl(nGC_3515) + coupl(nGC_7)* &
                      dZWMinus/2d0 + coupl(nGC_7)*dZZ/2d0
    coupl(nGC_6533) = -coupl(nGC_5660)
    coupl(nGC_6143) = coupl(nGC_5062) + coupl(nGC_6140)
    coupl(nGC_6144) = coupl(nGC_5062) + coupl(nGC_6142)
    coupl(nGC_5539) = coupl(nGC_5535) + coupl(nGC_5538)
    coupl(nGC_5555) = coupl(nGC_4941) + coupl(nGC_5552)
    coupl(nGC_8893) = 2d0*coupl(nGC_8888)
    coupl(nGC_8892) = -coupl(nGC_8888)
    coupl(nGC_5063) = coupl(nGC_5059) + coupl(nGC_5062)
    coupl(nGC_5571) = -coupl(nGC_5570)
    coupl(nGC_6765) = -coupl(nGC_6764)
    coupl(nGC_5950) = coupl(nGC_5062) + coupl(nGC_5947)
    coupl(nGC_4886) = coupl(nGC_4875) + coupl(nGC_4884)
    coupl(nGC_4887) = coupl(nGC_4875) + coupl(nGC_4885)
    coupl(nGC_5131) = -coupl(nGC_5129)/2d0 + coupl(nGC_5130)
    coupl(nGC_5471) = coupl(nGC_5463) + coupl(nGC_5468)
    coupl(nGC_4901) = coupl(nGC_4896) + coupl(nGC_4900)
    coupl(nGC_5554) = coupl(nGC_4941) + coupl(nGC_5553)
    coupl(nGC_4943) = coupl(nGC_4935) + coupl(nGC_4941)
    coupl(nGC_5233) = coupl(nGC_5062) + coupl(nGC_5232)
    coupl(nGC_5705) = coupl(nGC_5463) + coupl(nGC_5703)
    coupl(nGC_4942) = coupl(nGC_4940) + coupl(nGC_4941)
    coupl(nGC_5234) = coupl(nGC_5062) + coupl(nGC_5228)
  end subroutine fill_CTcouplings_mdl4
end module fill_ctcouplings4
