!******************************************************************************!
!                                                                              !
!    vertices_info4.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info4.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2019-10-14 10:32             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info4
  implicit none
  contains
  subroutine fill_vertices_mdl4()
    use class_vertices
    use class_couplings
    allocate(vertices(490)%branchR2(0:0))
    call avR2(490, 0, 20, 1, 0, VFaF0, 0, [0, 3], [nGC_3379])

    allocate(vertices(1133)%branchR2(0:1))
    call avR2(1133, 0, 14, 1, 0, FFa0, 0, [0, 2], [nGC_3239, nGC_3238, nGC_3257&
    , nGC_3257])

    call avR2(1133, 1, 14, 1, 0, FFa0, 0, [2, 0], [nGC_3215, nGC_3215, nGC_3258&
    , nGC_3258])

    allocate(vertices(868)%branchR2(0:1))
    call avR2(868, 0, 21, 1, 0, VFFa1, 0, [0, 3], [nGC_3389, nGC_3387])

    call avR2(868, 1, 21, 1, 0, VFFa1, 0, [2, 1], [nGC_3390, nGC_3388])

    allocate(vertices(493)%branchR2(0:1))
    call avR2(493, 0, 18, 1, 0, FaSF0, 0, [2, 1], [nGC_3353, nGC_3353])

    call avR2(493, 1, 18, 1, 0, FaSF0, 0, [0, 3], [nGC_3351, nGC_3352])

    allocate(vertices(96)%branchR2(0:0))
    call avR2(96, 0, 8, 1, 0, SFFa0, 0, [0, 3], [nGC_3373, nGC_3372])

    allocate(vertices(312)%branchR2(0:0))
    call avR2(312, 0, 18, 1, 0, FaVF0, 0, [0, 3], [nGC_3378])

    allocate(vertices(391)%branchR2(0:1))
    call avR2(391, 0, 19, 1, 0, FSFa0, 0, [0, 3], [nGC_3321, nGC_3323])

    call avR2(391, 1, 19, 1, 0, FSFa0, 0, [2, 1], [nGC_3322, nGC_3324])

    allocate(vertices(95)%branchR2(0:1))
    call avR2(95, 0, 18, 1, 0, FaVF1, 0, [2, 1], [nGC_3271, nGC_3271])

    call avR2(95, 1, 18, 1, 0, FaVF1, 0, [0, 3], [nGC_3288, nGC_3287])

    allocate(vertices(673)%branchR2(0:1))
    call avR2(673, 0, 18, 1, 0, FaSF0, 0, [2, 1], [nGC_3369, nGC_3369])

    call avR2(673, 1, 18, 1, 0, FaSF0, 0, [0, 3], [nGC_3367, nGC_3368])

    allocate(vertices(1021)%branchR2(0:0))
    call avR2(1021, 0, 8, 1, 0, FSFa0, 0, [0, 3], [nGC_3334, nGC_3333])

    allocate(vertices(599)%branchR2(0:1))
    call avR2(599, 0, 21, 1, 0, VFFa0, 0, [0, 3], [nGC_3379])

    call avR2(599, 1, 21, 1, 0, VFFa0, 0, [2, 1], [nGC_3380])

    allocate(vertices(918)%branchR2(0:0))
    call avR2(918, 0, 8, 1, 0, VFFa1, 0, [0, 3], [nGC_3393, nGC_3394])

    allocate(vertices(358)%branchR2(0:0))
    call avR2(358, 0, 8, 1, 0, FaFV1, 0, [0, 3], [nGC_3398])

    allocate(vertices(930)%branchR2(0:1))
    call avR2(930, 0, 19, 1, 0, FVFa0, 0, [2, 1], [nGC_3386, nGC_3384])

    call avR2(930, 1, 19, 1, 0, FVFa0, 0, [0, 3], [nGC_3392, nGC_3391])

    allocate(vertices(352)%branchR2(0:1))
    call avR2(352, 0, 18, 1, 0, FaVF1, 0, [2, 1], [nGC_3261, nGC_3261])

    call avR2(352, 1, 18, 1, 0, FaVF1, 0, [0, 3], [nGC_3282, nGC_3281])

    allocate(vertices(1013)%branchR2(0:1))
    call avR2(1013, 0, 18, 1, 0, FaSF0, 0, [2, 1], [nGC_3303, nGC_3301])

    call avR2(1013, 1, 18, 1, 0, FaSF0, 0, [0, 3], [nGC_3315, nGC_3314])

    allocate(vertices(488)%branchR2(0:0))
    call avR2(488, 0, 8, 1, 0, FFaV1, 0, [0, 3], [nGC_3382])

    allocate(vertices(661)%branchR2(0:0))
    call avR2(661, 0, 8, 1, 0, SFaF0, 0, [0, 3], [nGC_3336, nGC_3335])

    allocate(vertices(240)%branchR2(0:0))
    call avR2(240, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_3350])

    allocate(vertices(243)%branchR2(0:0))
    call avR2(243, 0, 18, 1, 0, FaVF1, 0, [0, 3], [nGC_3284, nGC_3283])

    allocate(vertices(463)%branchR2(0:0))
    call avR2(463, 0, 8, 1, 0, FaSF1, 0, [0, 3], [nGC_3305])

    allocate(vertices(502)%branchR2(0:0))
    call avR2(502, 0, 8, 1, 0, FFaS1, 0, [0, 3], [nGC_3336, nGC_3335])

    allocate(vertices(1162)%branchR2(0:5))
    call avR2(1162, 0, 77, 1, 0, VVVV0, 0, [3, 1], [nGC_3452, nGC_3452,        &
    nGC_3452])

    call avR2(1162, 1, 78, 1, 0, VVVV0, 0, [3, 1], [nGC_3453, nGC_3453,        &
    nGC_3453])

    call avR2(1162, 2, 79, 1, 0, VVVV0, 0, [3, 1], [nGC_3453, nGC_3453,        &
    nGC_3453])

    call avR2(1162, 3, 80, 1, 0, VVVV0, 0, [3, 1], [nGC_3453, nGC_3453,        &
    nGC_3453])

    call avR2(1162, 4, 81, 1, 0, VVVV0, 0, [3, 1], [nGC_3454, nGC_3454,        &
    nGC_3454])

    call avR2(1162, 5, 82, 1, 0, VVVV0, 0, [3, 1], [nGC_3452, nGC_3452,        &
    nGC_3452])

    allocate(vertices(969)%branchR2(0:0))
    call avR2(969, 0, 8, 1, 0, FaFV1, 0, [0, 3], [nGC_3381])

    allocate(vertices(752)%branchR2(0:0))
    call avR2(752, 0, 8, 1, 0, VVV0, 0, [0, 3], [nGC_3377])

    allocate(vertices(510)%branchR2(0:1))
    call avR2(510, 0, 20, 1, 0, SFaF0, 0, [0, 3], [nGC_3351, nGC_3352])

    call avR2(510, 1, 20, 1, 0, SFaF0, 0, [2, 1], [nGC_3353, nGC_3353])

    allocate(vertices(630)%branchR2(0:1))
    call avR2(630, 0, 17, 1, 0, FaFS1, 0, [0, 3], [nGC_3298, nGC_3296])

    call avR2(630, 1, 17, 1, 0, FaFS1, 0, [2, 1], [nGC_3299, nGC_3297])

    allocate(vertices(1163)%branchR2(0:1))
    call avR2(1163, 0, 22, 1, 0, FaVF1, 0, [1, 2], [nGC_3429, nGC_3428])

    call avR2(1163, 1, 23, 1, 0, FaVF1, 0, [1, 2], [nGC_3431, nGC_3430])

    allocate(vertices(1011)%branchR2(0:0))
    call avR2(1011, 0, 8, 1, 0, VFaF0, 0, [0, 3], [nGC_3382])

    allocate(vertices(1164)%branchR2(0:1))
    call avR2(1164, 0, 63, 1, 0, VVSS0, 0, [2, 2], [nGC_3440])

    call avR2(1164, 1, 64, 1, 0, VVSS0, 0, [2, 2], [nGC_3441])

    allocate(vertices(534)%branchR2(0:0))
    call avR2(534, 0, 8, 1, 0, FVFa0, 0, [0, 3], [nGC_3396, nGC_3397])

    allocate(vertices(766)%branchR2(0:0))
    call avR2(766, 0, 8, 1, 0, SFaF2, 0, [0, 3], [nGC_3306])

    allocate(vertices(1165)%branchR2(0:5))
    call avR2(1165, 0, 83, 1, 0, VVVV1, 0, [3, 1], [nGC_3455, nGC_3455,        &
    nGC_3455, nGC_10197])

    call avR2(1165, 1, 84, 1, 0, VVVV0, 0, [3, 1], [nGC_3457, nGC_3457,        &
    nGC_3457])

    call avR2(1165, 2, 85, 1, 0, VVVV0, 0, [3, 1], [nGC_3457, nGC_3457,        &
    nGC_3457])

    call avR2(1165, 3, 86, 1, 0, VVVV0, 0, [3, 1], [nGC_3457, nGC_3457,        &
    nGC_3457])

    call avR2(1165, 4, 87, 1, 0, VVVV0, 0, [3, 1], [nGC_3458, nGC_3458,        &
    nGC_3458])

    call avR2(1165, 5, 88, 1, 0, VVVV1, 0, [3, 1], [nGC_3455, nGC_3455,        &
    nGC_3455, nGC_10193])

    allocate(vertices(203)%branchR2(0:1))
    call avR2(203, 0, 19, 1, 0, FSFa0, 0, [0, 3], [nGC_3329, nGC_3331])

    call avR2(203, 1, 19, 1, 0, FSFa0, 0, [2, 1], [nGC_3330, nGC_3332])

    allocate(vertices(722)%branchR2(0:0))
    call avR2(722, 0, 8, 1, 0, FaFS1, 0, [0, 3], [nGC_3344, nGC_3343])

    allocate(vertices(643)%branchR2(0:3))
    call avR2(643, 0, 28, 1, 0, VFaF1, 0, [1, 2], [nGC_3413, nGC_3411])

    call avR2(643, 1, 28, 1, 0, VFaF1, 0, [3, 0], [nGC_3412, nGC_3412])

    call avR2(643, 2, 29, 1, 0, VFaF1, 0, [1, 2], [nGC_3410, nGC_3408])

    call avR2(643, 3, 29, 1, 0, VFaF1, 0, [3, 0], [nGC_3409, nGC_3409])

    allocate(vertices(222)%branchR2(0:0))
    call avR2(222, 0, 8, 1, 0, SFFa0, 0, [0, 3], [nGC_3336, nGC_3335])

    allocate(vertices(531)%branchR2(0:0))
    call avR2(531, 0, 8, 1, 0, FFaV1, 0, [0, 3], [nGC_3382])

    allocate(vertices(950)%branchR2(0:1))
    call avR2(950, 0, 21, 1, 0, VFFa1, 0, [0, 3], [nGC_3282, nGC_3281])

    call avR2(950, 1, 21, 1, 0, VFFa1, 0, [2, 1], [nGC_3261, nGC_3261])

    allocate(vertices(218)%branchR2(0:0))
    call avR2(218, 0, 8, 1, 0, FaSF1, 0, [0, 3], [nGC_3306])

    allocate(vertices(342)%branchR2(0:1))
    call avR2(342, 0, 21, 1, 0, SFFa0, 0, [0, 3], [nGC_3358, nGC_3359])

    call avR2(342, 1, 21, 1, 0, SFFa0, 0, [2, 1], [nGC_3360, nGC_3360])

    allocate(vertices(28)%branchR2(0:0))
    call avR2(28, 0, 8, 1, 0, SFFa1, 0, [0, 3], [nGC_3306])

    allocate(vertices(597)%branchR2(0:1))
    call avR2(597, 0, 18, 1, 0, FaVF0, 0, [0, 3], [nGC_3378])

    call avR2(597, 1, 18, 1, 0, FaVF0, 0, [2, 1], [nGC_3380])

    allocate(vertices(283)%branchR2(0:0))
    call avR2(283, 0, 21, 1, 0, SFFa0, 0, [0, 3], [nGC_3294, nGC_3295])

    allocate(vertices(604)%branchR2(0:0))
    call avR2(604, 0, 8, 1, 0, VFFa1, 0, [0, 3], [nGC_3404, nGC_3405])

    allocate(vertices(69)%branchR2(0:3))
    call avR2(69, 0, 11, 1, 0, FFaV0, 0, [1, 2], [nGC_3413, nGC_3411])

    call avR2(69, 1, 11, 1, 0, FFaV0, 0, [3, 0], [nGC_3412, nGC_3412])

    call avR2(69, 2, 12, 1, 0, FFaV0, 0, [1, 2], [nGC_3410, nGC_3408])

    call avR2(69, 3, 12, 1, 0, FFaV0, 0, [3, 0], [nGC_3409, nGC_3409])

    allocate(vertices(1166)%branchR2(0:1))
    call avR2(1166, 0, 63, 1, 0, VVVV0, 0, [2, 2], [nGC_3450, nGC_3450,        &
    nGC_3450])

    call avR2(1166, 1, 64, 1, 0, VVVV0, 0, [2, 2], [nGC_3451, nGC_3451,        &
    nGC_3451])

    allocate(vertices(430)%branchR2(0:0))
    call avR2(430, 0, 8, 1, 0, FaFV1, 0, [0, 3], [nGC_3381])

    allocate(vertices(1167)%branchR2(0:1))
    call avR2(1167, 0, 55, 1, 0, VVVV0, 0, [2, 2], [nGC_3448, nGC_3448,        &
    nGC_3448])

    call avR2(1167, 1, 56, 1, 0, VVVV0, 0, [2, 2], [nGC_3449, nGC_3449,        &
    nGC_3449])

    allocate(vertices(674)%branchR2(0:1))
    call avR2(674, 0, 17, 1, 0, FaFS1, 0, [0, 3], [nGC_3329, nGC_3331])

    call avR2(674, 1, 17, 1, 0, FaFS1, 0, [2, 1], [nGC_3330, nGC_3332])

    allocate(vertices(102)%branchR2(0:0))
    call avR2(102, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_3290])

    allocate(vertices(190)%branchR2(0:1))
    call avR2(190, 0, 10, 1, 0, FFaS1, 0, [0, 3], [nGC_3355, nGC_3356])

    call avR2(190, 1, 10, 1, 0, FFaS1, 0, [2, 1], [nGC_3357, nGC_3357])

    allocate(vertices(984)%branchR2(0:1))
    call avR2(984, 0, 18, 1, 0, FaSF0, 0, [2, 1], [nGC_3360, nGC_3360])

    call avR2(984, 1, 18, 1, 0, FaSF0, 0, [0, 3], [nGC_3358, nGC_3359])

    allocate(vertices(992)%branchR2(0:3))
    call avR2(992, 0, 30, 1, 0, VFFa1, 0, [1, 2], [nGC_3435, nGC_3434])

    call avR2(992, 1, 30, 1, 0, VFFa1, 0, [3, 0], [nGC_3427, nGC_3427])

    call avR2(992, 2, 31, 1, 0, VFFa1, 0, [1, 2], [nGC_3433, nGC_3432])

    call avR2(992, 3, 31, 1, 0, VFFa1, 0, [3, 0], [nGC_3424, nGC_3424])

    allocate(vertices(269)%branchR2(0:0))
    call avR2(269, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_3263])

    allocate(vertices(1168)%branchR2(0:1))
    call avR2(1168, 0, 53, 1, 0, SSVV0, 0, [2, 2], [nGC_3442])

    call avR2(1168, 1, 54, 1, 0, SSVV0, 0, [2, 2], [nGC_3443])

    allocate(vertices(1056)%branchR2(0:0))
    call avR2(1056, 0, 8, 1, 0, FVFa1, 0, [0, 3], [nGC_3278])

    allocate(vertices(94)%branchR2(0:0))
    call avR2(94, 0, 8, 1, 0, FaFV1, 0, [0, 3], [nGC_3382])

    allocate(vertices(907)%branchR2(0:0))
    call avR2(907, 0, 8, 1, 0, VFaF0, 0, [0, 3], [nGC_3381])

    allocate(vertices(876)%branchR2(0:0))
    call avR2(876, 0, 8, 1, 0, FaVF0, 0, [0, 3], [nGC_3381])

    allocate(vertices(774)%branchR2(0:0))
    call avR2(774, 0, 8, 1, 0, FaVF0, 0, [0, 3], [nGC_3382])

    allocate(vertices(923)%branchR2(0:0))
    call avR2(923, 0, 8, 1, 0, FFaV1, 0, [0, 3], [nGC_3398])

    allocate(vertices(1027)%branchR2(0:0))
    call avR2(1027, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_3262])

    allocate(vertices(37)%branchR2(0:1))
    call avR2(37, 0, 20, 1, 0, SFaF0, 0, [0, 3], [nGC_3367, nGC_3368])

    call avR2(37, 1, 20, 1, 0, SFaF0, 0, [2, 1], [nGC_3369, nGC_3369])

    allocate(vertices(622)%branchR2(0:0))
    call avR2(622, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_3265])

    allocate(vertices(400)%branchR2(0:0))
    call avR2(400, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_3320])

    allocate(vertices(754)%branchR2(0:0))
    call avR2(754, 0, 8, 1, 0, FaSF0, 0, [0, 3], [nGC_3373, nGC_3372])

    allocate(vertices(892)%branchR2(0:1))
    call avR2(892, 0, 20, 1, 0, SFaF0, 0, [0, 3], [nGC_3337, nGC_3339])

    call avR2(892, 1, 20, 1, 0, SFaF0, 0, [2, 1], [nGC_3338, nGC_3340])

    allocate(vertices(1104)%branchR2(0:0))
    call avR2(1104, 0, 13, 1, 0, FaF2, 0, [0, 2], [nGC_3252])

    allocate(vertices(1028)%branchR2(0:1))
    call avR2(1028, 0, 20, 1, 0, VFaF0, 0, [0, 3], [nGC_3378])

    call avR2(1028, 1, 20, 1, 0, VFaF0, 0, [2, 1], [nGC_3380])

    allocate(vertices(1020)%branchR2(0:1))
    call avR2(1020, 0, 18, 1, 0, FaVF0, 0, [0, 3], [nGC_3378])

    call avR2(1020, 1, 18, 1, 0, FaVF0, 0, [2, 1], [nGC_3380])

    allocate(vertices(916)%branchR2(0:1))
    call avR2(916, 0, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_3390, nGC_3388])

    call avR2(916, 1, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_3407, nGC_3406])

    allocate(vertices(425)%branchR2(0:0))
    call avR2(425, 0, 8, 1, 0, FaFS1, 0, [0, 3], [nGC_3336, nGC_3335])

    allocate(vertices(169)%branchR2(0:0))
    call avR2(169, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_3292])

    allocate(vertices(1169)%branchR2(0:1))
    call avR2(1169, 0, 59, 1, 0, VVVV0, 0, [2, 2], [nGC_3448, nGC_3448,        &
    nGC_3448])

    call avR2(1169, 1, 60, 1, 0, VVVV0, 0, [2, 2], [nGC_3449, nGC_3449,        &
    nGC_3449])

    allocate(vertices(384)%branchR2(0:0))
    call avR2(384, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_3291])

    allocate(vertices(259)%branchR2(0:0))
    call avR2(259, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_3293])

    allocate(vertices(105)%branchR2(0:1))
    call avR2(105, 0, 18, 1, 0, FaVF0, 0, [0, 3], [nGC_3379])

    call avR2(105, 1, 18, 1, 0, FaVF0, 0, [2, 1], [nGC_3380])

    allocate(vertices(231)%branchR2(0:0))
    call avR2(231, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_3320])

    allocate(vertices(816)%branchR2(0:1))
    call avR2(816, 0, 17, 1, 0, FaFV0, 0, [2, 1], [nGC_3261, nGC_3261])

    call avR2(816, 1, 17, 1, 0, FaFV0, 0, [0, 3], [nGC_3260, nGC_3259])

    allocate(vertices(1088)%branchR2(0:0))
    call avR2(1088, 0, 8, 1, 0, FaFV1, 0, [0, 3], [nGC_3278])

    allocate(vertices(1007)%branchR2(0:3))
    call avR2(1007, 0, 22, 1, 0, FaVF1, 0, [1, 2], [nGC_3417, nGC_3416])

    call avR2(1007, 1, 22, 1, 0, FaVF1, 0, [3, 0], [nGC_3412, nGC_3412])

    call avR2(1007, 2, 23, 1, 0, FaVF1, 0, [1, 2], [nGC_3415, nGC_3414])

    call avR2(1007, 3, 23, 1, 0, FaVF1, 0, [3, 0], [nGC_3409, nGC_3409])

    allocate(vertices(764)%branchR2(0:1))
    call avR2(764, 0, 18, 1, 0, FaSF0, 0, [2, 1], [nGC_3376, nGC_3376])

    call avR2(764, 1, 18, 1, 0, FaSF0, 0, [0, 3], [nGC_3374, nGC_3375])

    allocate(vertices(917)%branchR2(0:0))
    call avR2(917, 0, 8, 1, 0, VFFa1, 0, [0, 3], [nGC_3276, nGC_3277])

    allocate(vertices(808)%branchR2(0:0))
    call avR2(808, 0, 20, 1, 0, SFaF0, 0, [0, 3], [nGC_3294, nGC_3295])

    allocate(vertices(1170)%branchR2(0:1))
    call avR2(1170, 0, 53, 1, 0, VVVV0, 0, [2, 2], [nGC_9784, nGC_9784,        &
    nGC_3438])

    call avR2(1170, 1, 54, 1, 0, VVVV0, 0, [2, 2], [nGC_9782, nGC_9782,        &
    nGC_3439])

    allocate(vertices(669)%branchR2(0:1))
    call avR2(669, 0, 17, 1, 0, FaFS1, 0, [2, 1], [nGC_3376, nGC_3376])

    call avR2(669, 1, 17, 1, 0, FaFS1, 0, [0, 3], [nGC_3374, nGC_3375])

    allocate(vertices(390)%branchR2(0:0))
    call avR2(390, 0, 8, 1, 0, FFaS2, 0, [0, 3], [nGC_3304])

    allocate(vertices(383)%branchR2(0:1))
    call avR2(383, 0, 20, 1, 0, SFaF0, 0, [0, 3], [nGC_3325, nGC_3327])

    call avR2(383, 1, 20, 1, 0, SFaF0, 0, [2, 1], [nGC_3326, nGC_3328])

    allocate(vertices(197)%branchR2(0:0))
    call avR2(197, 0, 8, 1, 0, FaSF2, 0, [0, 3], [nGC_3316])

    allocate(vertices(556)%branchR2(0:0))
    call avR2(556, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_3354])

    allocate(vertices(19)%branchR2(0:0))
    call avR2(19, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_3262])

    allocate(vertices(679)%branchR2(0:1))
    call avR2(679, 0, 19, 1, 0, FSFa0, 0, [2, 1], [nGC_3303, nGC_3301])

    call avR2(679, 1, 19, 1, 0, FSFa0, 0, [0, 3], [nGC_3315, nGC_3314])

    allocate(vertices(595)%branchR2(0:0))
    call avR2(595, 0, 8, 1, 0, FFaV1, 0, [0, 3], [nGC_3395])

    allocate(vertices(574)%branchR2(0:1))
    call avR2(574, 0, 21, 1, 0, VFFa1, 0, [0, 3], [nGC_3288, nGC_3287])

    call avR2(574, 1, 21, 1, 0, VFFa1, 0, [2, 1], [nGC_3271, nGC_3271])

    allocate(vertices(738)%branchR2(0:0))
    call avR2(738, 0, 8, 1, 0, FaFS2, 0, [0, 3], [nGC_3317])

    allocate(vertices(455)%branchR2(0:0))
    call avR2(455, 0, 8, 1, 0, VFFa0, 0, [0, 3], [nGC_3398])

    allocate(vertices(572)%branchR2(0:1))
    call avR2(572, 0, 18, 1, 0, FaSF0, 0, [0, 3], [nGC_3345, nGC_3347])

    call avR2(572, 1, 18, 1, 0, FaSF0, 0, [2, 1], [nGC_3346, nGC_3348])

    allocate(vertices(396)%branchR2(0:0))
    call avR2(396, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_3349])

    allocate(vertices(927)%branchR2(0:0))
    call avR2(927, 0, 8, 1, 0, VFaF0, 0, [0, 3], [nGC_3398])

    allocate(vertices(418)%branchR2(0:1))
    call avR2(418, 0, 18, 1, 0, FaVF1, 0, [0, 3], [nGC_3385, nGC_3383])

    call avR2(418, 1, 18, 1, 0, FaVF1, 0, [2, 1], [nGC_3386, nGC_3384])

    allocate(vertices(693)%branchR2(0:0))
    call avR2(693, 0, 8, 1, 0, FaVF0, 0, [0, 3], [nGC_3382])

    allocate(vertices(1171)%branchR2(0:1))
    call avR2(1171, 0, 55, 1, 0, SVVS0, 0, [2, 2], [nGC_3440])

    call avR2(1171, 1, 56, 1, 0, SVVS0, 0, [2, 2], [nGC_3441])

    allocate(vertices(104)%branchR2(0:1))
    call avR2(104, 0, 17, 1, 0, FaFS1, 0, [0, 3], [nGC_3325, nGC_3327])

    call avR2(104, 1, 17, 1, 0, FaFS1, 0, [2, 1], [nGC_3326, nGC_3328])

    allocate(vertices(1172)%branchR2(0:1))
    call avR2(1172, 0, 53, 1, 0, VVVV0, 0, [2, 2], [nGC_3448, nGC_3448,        &
    nGC_3448])

    call avR2(1172, 1, 54, 1, 0, VVVV0, 0, [2, 2], [nGC_3449, nGC_3449,        &
    nGC_3449])

    allocate(vertices(750)%branchR2(0:0))
    call avR2(750, 0, 8, 1, 0, VFFa0, 0, [0, 3], [nGC_3395])

    allocate(vertices(1058)%branchR2(0:0))
    call avR2(1058, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_3266])

    allocate(vertices(183)%branchR2(0:1))
    call avR2(183, 0, 19, 1, 0, FSFa0, 0, [2, 1], [nGC_3360, nGC_3360])

    call avR2(183, 1, 19, 1, 0, FSFa0, 0, [0, 3], [nGC_3358, nGC_3359])

    allocate(vertices(562)%branchR2(0:1))
    call avR2(562, 0, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_3282, nGC_3281])

    call avR2(562, 1, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_3261, nGC_3261])

    allocate(vertices(349)%branchR2(0:0))
    call avR2(349, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_9901])

    allocate(vertices(165)%branchR2(0:1))
    call avR2(165, 0, 18, 1, 0, FaVF1, 0, [0, 3], [nGC_3389, nGC_3387])

    call avR2(165, 1, 18, 1, 0, FaVF1, 0, [2, 1], [nGC_3390, nGC_3388])

    allocate(vertices(1126)%branchR2(0:0))
    call avR2(1126, 0, 13, 1, 0, SS2, 0, [0, 2], [nGC_3228, nGC_3227])

    allocate(vertices(497)%branchR2(0:1))
    call avR2(497, 0, 19, 1, 0, FVFa0, 0, [2, 1], [nGC_3271, nGC_3271])

    call avR2(497, 1, 19, 1, 0, FVFa0, 0, [0, 3], [nGC_3288, nGC_3287])

    allocate(vertices(274)%branchR2(0:0))
    call avR2(274, 0, 8, 1, 0, FFaV0, 0, [0, 3], [nGC_3393, nGC_3394])

    allocate(vertices(1173)%branchR2(0:1))
    call avR2(1173, 0, 59, 1, 0, VSVS0, 0, [2, 2], [nGC_3440])

    call avR2(1173, 1, 60, 1, 0, VSVS0, 0, [2, 2], [nGC_3441])

    allocate(vertices(586)%branchR2(0:1))
    call avR2(586, 0, 17, 1, 0, FaFV1, 0, [0, 3], [nGC_3379])

    call avR2(586, 1, 17, 1, 0, FaFV1, 0, [2, 1], [nGC_3380])

    allocate(vertices(944)%branchR2(0:0))
    call avR2(944, 0, 20, 1, 0, VFaF0, 0, [0, 3], [nGC_3378])

    allocate(vertices(671)%branchR2(0:0))
    call avR2(671, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_10094])

    allocate(vertices(849)%branchR2(0:0))
    call avR2(849, 0, 21, 1, 0, SFFa0, 0, [0, 3], [nGC_3311, nGC_3310])

    allocate(vertices(196)%branchR2(0:0))
    call avR2(196, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_3262])

    allocate(vertices(97)%branchR2(0:3))
    call avR2(97, 0, 30, 1, 0, VFFa1, 0, [1, 2], [nGC_3413, nGC_3411])

    call avR2(97, 1, 30, 1, 0, VFFa1, 0, [3, 0], [nGC_3412, nGC_3412])

    call avR2(97, 2, 31, 1, 0, VFFa1, 0, [1, 2], [nGC_3410, nGC_3408])

    call avR2(97, 3, 31, 1, 0, VFFa1, 0, [3, 0], [nGC_3409, nGC_3409])

    allocate(vertices(438)%branchR2(0:0))
    call avR2(438, 0, 8, 1, 0, FVFa0, 0, [0, 3], [nGC_3285, nGC_3286])

    allocate(vertices(117)%branchR2(0:0))
    call avR2(117, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_3354])

    allocate(vertices(320)%branchR2(0:1))
    call avR2(320, 0, 19, 1, 0, FSFa0, 0, [2, 1], [nGC_3357, nGC_3357])

    call avR2(320, 1, 19, 1, 0, FSFa0, 0, [0, 3], [nGC_3355, nGC_3356])

    allocate(vertices(772)%branchR2(0:0))
    call avR2(772, 0, 21, 1, 0, SFFa0, 0, [0, 3], [nGC_3370, nGC_3371])

    allocate(vertices(302)%branchR2(0:0))
    call avR2(302, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_3293])

    allocate(vertices(434)%branchR2(0:1))
    call avR2(434, 0, 10, 1, 0, FFaS1, 0, [2, 1], [nGC_3297, nGC_3299])

    call avR2(434, 1, 10, 1, 0, FFaS1, 0, [0, 3], [nGC_3312, nGC_3313])

    allocate(vertices(479)%branchR2(0:0))
    call avR2(479, 0, 8, 1, 0, FaFV1, 0, [0, 3], [nGC_3381])

    allocate(vertices(180)%branchR2(0:3))
    call avR2(180, 0, 11, 1, 0, FFaV0, 0, [1, 2], [nGC_3417, nGC_3416])

    call avR2(180, 1, 11, 1, 0, FFaV0, 0, [3, 0], [nGC_3412, nGC_3412])

    call avR2(180, 2, 12, 1, 0, FFaV0, 0, [1, 2], [nGC_3415, nGC_3414])

    call avR2(180, 3, 12, 1, 0, FFaV0, 0, [3, 0], [nGC_3409, nGC_3409])

    allocate(vertices(281)%branchR2(0:3))
    call avR2(281, 0, 22, 1, 0, FaVF1, 0, [1, 2], [nGC_3413, nGC_3411])

    call avR2(281, 1, 22, 1, 0, FaVF1, 0, [3, 0], [nGC_3412, nGC_3412])

    call avR2(281, 2, 23, 1, 0, FaVF1, 0, [1, 2], [nGC_3410, nGC_3408])

    call avR2(281, 3, 23, 1, 0, FaVF1, 0, [3, 0], [nGC_3409, nGC_3409])

    allocate(vertices(1010)%branchR2(0:0))
    call avR2(1010, 0, 8, 1, 0, FFaS0, 0, [0, 3], [nGC_3318])

    allocate(vertices(756)%branchR2(0:1))
    call avR2(756, 0, 10, 1, 0, FFaS1, 0, [0, 3], [nGC_3298, nGC_3296])

    call avR2(756, 1, 10, 1, 0, FFaS1, 0, [2, 1], [nGC_3299, nGC_3297])

    allocate(vertices(1174)%branchR2(0:1))
    call avR2(1174, 0, 59, 1, 0, VVVV0, 0, [2, 2], [nGC_3446, nGC_3446,        &
    nGC_3446])

    call avR2(1174, 1, 60, 1, 0, VVVV0, 0, [2, 2], [nGC_3447, nGC_3447,        &
    nGC_3447])

    allocate(vertices(952)%branchR2(0:1))
    call avR2(952, 0, 17, 1, 0, FaFV0, 0, [2, 1], [nGC_3271, nGC_3271])

    call avR2(952, 1, 17, 1, 0, FaFV0, 0, [0, 3], [nGC_3288, nGC_3287])

    allocate(vertices(1175)%branchR2(0:1))
    call avR2(1175, 0, 55, 1, 0, SVVS0, 0, [2, 2], [nGC_3442])

    call avR2(1175, 1, 56, 1, 0, SVVS0, 0, [2, 2], [nGC_3443])

    allocate(vertices(242)%branchR2(0:0))
    call avR2(242, 0, 8, 1, 0, FFaS1, 0, [0, 3], [nGC_3344, nGC_3343])

    allocate(vertices(150)%branchR2(0:0))
    call avR2(150, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_3308])

    allocate(vertices(548)%branchR2(0:0))
    call avR2(548, 0, 17, 1, 0, FaFS1, 0, [0, 3], [nGC_3341, nGC_3342])

    allocate(vertices(817)%branchR2(0:0))
    call avR2(817, 0, 8, 1, 0, SFFa2, 0, [0, 3], [nGC_3317])

    allocate(vertices(54)%branchR2(0:0))
    call avR2(54, 0, 8, 1, 0, VFaF0, 0, [0, 3], [nGC_3381])

    allocate(vertices(1176)%branchR2(0:1))
    call avR2(1176, 0, 57, 1, 0, SVSV0, 0, [2, 2], [nGC_3442])

    call avR2(1176, 1, 58, 1, 0, SVSV0, 0, [2, 2], [nGC_3443])

    allocate(vertices(519)%branchR2(0:1))
    call avR2(519, 0, 21, 1, 0, SFFa0, 0, [0, 3], [nGC_3321, nGC_3323])

    call avR2(519, 1, 21, 1, 0, SFFa0, 0, [2, 1], [nGC_3322, nGC_3324])

    allocate(vertices(8)%branchR2(0:1))
    call avR2(8, 0, 19, 1, 0, FSFa0, 0, [0, 3], [nGC_3345, nGC_3347])

    call avR2(8, 1, 19, 1, 0, FSFa0, 0, [2, 1], [nGC_3346, nGC_3348])

    allocate(vertices(632)%branchR2(0:0))
    call avR2(632, 0, 8, 1, 0, FFaV0, 0, [0, 3], [nGC_3396, nGC_3397])

    allocate(vertices(662)%branchR2(0:0))
    call avR2(662, 0, 8, 1, 0, VVV0, 0, [0, 3], [nGC_9824])

    allocate(vertices(921)%branchR2(0:1))
    call avR2(921, 0, 21, 1, 0, SFFa0, 0, [0, 3], [nGC_3329, nGC_3331])

    call avR2(921, 1, 21, 1, 0, SFFa0, 0, [2, 1], [nGC_3330, nGC_3332])

    allocate(vertices(997)%branchR2(0:0))
    call avR2(997, 0, 8, 1, 0, SFaF2, 0, [0, 3], [nGC_3305])

    allocate(vertices(456)%branchR2(0:0))
    call avR2(456, 0, 8, 1, 0, FaFS2, 0, [0, 3], [nGC_3318])

    allocate(vertices(149)%branchR2(0:1))
    call avR2(149, 0, 19, 1, 0, FVFa0, 0, [2, 1], [nGC_3261, nGC_3261])

    call avR2(149, 1, 19, 1, 0, FVFa0, 0, [0, 3], [nGC_3273, nGC_3272])

    allocate(vertices(1042)%branchR2(0:1))
    call avR2(1042, 0, 21, 1, 0, VFFa1, 0, [0, 3], [nGC_3273, nGC_3272])

    call avR2(1042, 1, 21, 1, 0, VFFa1, 0, [2, 1], [nGC_3261, nGC_3261])

    allocate(vertices(617)%branchR2(0:3))
    call avR2(617, 0, 11, 1, 0, FFaV0, 0, [1, 2], [nGC_3426, nGC_3425])

    call avR2(617, 1, 11, 1, 0, FFaV0, 0, [3, 0], [nGC_3427, nGC_3427])

    call avR2(617, 2, 12, 1, 0, FFaV0, 0, [1, 2], [nGC_3423, nGC_3422])

    call avR2(617, 3, 12, 1, 0, FFaV0, 0, [3, 0], [nGC_3424, nGC_3424])

    allocate(vertices(339)%branchR2(0:1))
    call avR2(339, 0, 20, 1, 0, SFaF0, 0, [0, 3], [nGC_3374, nGC_3375])

    call avR2(339, 1, 20, 1, 0, SFaF0, 0, [2, 1], [nGC_3376, nGC_3376])

    allocate(vertices(635)%branchR2(0:1))
    call avR2(635, 0, 19, 1, 0, FSFa0, 0, [2, 1], [nGC_3353, nGC_3353])

    call avR2(635, 1, 19, 1, 0, FSFa0, 0, [0, 3], [nGC_3351, nGC_3352])

    allocate(vertices(1177)%branchR2(0:1))
    call avR2(1177, 0, 59, 1, 0, VVVV0, 0, [2, 2], [nGC_9784, nGC_3438,        &
    nGC_9784])

    call avR2(1177, 1, 60, 1, 0, VVVV0, 0, [2, 2], [nGC_9782, nGC_3439,        &
    nGC_9782])

    allocate(vertices(229)%branchR2(0:0))
    call avR2(229, 0, 8, 1, 0, VFaF1, 0, [0, 3], [nGC_3396, nGC_3397])

    allocate(vertices(457)%branchR2(0:0))
    call avR2(457, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_3290])

    allocate(vertices(1038)%branchR2(0:0))
    call avR2(1038, 0, 8, 1, 0, FaFS0, 0, [0, 3], [nGC_3305])

    allocate(vertices(310)%branchR2(0:0))
    call avR2(310, 0, 21, 1, 0, VFFa0, 0, [0, 3], [nGC_3378])

    allocate(vertices(90)%branchR2(0:1))
    call avR2(90, 0, 20, 1, 0, SFaF0, 0, [2, 1], [nGC_3303, nGC_3301])

    call avR2(90, 1, 20, 1, 0, SFaF0, 0, [0, 3], [nGC_3315, nGC_3314])

    allocate(vertices(221)%branchR2(0:0))
    call avR2(221, 0, 8, 1, 0, VVV0, 0, [0, 3], [nGC_9824])

    allocate(vertices(837)%branchR2(0:0))
    call avR2(837, 0, 8, 1, 0, VFFa0, 0, [0, 3], [nGC_3399])

    allocate(vertices(60)%branchR2(0:0))
    call avR2(60, 0, 18, 1, 0, FaVF0, 0, [0, 3], [nGC_3379])

    allocate(vertices(130)%branchR2(0:0))
    call avR2(130, 0, 21, 1, 0, VFFa1, 0, [0, 3], [nGC_3284, nGC_3283])

    allocate(vertices(1178)%branchR2(0:1))
    call avR2(1178, 0, 55, 1, 0, SVVS0, 0, [2, 2], [nGC_3444])

    call avR2(1178, 1, 56, 1, 0, SVVS0, 0, [2, 2], [nGC_3445])

    allocate(vertices(409)%branchR2(0:0))
    call avR2(409, 0, 8, 1, 0, VVV0, 0, [0, 3], [nGC_9861])

    allocate(vertices(298)%branchR2(0:0))
    call avR2(298, 0, 18, 1, 0, FaVF1, 0, [0, 3], [nGC_3403, nGC_3402])

    allocate(vertices(1054)%branchR2(0:0))
    call avR2(1054, 0, 8, 1, 0, FaVF0, 0, [0, 3], [nGC_3278])

    allocate(vertices(1179)%branchR2(0:1))
    call avR2(1179, 0, 63, 1, 0, VVVV0, 0, [2, 2], [nGC_3448, nGC_3448,        &
    nGC_3448])

    call avR2(1179, 1, 64, 1, 0, VVVV0, 0, [2, 2], [nGC_3449, nGC_3449,        &
    nGC_3449])

    allocate(vertices(967)%branchR2(0:1))
    call avR2(967, 0, 10, 1, 0, FFaS1, 0, [0, 3], [nGC_3325, nGC_3327])

    call avR2(967, 1, 10, 1, 0, FFaS1, 0, [2, 1], [nGC_3326, nGC_3328])

    allocate(vertices(250)%branchR2(0:3))
    call avR2(250, 0, 26, 1, 0, FVFa0, 0, [1, 2], [nGC_3413, nGC_3411])

    call avR2(250, 1, 26, 1, 0, FVFa0, 0, [3, 0], [nGC_3412, nGC_3412])

    call avR2(250, 2, 27, 1, 0, FVFa0, 0, [1, 2], [nGC_3410, nGC_3408])

    call avR2(250, 3, 27, 1, 0, FVFa0, 0, [3, 0], [nGC_3409, nGC_3409])

    allocate(vertices(665)%branchR2(0:0))
    call avR2(665, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_3350])

    allocate(vertices(1062)%branchR2(0:0))
    call avR2(1062, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_3268])

    allocate(vertices(627)%branchR2(0:0))
    call avR2(627, 0, 10, 1, 0, FFaS1, 0, [0, 3], [nGC_3294, nGC_3295])

    allocate(vertices(1052)%branchR2(0:0))
    call avR2(1052, 0, 13, 1, 0, SS1, 0, [0, 2], [nGC_3230, nGC_3229])

    allocate(vertices(748)%branchR2(0:0))
    call avR2(748, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_3309])

    allocate(vertices(618)%branchR2(0:1))
    call avR2(618, 0, 10, 1, 0, FFaV1, 0, [0, 3], [nGC_3379])

    call avR2(618, 1, 10, 1, 0, FFaV1, 0, [2, 1], [nGC_3380])

    allocate(vertices(998)%branchR2(0:1))
    call avR2(998, 0, 21, 1, 0, SFFa0, 0, [0, 3], [nGC_3355, nGC_3356])

    call avR2(998, 1, 21, 1, 0, SFFa0, 0, [2, 1], [nGC_3357, nGC_3357])

    allocate(vertices(63)%branchR2(0:0))
    call avR2(63, 0, 8, 1, 0, FaFV0, 0, [0, 3], [nGC_3404, nGC_3405])

    allocate(vertices(1180)%branchR2(0:1))
    call avR2(1180, 0, 57, 1, 0, VVVV0, 0, [2, 2], [nGC_3450, nGC_3450,        &
    nGC_3450])

    call avR2(1180, 1, 58, 1, 0, VVVV0, 0, [2, 2], [nGC_3451, nGC_3451,        &
    nGC_3451])

    allocate(vertices(873)%branchR2(0:0))
    call avR2(873, 0, 8, 1, 0, FFaV0, 0, [0, 3], [nGC_3276, nGC_3277])

    allocate(vertices(1130)%branchR2(0:0))
    call avR2(1130, 0, 42, 1, 0, FaF0, 0, [0, 2], [nGC_3239, nGC_3238, nGC_3255&
    , nGC_3255])

    allocate(vertices(371)%branchR2(0:0))
    call avR2(371, 0, 8, 1, 0, VFFa0, 0, [0, 3], [nGC_3381])

    allocate(vertices(47)%branchR2(0:0))
    call avR2(47, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_3319])

    allocate(vertices(1102)%branchR2(0:0))
    call avR2(1102, 0, 8, 1, 0, FaVF0, 0, [0, 3], [nGC_3279])

    allocate(vertices(73)%branchR2(0:1))
    call avR2(73, 0, 17, 1, 0, FaFV0, 0, [2, 1], [nGC_3271, nGC_3271])

    call avR2(73, 1, 17, 1, 0, FaFV0, 0, [0, 3], [nGC_3270, nGC_3269])

    allocate(vertices(965)%branchR2(0:1))
    call avR2(965, 0, 19, 1, 0, FSFa0, 0, [0, 3], [nGC_3300, nGC_3302])

    call avR2(965, 1, 19, 1, 0, FSFa0, 0, [2, 1], [nGC_3301, nGC_3303])

    allocate(vertices(12)%branchR2(0:1))
    call avR2(12, 0, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_3270, nGC_3269])

    call avR2(12, 1, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_3271, nGC_3271])

    allocate(vertices(812)%branchR2(0:0))
    call avR2(812, 0, 8, 1, 0, FaSF2, 0, [0, 3], [nGC_3318])

    allocate(vertices(78)%branchR2(0:0))
    call avR2(78, 0, 8, 1, 0, FaVF0, 0, [0, 3], [nGC_3398])

    allocate(vertices(272)%branchR2(0:1))
    call avR2(272, 0, 21, 1, 0, SFFa0, 0, [0, 3], [nGC_3300, nGC_3302])

    call avR2(272, 1, 21, 1, 0, SFFa0, 0, [2, 1], [nGC_3301, nGC_3303])

    allocate(vertices(670)%branchR2(0:1))
    call avR2(670, 0, 20, 1, 0, VFaF1, 0, [0, 3], [nGC_3288, nGC_3287])

    call avR2(670, 1, 20, 1, 0, VFaF1, 0, [2, 1], [nGC_3271, nGC_3271])

    allocate(vertices(336)%branchR2(0:0))
    call avR2(336, 0, 8, 1, 0, FSFa0, 0, [0, 3], [nGC_3362, nGC_3361])

    allocate(vertices(911)%branchR2(0:0))
    call avR2(911, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_9757])

    allocate(vertices(539)%branchR2(0:1))
    call avR2(539, 0, 17, 1, 0, FaFS1, 0, [0, 3], [nGC_3337, nGC_3339])

    call avR2(539, 1, 17, 1, 0, FaFS1, 0, [2, 1], [nGC_3338, nGC_3340])

    allocate(vertices(1181)%branchR2(0:1))
    call avR2(1181, 0, 59, 1, 0, VSVS0, 0, [2, 2], [nGC_3440])

    call avR2(1181, 1, 60, 1, 0, VSVS0, 0, [2, 2], [nGC_3441])

    allocate(vertices(1001)%branchR2(0:1))
    call avR2(1001, 0, 19, 1, 0, FVFa0, 0, [0, 3], [nGC_3385, nGC_3383])

    call avR2(1001, 1, 19, 1, 0, FVFa0, 0, [2, 1], [nGC_3386, nGC_3384])

    allocate(vertices(1182)%branchR2(0:5))
    call avR2(1182, 0, 77, 1, 0, VVVV1, 0, [3, 1], [nGC_3455, nGC_3455,        &
    nGC_3455, nGC_3459])

    call avR2(1182, 1, 78, 1, 0, VVVV0, 0, [3, 1], [nGC_3457, nGC_3457,        &
    nGC_3457])

    call avR2(1182, 2, 79, 1, 0, VVVV0, 0, [3, 1], [nGC_3457, nGC_3457,        &
    nGC_3457])

    call avR2(1182, 3, 80, 1, 0, VVVV0, 0, [3, 1], [nGC_3457, nGC_3457,        &
    nGC_3457])

    call avR2(1182, 4, 81, 1, 0, VVVV0, 0, [3, 1], [nGC_3458, nGC_3458,        &
    nGC_3458])

    call avR2(1182, 5, 82, 1, 0, VVVV1, 0, [3, 1], [nGC_3455, nGC_3455,        &
    nGC_3455, nGC_3456])

    allocate(vertices(1183)%branchR2(0:5))
    call avR2(1183, 0, 65, 1, 0, VVVV0, 0, [3, 1], [nGC_3452, nGC_3452,        &
    nGC_3452])

    call avR2(1183, 1, 66, 1, 0, VVVV0, 0, [3, 1], [nGC_3453, nGC_3453,        &
    nGC_3453])

    call avR2(1183, 2, 67, 1, 0, VVVV0, 0, [3, 1], [nGC_3453, nGC_3453,        &
    nGC_3453])

    call avR2(1183, 3, 68, 1, 0, VVVV0, 0, [3, 1], [nGC_3454, nGC_3454,        &
    nGC_3454])

    call avR2(1183, 4, 69, 1, 0, VVVV0, 0, [3, 1], [nGC_3453, nGC_3453,        &
    nGC_3453])

    call avR2(1183, 5, 70, 1, 0, VVVV0, 0, [3, 1], [nGC_3452, nGC_3452,        &
    nGC_3452])

    allocate(vertices(786)%branchR2(0:0))
    call avR2(786, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_3265])

    allocate(vertices(276)%branchR2(0:0))
    call avR2(276, 0, 18, 1, 0, FaSF0, 0, [0, 3], [nGC_3341, nGC_3342])

    allocate(vertices(1082)%branchR2(0:0))
    call avR2(1082, 0, 8, 1, 0, VFFa0, 0, [0, 3], [nGC_3279])

    allocate(vertices(199)%branchR2(0:0))
    call avR2(199, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_10580])

    allocate(vertices(614)%branchR2(0:0))
    call avR2(614, 0, 8, 1, 0, FaSF0, 0, [0, 3], [nGC_3334, nGC_3333])

    allocate(vertices(700)%branchR2(0:0))
    call avR2(700, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_3307])

    allocate(vertices(848)%branchR2(0:0))
    call avR2(848, 0, 8, 1, 0, FVFa1, 0, [0, 3], [nGC_3398])

    allocate(vertices(824)%branchR2(0:0))
    call avR2(824, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_3350])

    allocate(vertices(11)%branchR2(0:0))
    call avR2(11, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_9575])

    allocate(vertices(1184)%branchR2(0:1))
    call avR2(1184, 0, 47, 1, 0, VVS0, 0, [2, 1], [nGC_3365])

    call avR2(1184, 1, 48, 1, 0, VVS0, 0, [2, 1], [nGC_3366])

    allocate(vertices(407)%branchR2(0:1))
    call avR2(407, 0, 20, 1, 0, SFaF0, 0, [0, 3], [nGC_3345, nGC_3347])

    call avR2(407, 1, 20, 1, 0, SFaF0, 0, [2, 1], [nGC_3346, nGC_3348])

    allocate(vertices(1185)%branchR2(0:1))
    call avR2(1185, 0, 55, 1, 0, VVVV0, 0, [2, 2], [nGC_3450, nGC_3450,        &
    nGC_3450])

    call avR2(1185, 1, 56, 1, 0, VVVV0, 0, [2, 2], [nGC_3451, nGC_3451,        &
    nGC_3451])

    allocate(vertices(819)%branchR2(0:0))
    call avR2(819, 0, 8, 1, 0, FaVF1, 0, [0, 3], [nGC_3276, nGC_3277])

    allocate(vertices(688)%branchR2(0:0))
    call avR2(688, 0, 21, 1, 0, SFFa0, 0, [0, 3], [nGC_3341, nGC_3342])

    allocate(vertices(1049)%branchR2(0:0))
    call avR2(1049, 0, 13, 1, 0, VV0, 0, [0, 2], [nGC_3222, nGC_3221, nGC_3223])

    allocate(vertices(1025)%branchR2(0:1))
    call avR2(1025, 0, 21, 1, 0, VFFa1, 0, [0, 3], [nGC_3385, nGC_3383])

    call avR2(1025, 1, 21, 1, 0, VFFa1, 0, [2, 1], [nGC_3386, nGC_3384])

    allocate(vertices(589)%branchR2(0:1))
    call avR2(589, 0, 20, 1, 0, VFaF1, 0, [2, 1], [nGC_3386, nGC_3384])

    call avR2(589, 1, 20, 1, 0, VFaF1, 0, [0, 3], [nGC_3401, nGC_3400])

    allocate(vertices(1091)%branchR2(0:0))
    call avR2(1091, 0, 13, 1, 0, VV3, 0, [0, 2], [nGC_3222, nGC_3221, nGC_3223])

    allocate(vertices(112)%branchR2(0:0))
    call avR2(112, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_3309])

    allocate(vertices(515)%branchR2(0:0))
    call avR2(515, 0, 8, 1, 0, FVFa0, 0, [0, 3], [nGC_3274, nGC_3275])

    allocate(vertices(733)%branchR2(0:0))
    call avR2(733, 0, 8, 1, 0, FVFa0, 0, [0, 3], [nGC_3276, nGC_3277])

    allocate(vertices(192)%branchR2(0:0))
    call avR2(192, 0, 8, 1, 0, SFaF1, 0, [0, 3], [nGC_3317])

    allocate(vertices(788)%branchR2(0:0))
    call avR2(788, 0, 10, 1, 0, FFaS1, 0, [0, 3], [nGC_3341, nGC_3342])

    allocate(vertices(1090)%branchR2(0:0))
    call avR2(1090, 0, 13, 1, 0, FFa3, 0, [0, 2], [nGC_3243, nGC_3244, nGC_3256&
    , nGC_3256])

    allocate(vertices(783)%branchR2(0:1))
    call avR2(783, 0, 20, 1, 0, SFaF0, 0, [0, 3], [nGC_3321, nGC_3323])

    call avR2(783, 1, 20, 1, 0, SFaF0, 0, [2, 1], [nGC_3322, nGC_3324])

    allocate(vertices(570)%branchR2(0:0))
    call avR2(570, 0, 8, 1, 0, FSFa0, 0, [0, 3], [nGC_3344, nGC_3343])

    allocate(vertices(1186)%branchR2(0:1))
    call avR2(1186, 0, 61, 1, 0, VVVV0, 0, [2, 2], [nGC_3450, nGC_3450,        &
    nGC_3450])

    call avR2(1186, 1, 62, 1, 0, VVVV0, 0, [2, 2], [nGC_3451, nGC_3451,        &
    nGC_3451])

    allocate(vertices(182)%branchR2(0:0))
    call avR2(182, 0, 8, 1, 0, VFFa0, 0, [0, 3], [nGC_3381])

    allocate(vertices(108)%branchR2(0:0))
    call avR2(108, 0, 8, 1, 0, FaFS1, 0, [0, 3], [nGC_3362, nGC_3361])

    allocate(vertices(1187)%branchR2(0:1))
    call avR2(1187, 0, 63, 1, 0, VVVV0, 0, [2, 2], [nGC_9784, nGC_9784,        &
    nGC_3438])

    call avR2(1187, 1, 64, 1, 0, VVVV0, 0, [2, 2], [nGC_9782, nGC_9782,        &
    nGC_3439])

    allocate(vertices(1070)%branchR2(0:0))
    call avR2(1070, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_9662])

    allocate(vertices(397)%branchR2(0:0))
    call avR2(397, 0, 8, 1, 0, FVFa1, 0, [0, 3], [nGC_3395])

    allocate(vertices(608)%branchR2(0:0))
    call avR2(608, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_3262])

    allocate(vertices(447)%branchR2(0:1))
    call avR2(447, 0, 18, 1, 0, FaSF0, 0, [0, 3], [nGC_3337, nGC_3339])

    call avR2(447, 1, 18, 1, 0, FaSF0, 0, [2, 1], [nGC_3338, nGC_3340])

    allocate(vertices(721)%branchR2(0:3))
    call avR2(721, 0, 22, 1, 0, FaVF1, 0, [1, 2], [nGC_3426, nGC_3425])

    call avR2(721, 1, 22, 1, 0, FaVF1, 0, [3, 0], [nGC_3427, nGC_3427])

    call avR2(721, 2, 23, 1, 0, FaVF1, 0, [1, 2], [nGC_3423, nGC_3422])

    call avR2(721, 3, 23, 1, 0, FaVF1, 0, [3, 0], [nGC_3424, nGC_3424])

    allocate(vertices(883)%branchR2(0:0))
    call avR2(883, 0, 8, 1, 0, SFaF2, 0, [0, 3], [nGC_3304])

    allocate(vertices(388)%branchR2(0:1))
    call avR2(388, 0, 17, 1, 0, FaFS1, 0, [2, 1], [nGC_3357, nGC_3357])

    call avR2(388, 1, 17, 1, 0, FaFS1, 0, [0, 3], [nGC_3355, nGC_3356])

    allocate(vertices(260)%branchR2(0:3))
    call avR2(260, 0, 26, 1, 0, FVFa0, 0, [1, 2], [nGC_3421, nGC_3420])

    call avR2(260, 1, 26, 1, 0, FVFa0, 0, [3, 0], [nGC_3412, nGC_3412])

    call avR2(260, 2, 27, 1, 0, FVFa0, 0, [1, 2], [nGC_3419, nGC_3418])

    call avR2(260, 3, 27, 1, 0, FVFa0, 0, [3, 0], [nGC_3409, nGC_3409])

    allocate(vertices(501)%branchR2(0:0))
    call avR2(501, 0, 10, 1, 0, FFaS1, 0, [0, 3], [nGC_3311, nGC_3310])

    allocate(vertices(990)%branchR2(0:0))
    call avR2(990, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_9575])

    allocate(vertices(1065)%branchR2(0:1))
    call avR2(1065, 0, 14, 1, 0, FFa0, 0, [0, 2], [nGC_3217, nGC_3216, nGC_3240&
    , nGC_3240])

    call avR2(1065, 1, 14, 1, 0, FFa0, 0, [2, 0], [nGC_3215, nGC_3215, nGC_3241&
    , nGC_3241])

    allocate(vertices(1188)%branchR2(0:0))
    call avR2(1188, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_3267])

    allocate(vertices(329)%branchR2(0:1))
    call avR2(329, 0, 19, 1, 0, FSFa0, 0, [2, 1], [nGC_3369, nGC_3369])

    call avR2(329, 1, 19, 1, 0, FSFa0, 0, [0, 3], [nGC_3367, nGC_3368])

    allocate(vertices(1189)%branchR2(0:1))
    call avR2(1189, 0, 61, 1, 0, VSSV0, 0, [2, 2], [nGC_3440])

    call avR2(1189, 1, 62, 1, 0, VSSV0, 0, [2, 2], [nGC_3441])

    allocate(vertices(45)%branchR2(0:0))
    call avR2(45, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_10580])

    allocate(vertices(720)%branchR2(0:0))
    call avR2(720, 0, 8, 1, 0, FaFS1, 0, [0, 3], [nGC_3364, nGC_3363])

    allocate(vertices(538)%branchR2(0:1))
    call avR2(538, 0, 20, 1, 0, VFaF1, 0, [0, 3], [nGC_3385, nGC_3383])

    call avR2(538, 1, 20, 1, 0, VFaF1, 0, [2, 1], [nGC_3386, nGC_3384])

    allocate(vertices(406)%branchR2(0:0))
    call avR2(406, 0, 8, 1, 0, SFaF0, 0, [0, 3], [nGC_3364, nGC_3363])

    allocate(vertices(663)%branchR2(0:0))
    call avR2(663, 0, 8, 1, 0, FFaV1, 0, [0, 3], [nGC_3381])

    allocate(vertices(832)%branchR2(0:0))
    call avR2(832, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_3289])

    allocate(vertices(122)%branchR2(0:1))
    call avR2(122, 0, 10, 1, 0, FFaV1, 0, [0, 3], [nGC_3378])

    call avR2(122, 1, 10, 1, 0, FFaV1, 0, [2, 1], [nGC_3380])

    allocate(vertices(682)%branchR2(0:1))
    call avR2(682, 0, 21, 1, 0, SFFa0, 0, [0, 3], [nGC_3367, nGC_3368])

    call avR2(682, 1, 21, 1, 0, SFFa0, 0, [2, 1], [nGC_3369, nGC_3369])

    allocate(vertices(966)%branchR2(0:0))
    call avR2(966, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_3289])

    allocate(vertices(524)%branchR2(0:1))
    call avR2(524, 0, 17, 1, 0, FaFV0, 0, [0, 3], [nGC_3385, nGC_3383])

    call avR2(524, 1, 17, 1, 0, FaFV0, 0, [2, 1], [nGC_3386, nGC_3384])

    allocate(vertices(266)%branchR2(0:0))
    call avR2(266, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_10696])

    allocate(vertices(142)%branchR2(0:0))
    call avR2(142, 0, 8, 1, 0, FaVF0, 0, [0, 3], [nGC_3395])

    allocate(vertices(1117)%branchR2(0:0))
    call avR2(1117, 0, 13, 1, 0, VV3, 0, [0, 2], [nGC_3219, nGC_3218, nGC_3220])

    allocate(vertices(191)%branchR2(0:0))
    call avR2(191, 0, 8, 1, 0, VFaF1, 0, [0, 3], [nGC_3393, nGC_3394])

    allocate(vertices(942)%branchR2(0:0))
    call avR2(942, 0, 8, 1, 0, VFaF0, 0, [0, 3], [nGC_3395])

    allocate(vertices(1190)%branchR2(0:1))
    call avR2(1190, 0, 11, 1, 0, FFaV0, 0, [1, 2], [nGC_3429, nGC_3428])

    call avR2(1190, 1, 12, 1, 0, FFaV0, 0, [1, 2], [nGC_3431, nGC_3430])

    allocate(vertices(1191)%branchR2(0:1))
    call avR2(1191, 0, 53, 1, 0, VVVV0, 0, [2, 2], [nGC_3448, nGC_3448,        &
    nGC_3448])

    call avR2(1191, 1, 54, 1, 0, VVVV0, 0, [2, 2], [nGC_3449, nGC_3449,        &
    nGC_3449])

    allocate(vertices(145)%branchR2(0:0))
    call avR2(145, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_10012])

    allocate(vertices(1192)%branchR2(0:1))
    call avR2(1192, 0, 57, 1, 0, VVVV0, 0, [2, 2], [nGC_3446, nGC_3446,        &
    nGC_3446])

    call avR2(1192, 1, 58, 1, 0, VVVV0, 0, [2, 2], [nGC_3447, nGC_3447,        &
    nGC_3447])

    allocate(vertices(978)%branchR2(0:0))
    call avR2(978, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_3350])

    allocate(vertices(1193)%branchR2(0:1))
    call avR2(1193, 0, 61, 1, 0, VSSV0, 0, [2, 2], [nGC_3444])

    call avR2(1193, 1, 62, 1, 0, VSSV0, 0, [2, 2], [nGC_3445])

    allocate(vertices(863)%branchR2(0:0))
    call avR2(863, 0, 8, 1, 0, VFFa0, 0, [0, 3], [nGC_3382])

    allocate(vertices(1194)%branchR2(0:1))
    call avR2(1194, 0, 26, 1, 0, FVFa0, 0, [1, 2], [nGC_3429, nGC_3428])

    call avR2(1194, 1, 27, 1, 0, FVFa0, 0, [1, 2], [nGC_3431, nGC_3430])

    allocate(vertices(393)%branchR2(0:0))
    call avR2(393, 0, 8, 1, 0, FFaV1, 0, [0, 3], [nGC_3382])

    allocate(vertices(1098)%branchR2(0:0))
    call avR2(1098, 0, 13, 1, 0, FFa2, 0, [0, 2], [nGC_3252])

    allocate(vertices(467)%branchR2(0:0))
    call avR2(467, 0, 8, 1, 0, SFFa0, 0, [0, 3], [nGC_3334, nGC_3333])

    allocate(vertices(44)%branchR2(0:0))
    call avR2(44, 0, 10, 1, 0, FFaV1, 0, [0, 3], [nGC_3379])

    allocate(vertices(1085)%branchR2(0:0))
    call avR2(1085, 0, 13, 1, 0, FaF3, 0, [0, 2], [nGC_3243, nGC_3244, nGC_3242&
    , nGC_3242])

    allocate(vertices(85)%branchR2(0:0))
    call avR2(85, 0, 8, 1, 0, FaVF1, 0, [0, 3], [nGC_3285, nGC_3286])

    allocate(vertices(354)%branchR2(0:0))
    call avR2(354, 0, 8, 1, 0, VFFa0, 0, [0, 3], [nGC_3381])

    allocate(vertices(862)%branchR2(0:1))
    call avR2(862, 0, 21, 1, 0, SFFa0, 0, [0, 3], [nGC_3374, nGC_3375])

    call avR2(862, 1, 21, 1, 0, SFFa0, 0, [2, 1], [nGC_3376, nGC_3376])

    allocate(vertices(1136)%branchR2(0:0))
    call avR2(1136, 0, 8, 1, 0, VFaF0, 0, [0, 3], [nGC_3278])

    allocate(vertices(730)%branchR2(0:0))
    call avR2(730, 0, 8, 1, 0, SFFa1, 0, [0, 3], [nGC_3304])

    allocate(vertices(1015)%branchR2(0:0))
    call avR2(1015, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_3265])

    allocate(vertices(482)%branchR2(0:0))
    call avR2(482, 0, 8, 1, 0, FaFS0, 0, [0, 3], [nGC_3304])

    allocate(vertices(1195)%branchR2(0:1))
    call avR2(1195, 0, 55, 1, 0, VVVV0, 0, [2, 2], [nGC_3446, nGC_3446,        &
    nGC_3446])

    call avR2(1195, 1, 56, 1, 0, VVVV0, 0, [2, 2], [nGC_3447, nGC_3447,        &
    nGC_3447])

    allocate(vertices(1196)%branchR2(0:1))
    call avR2(1196, 0, 55, 1, 0, VVVV0, 0, [2, 2], [nGC_3438, nGC_9784,        &
    nGC_9784])

    call avR2(1196, 1, 56, 1, 0, VVVV0, 0, [2, 2], [nGC_3439, nGC_9782,        &
    nGC_9782])

    allocate(vertices(123)%branchR2(0:0))
    call avR2(123, 0, 8, 1, 0, FaSF1, 0, [0, 3], [nGC_3304])

    allocate(vertices(1024)%branchR2(0:0))
    call avR2(1024, 0, 8, 1, 0, FaSF0, 0, [0, 3], [nGC_3336, nGC_3335])

    allocate(vertices(839)%branchR2(0:0))
    call avR2(839, 0, 8, 1, 0, FaFV0, 0, [0, 3], [nGC_3274, nGC_3275])

    allocate(vertices(1197)%branchR2(0:1))
    call avR2(1197, 0, 53, 1, 0, SSVV0, 0, [2, 2], [nGC_3440])

    call avR2(1197, 1, 54, 1, 0, SSVV0, 0, [2, 2], [nGC_3441])

    allocate(vertices(238)%branchR2(0:0))
    call avR2(238, 0, 8, 1, 0, FSFa2, 0, [0, 3], [nGC_3316])

    allocate(vertices(3)%branchR2(0:1))
    call avR2(3, 0, 19, 1, 0, FVFa0, 0, [2, 1], [nGC_3386, nGC_3384])

    call avR2(3, 1, 19, 1, 0, FVFa0, 0, [0, 3], [nGC_3401, nGC_3400])

    allocate(vertices(454)%branchR2(0:0))
    call avR2(454, 0, 8, 1, 0, FFaV1, 0, [0, 3], [nGC_3381])

    allocate(vertices(289)%branchR2(0:0))
    call avR2(289, 0, 8, 1, 0, FaVF0, 0, [0, 3], [nGC_3381])

    allocate(vertices(953)%branchR2(0:0))
    call avR2(953, 0, 8, 1, 0, FaFS1, 0, [0, 3], [nGC_3334, nGC_3333])

    allocate(vertices(822)%branchR2(0:1))
    call avR2(822, 0, 20, 1, 0, VFaF0, 0, [0, 3], [nGC_3379])

    call avR2(822, 1, 20, 1, 0, VFaF0, 0, [2, 1], [nGC_3380])

    allocate(vertices(1198)%branchR2(0:1))
    call avR2(1198, 0, 59, 1, 0, VSVS0, 0, [2, 2], [nGC_3444])

    call avR2(1198, 1, 60, 1, 0, VSVS0, 0, [2, 2], [nGC_3445])

    allocate(vertices(571)%branchR2(0:0))
    call avR2(571, 0, 17, 1, 0, FaFS1, 0, [0, 3], [nGC_3294, nGC_3295])

    allocate(vertices(881)%branchR2(0:0))
    call avR2(881, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_10696])

    allocate(vertices(879)%branchR2(0:0))
    call avR2(879, 0, 18, 1, 0, FaSF0, 0, [0, 3], [nGC_3370, nGC_3371])

    allocate(vertices(937)%branchR2(0:1))
    call avR2(937, 0, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_3260, nGC_3259])

    call avR2(937, 1, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_3261, nGC_3261])

    allocate(vertices(224)%branchR2(0:0))
    call avR2(224, 0, 17, 1, 0, FaFS1, 0, [0, 3], [nGC_3311, nGC_3310])

    allocate(vertices(1199)%branchR2(0:1))
    call avR2(1199, 0, 57, 1, 0, SVSV0, 0, [2, 2], [nGC_3440])

    call avR2(1199, 1, 58, 1, 0, SVSV0, 0, [2, 2], [nGC_3441])

    allocate(vertices(317)%branchR2(0:0))
    call avR2(317, 0, 21, 1, 0, VFFa1, 0, [0, 3], [nGC_3403, nGC_3402])

    allocate(vertices(564)%branchR2(0:0))
    call avR2(564, 0, 8, 1, 0, FaFS2, 0, [0, 3], [nGC_3316])

    allocate(vertices(163)%branchR2(0:1))
    call avR2(163, 0, 17, 1, 0, FaFS1, 0, [2, 1], [nGC_3303, nGC_3301])

    call avR2(163, 1, 17, 1, 0, FaFS1, 0, [0, 3], [nGC_3315, nGC_3314])

    allocate(vertices(62)%branchR2(0:0))
    call avR2(62, 0, 8, 1, 0, VVV0, 0, [0, 3], [nGC_9861])

    allocate(vertices(1200)%branchR2(0:1))
    call avR2(1200, 0, 61, 1, 0, VSSV0, 0, [2, 2], [nGC_3442])

    call avR2(1200, 1, 62, 1, 0, VSSV0, 0, [2, 2], [nGC_3443])

    allocate(vertices(775)%branchR2(0:0))
    call avR2(775, 0, 8, 1, 0, FaFV1, 0, [0, 3], [nGC_3382])

    allocate(vertices(1051)%branchR2(0:1))
    call avR2(1051, 0, 42, 1, 0, FaF0, 0, [0, 2], [nGC_3217, nGC_3216, nGC_3213&
    , nGC_3213])

    call avR2(1051, 1, 42, 1, 0, FaF0, 0, [2, 0], [nGC_3215, nGC_3215, nGC_3214&
    , nGC_3214])

    allocate(vertices(1201)%branchR2(0:5))
    call avR2(1201, 0, 83, 1, 0, VVVV0, 0, [3, 1], [nGC_3452, nGC_3452,        &
    nGC_3452])

    call avR2(1201, 1, 84, 1, 0, VVVV0, 0, [3, 1], [nGC_3453, nGC_3453,        &
    nGC_3453])

    call avR2(1201, 2, 85, 1, 0, VVVV0, 0, [3, 1], [nGC_3453, nGC_3453,        &
    nGC_3453])

    call avR2(1201, 3, 86, 1, 0, VVVV0, 0, [3, 1], [nGC_3453, nGC_3453,        &
    nGC_3453])

    call avR2(1201, 4, 87, 1, 0, VVVV0, 0, [3, 1], [nGC_3454, nGC_3454,        &
    nGC_3454])

    call avR2(1201, 5, 88, 1, 0, VVVV0, 0, [3, 1], [nGC_3452, nGC_3452,        &
    nGC_3452])

    allocate(vertices(924)%branchR2(0:0))
    call avR2(924, 0, 8, 1, 0, SFaF1, 0, [0, 3], [nGC_3316])

    allocate(vertices(605)%branchR2(0:0))
    call avR2(605, 0, 8, 1, 0, SFFa1, 0, [0, 3], [nGC_3305])

    allocate(vertices(1096)%branchR2(0:0))
    call avR2(1096, 0, 8, 1, 0, FFaV1, 0, [0, 3], [nGC_3279])

    allocate(vertices(1134)%branchR2(0:0))
    call avR2(1134, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_3268])

    allocate(vertices(14)%branchR2(0:0))
    call avR2(14, 0, 8, 1, 0, VVV0, 0, [0, 3], [nGC_3264])

    allocate(vertices(1031)%branchR2(0:3))
    call avR2(1031, 0, 28, 1, 0, VFaF1, 0, [1, 2], [nGC_3426, nGC_3425])

    call avR2(1031, 1, 28, 1, 0, VFaF1, 0, [3, 0], [nGC_3427, nGC_3427])

    call avR2(1031, 2, 29, 1, 0, VFaF1, 0, [1, 2], [nGC_3423, nGC_3422])

    call avR2(1031, 3, 29, 1, 0, VFaF1, 0, [3, 0], [nGC_3424, nGC_3424])

    allocate(vertices(676)%branchR2(0:0))
    call avR2(676, 0, 8, 1, 0, FFaV1, 0, [0, 3], [nGC_3399])

    allocate(vertices(299)%branchR2(0:0))
    call avR2(299, 0, 19, 1, 0, FSFa0, 0, [0, 3], [nGC_3341, nGC_3342])

    allocate(vertices(949)%branchR2(0:0))
    call avR2(949, 0, 8, 1, 0, FSFa0, 0, [0, 3], [nGC_3373, nGC_3372])

    allocate(vertices(1202)%branchR2(0:1))
    call avR2(1202, 0, 63, 1, 0, VVSS0, 0, [2, 2], [nGC_3440])

    call avR2(1202, 1, 64, 1, 0, VVSS0, 0, [2, 2], [nGC_3441])

    allocate(vertices(475)%branchR2(0:1))
    call avR2(475, 0, 21, 1, 0, VFFa1, 0, [2, 1], [nGC_3386, nGC_3384])

    call avR2(475, 1, 21, 1, 0, VFFa1, 0, [0, 3], [nGC_3392, nGC_3391])

    allocate(vertices(81)%branchR2(0:1))
    call avR2(81, 0, 21, 1, 0, VFFa0, 0, [0, 3], [nGC_3378])

    call avR2(81, 1, 21, 1, 0, VFFa0, 0, [2, 1], [nGC_3380])

    allocate(vertices(236)%branchR2(0:0))
    call avR2(236, 0, 8, 1, 0, SFaF0, 0, [0, 3], [nGC_3362, nGC_3361])

    allocate(vertices(856)%branchR2(0:0))
    call avR2(856, 0, 19, 1, 0, FVFa0, 0, [0, 3], [nGC_3403, nGC_3402])

    allocate(vertices(1083)%branchR2(0:1))
    call avR2(1083, 0, 14, 1, 0, FFa0, 0, [0, 2], [nGC_3217, nGC_3216, nGC_3254&
    , nGC_3254])

    call avR2(1083, 1, 14, 1, 0, FFa0, 0, [2, 0], [nGC_3215, nGC_3215, nGC_3253&
    , nGC_3253])

    allocate(vertices(227)%branchR2(0:0))
    call avR2(227, 0, 19, 1, 0, FSFa0, 0, [0, 3], [nGC_3294, nGC_3295])

    allocate(vertices(644)%branchR2(0:0))
    call avR2(644, 0, 19, 1, 0, FSFa0, 0, [0, 3], [nGC_3311, nGC_3310])

    allocate(vertices(429)%branchR2(0:0))
    call avR2(429, 0, 8, 1, 0, FaSF0, 0, [0, 3], [nGC_3364, nGC_3363])

    allocate(vertices(583)%branchR2(0:0))
    call avR2(583, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_3291])

    allocate(vertices(887)%branchR2(0:0))
    call avR2(887, 0, 8, 1, 0, FSFa0, 0, [0, 3], [nGC_3336, nGC_3335])

    allocate(vertices(135)%branchR2(0:1))
    call avR2(135, 0, 21, 1, 0, VFFa1, 0, [2, 1], [nGC_3386, nGC_3384])

    call avR2(135, 1, 21, 1, 0, VFFa1, 0, [0, 3], [nGC_3401, nGC_3400])

    allocate(vertices(1203)%branchR2(0:0))
    call avR2(1203, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_3267])

    allocate(vertices(723)%branchR2(0:0))
    call avR2(723, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_3293])

    allocate(vertices(30)%branchR2(0:0))
    call avR2(30, 0, 8, 1, 0, FFaS0, 0, [0, 3], [nGC_3316])

    allocate(vertices(768)%branchR2(0:0))
    call avR2(768, 0, 8, 1, 0, SFFa0, 0, [0, 3], [nGC_3344, nGC_3343])

    allocate(vertices(431)%branchR2(0:1))
    call avR2(431, 0, 18, 1, 0, FaVF1, 0, [2, 1], [nGC_3261, nGC_3261])

    call avR2(431, 1, 18, 1, 0, FaVF1, 0, [0, 3], [nGC_3273, nGC_3272])

    allocate(vertices(587)%branchR2(0:0))
    call avR2(587, 0, 8, 1, 0, FaVF1, 0, [0, 3], [nGC_3393, nGC_3394])

    allocate(vertices(314)%branchR2(0:0))
    call avR2(314, 0, 8, 1, 0, VVV0, 0, [0, 3], [nGC_3377])

    allocate(vertices(458)%branchR2(0:1))
    call avR2(458, 0, 10, 1, 0, FFaS1, 0, [0, 3], [nGC_3337, nGC_3339])

    call avR2(458, 1, 10, 1, 0, FFaS1, 0, [2, 1], [nGC_3338, nGC_3340])

    allocate(vertices(611)%branchR2(0:0))
    call avR2(611, 0, 17, 1, 0, FaFV1, 0, [0, 3], [nGC_3378])

    allocate(vertices(58)%branchR2(0:0))
    call avR2(58, 0, 18, 1, 0, FaSF0, 0, [0, 3], [nGC_3294, nGC_3295])

    allocate(vertices(698)%branchR2(0:0))
    call avR2(698, 0, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_3284, nGC_3283])

    allocate(vertices(847)%branchR2(0:0))
    call avR2(847, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_3289])

    allocate(vertices(1204)%branchR2(0:1))
    call avR2(1204, 0, 53, 1, 0, VVVV0, 0, [2, 2], [nGC_9784, nGC_9784,        &
    nGC_3438])

    call avR2(1204, 1, 54, 1, 0, VVVV0, 0, [2, 2], [nGC_9782, nGC_9782,        &
    nGC_3439])

    allocate(vertices(211)%branchR2(0:1))
    call avR2(211, 0, 18, 1, 0, FaSF0, 0, [0, 3], [nGC_3329, nGC_3331])

    call avR2(211, 1, 18, 1, 0, FaSF0, 0, [2, 1], [nGC_3330, nGC_3332])

    allocate(vertices(255)%branchR2(0:0))
    call avR2(255, 0, 8, 1, 0, FFaS1, 0, [0, 3], [nGC_3334, nGC_3333])

    allocate(vertices(580)%branchR2(0:0))
    call avR2(580, 0, 8, 1, 0, FFaV0, 0, [0, 3], [nGC_3274, nGC_3275])

    allocate(vertices(1072)%branchR2(0:1))
    call avR2(1072, 0, 42, 1, 0, FaF0, 0, [0, 2], [nGC_3239, nGC_3238, nGC_3257&
    , nGC_3257])

    call avR2(1072, 1, 42, 1, 0, FaF0, 0, [2, 0], [nGC_3215, nGC_3215, nGC_3258&
    , nGC_3258])

    allocate(vertices(1205)%branchR2(0:1))
    call avR2(1205, 0, 53, 1, 0, VVVV0, 0, [2, 2], [nGC_3450, nGC_3450,        &
    nGC_3450])

    call avR2(1205, 1, 54, 1, 0, VVVV0, 0, [2, 2], [nGC_3451, nGC_3451,        &
    nGC_3451])

    allocate(vertices(885)%branchR2(0:0))
    call avR2(885, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_10696])

    allocate(vertices(410)%branchR2(0:0))
    call avR2(410, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_10094])

    allocate(vertices(1060)%branchR2(0:1))
    call avR2(1060, 0, 14, 1, 0, FFa0, 0, [0, 2], [nGC_3239, nGC_3238, nGC_3236&
    , nGC_3236])

    call avR2(1060, 1, 14, 1, 0, FFa0, 0, [2, 0], [nGC_3215, nGC_3215, nGC_3237&
    , nGC_3237])

    allocate(vertices(521)%branchR2(0:0))
    call avR2(521, 0, 8, 1, 0, VFaF1, 0, [0, 3], [nGC_3274, nGC_3275])

    allocate(vertices(322)%branchR2(0:0))
    call avR2(322, 0, 8, 1, 0, SFFa2, 0, [0, 3], [nGC_3316])

    allocate(vertices(220)%branchR2(0:1))
    call avR2(220, 0, 20, 1, 0, VFaF1, 0, [0, 3], [nGC_3260, nGC_3259])

    call avR2(220, 1, 20, 1, 0, VFaF1, 0, [2, 1], [nGC_3261, nGC_3261])

    allocate(vertices(619)%branchR2(0:0))
    call avR2(619, 0, 8, 1, 0, VFFa0, 0, [0, 3], [nGC_3382])

    allocate(vertices(904)%branchR2(0:0))
    call avR2(904, 0, 8, 1, 0, FVFa1, 0, [0, 3], [nGC_3382])

    allocate(vertices(202)%branchR2(0:0))
    call avR2(202, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_3308])

    allocate(vertices(1137)%branchR2(0:0))
    call avR2(1137, 0, 13, 1, 0, FFa3, 0, [0, 2], [nGC_3243, nGC_3244, nGC_3242&
    , nGC_3242])

    allocate(vertices(1206)%branchR2(0:5))
    call avR2(1206, 0, 65, 1, 0, VVVV1, 0, [3, 1], [nGC_3455, nGC_3455,        &
    nGC_3455, nGC_3456])

    call avR2(1206, 1, 66, 1, 0, VVVV0, 0, [3, 1], [nGC_3457, nGC_3457,        &
    nGC_3457])

    call avR2(1206, 2, 67, 1, 0, VVVV0, 0, [3, 1], [nGC_3457, nGC_3457,        &
    nGC_3457])

    call avR2(1206, 3, 68, 1, 0, VVVV0, 0, [3, 1], [nGC_3458, nGC_3458,        &
    nGC_3458])

    call avR2(1206, 4, 69, 1, 0, VVVV0, 0, [3, 1], [nGC_3457, nGC_3457,        &
    nGC_3457])

    call avR2(1206, 5, 70, 1, 0, VVVV1, 0, [3, 1], [nGC_3455, nGC_3455,        &
    nGC_3455, nGC_3459])

    allocate(vertices(777)%branchR2(0:0))
    call avR2(777, 0, 8, 1, 0, SFaF0, 0, [0, 3], [nGC_3373, nGC_3372])

    allocate(vertices(1138)%branchR2(0:0))
    call avR2(1138, 0, 8, 1, 0, VFFa0, 0, [0, 3], [nGC_3278])

    allocate(vertices(226)%branchR2(0:1))
    call avR2(226, 0, 20, 1, 0, VFaF1, 0, [0, 3], [nGC_3282, nGC_3281])

    call avR2(226, 1, 20, 1, 0, VFaF1, 0, [2, 1], [nGC_3261, nGC_3261])

    allocate(vertices(795)%branchR2(0:1))
    call avR2(795, 0, 18, 1, 0, FaVF1, 0, [2, 1], [nGC_3390, nGC_3388])

    call avR2(795, 1, 18, 1, 0, FaVF1, 0, [0, 3], [nGC_3407, nGC_3406])

    allocate(vertices(1103)%branchR2(0:0))
    call avR2(1103, 0, 8, 1, 0, VFaF0, 0, [0, 3], [nGC_3279])

    allocate(vertices(292)%branchR2(0:0))
    call avR2(292, 0, 20, 1, 0, SFaF0, 0, [0, 3], [nGC_3311, nGC_3310])

    allocate(vertices(1207)%branchR2(0:1))
    call avR2(1207, 0, 43, 1, 0, SVV0, 0, [2, 1], [nGC_3365])

    call avR2(1207, 1, 44, 1, 0, SVV0, 0, [2, 1], [nGC_3366])

    allocate(vertices(761)%branchR2(0:0))
    call avR2(761, 0, 8, 1, 0, FaFV1, 0, [0, 3], [nGC_3395])

    allocate(vertices(973)%branchR2(0:0))
    call avR2(973, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_10580])

    allocate(vertices(809)%branchR2(0:3))
    call avR2(809, 0, 24, 1, 0, FaFV0, 0, [1, 2], [nGC_3421, nGC_3420])

    call avR2(809, 1, 24, 1, 0, FaFV0, 0, [3, 0], [nGC_3412, nGC_3412])

    call avR2(809, 2, 25, 1, 0, FaFV0, 0, [1, 2], [nGC_3419, nGC_3418])

    call avR2(809, 3, 25, 1, 0, FaFV0, 0, [3, 0], [nGC_3409, nGC_3409])

    allocate(vertices(228)%branchR2(0:0))
    call avR2(228, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_3309])

    allocate(vertices(975)%branchR2(0:0))
    call avR2(975, 0, 8, 1, 0, SFFa2, 0, [0, 3], [nGC_3318])

    allocate(vertices(134)%branchR2(0:0))
    call avR2(134, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_3263])

    allocate(vertices(1208)%branchR2(0:1))
    call avR2(1208, 0, 59, 1, 0, VVVV0, 0, [2, 2], [nGC_3448, nGC_3448,        &
    nGC_3448])

    call avR2(1208, 1, 60, 1, 0, VVVV0, 0, [2, 2], [nGC_3449, nGC_3449,        &
    nGC_3449])

    allocate(vertices(1209)%branchR2(0:5))
    call avR2(1209, 0, 71, 1, 0, VVVV1, 0, [3, 1], [nGC_3455, nGC_3455,        &
    nGC_3455, nGC_10197])

    call avR2(1209, 1, 72, 1, 0, VVVV0, 0, [3, 1], [nGC_3457, nGC_3457,        &
    nGC_3457])

    call avR2(1209, 2, 73, 1, 0, VVVV0, 0, [3, 1], [nGC_3457, nGC_3457,        &
    nGC_3457])

    call avR2(1209, 3, 74, 1, 0, VVVV0, 0, [3, 1], [nGC_3457, nGC_3457,        &
    nGC_3457])

    call avR2(1209, 4, 75, 1, 0, VVVV0, 0, [3, 1], [nGC_3458, nGC_3458,        &
    nGC_3458])

    call avR2(1209, 5, 76, 1, 0, VVVV1, 0, [3, 1], [nGC_3455, nGC_3455,        &
    nGC_3455, nGC_10193])

    allocate(vertices(1101)%branchR2(0:0))
    call avR2(1101, 0, 13, 1, 0, FFa2, 0, [0, 2], [nGC_3252])

    allocate(vertices(140)%branchR2(0:0))
    call avR2(140, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_3293])

    allocate(vertices(411)%branchR2(0:1))
    call avR2(411, 0, 17, 1, 0, FaFV0, 0, [2, 1], [nGC_3386, nGC_3384])

    call avR2(411, 1, 17, 1, 0, FaFV0, 0, [0, 3], [nGC_3392, nGC_3391])

    allocate(vertices(1210)%branchR2(0:1))
    call avR2(1210, 0, 57, 1, 0, VVVV0, 0, [2, 2], [nGC_9784, nGC_3438,        &
    nGC_9784])

    call avR2(1210, 1, 58, 1, 0, VVVV0, 0, [2, 2], [nGC_9782, nGC_3439,        &
    nGC_9782])

    allocate(vertices(1004)%branchR2(0:0))
    call avR2(1004, 0, 10, 1, 0, FFaS1, 0, [0, 3], [nGC_3370, nGC_3371])

    allocate(vertices(459)%branchR2(0:0))
    call avR2(459, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_9757])

    allocate(vertices(1211)%branchR2(0:1))
    call avR2(1211, 0, 57, 1, 0, VVVV0, 0, [2, 2], [nGC_9784, nGC_3438,        &
    nGC_9784])

    call avR2(1211, 1, 58, 1, 0, VVVV0, 0, [2, 2], [nGC_9782, nGC_3439,        &
    nGC_9782])

    allocate(vertices(810)%branchR2(0:0))
    call avR2(810, 0, 8, 1, 0, FVFa1, 0, [0, 3], [nGC_3381])

    allocate(vertices(681)%branchR2(0:0))
    call avR2(681, 0, 8, 1, 0, VFFa1, 0, [0, 3], [nGC_3274, nGC_3275])

    allocate(vertices(88)%branchR2(0:0))
    call avR2(88, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_3290])

    allocate(vertices(537)%branchR2(0:0))
    call avR2(537, 0, 8, 1, 0, FFaS1, 0, [0, 3], [nGC_3362, nGC_3361])

    allocate(vertices(403)%branchR2(0:1))
    call avR2(403, 0, 19, 1, 0, FVFa0, 0, [2, 1], [nGC_3261, nGC_3261])

    call avR2(403, 1, 19, 1, 0, FVFa0, 0, [0, 3], [nGC_3260, nGC_3259])

    allocate(vertices(813)%branchR2(0:1))
    call avR2(813, 0, 17, 1, 0, FaFV0, 0, [0, 3], [nGC_3389, nGC_3387])

    call avR2(813, 1, 17, 1, 0, FaFV0, 0, [2, 1], [nGC_3390, nGC_3388])

    allocate(vertices(1212)%branchR2(0:1))
    call avR2(1212, 0, 53, 1, 0, SSVV0, 0, [2, 2], [nGC_3444])

    call avR2(1212, 1, 54, 1, 0, SSVV0, 0, [2, 2], [nGC_3445])

    allocate(vertices(811)%branchR2(0:0))
    call avR2(811, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_3289])

    allocate(vertices(82)%branchR2(0:23))
    call avR2(82, 0, 2, 1, 0, VVVV0, 0, [4, 0], [nGC_3461, nGC_3461, nGC_3460])

    call avR2(82, 1, 3, 1, 0, VVVV0, 0, [4, 0], [nGC_3461, nGC_3461, nGC_3460])

    call avR2(82, 2, 4, 1, 0, VVVV0, 0, [4, 0], [nGC_3472, nGC_3474, nGC_3473])

    call avR2(82, 3, 5, 1, 0, VVVV0, 0, [4, 0], [nGC_3469, nGC_3471, nGC_3470])

    call avR2(82, 4, 6, 1, 0, VVVV0, 0, [4, 0], [nGC_3472, nGC_3474, nGC_3473])

    call avR2(82, 5, 7, 1, 0, VVVV0, 0, [4, 0], [nGC_3469, nGC_3471, nGC_3470])

    call avR2(82, 6, 89, 1, 0, VVVV0, 0, [4, 0], [nGC_3462, nGC_3462, nGC_3462])

    call avR2(82, 7, 90, 1, 0, VVVV0, 0, [4, 0], [nGC_3463, nGC_3462, nGC_3464])

    call avR2(82, 8, 91, 1, 0, VVVV0, 0, [4, 0], [nGC_3466, nGC_3465, nGC_3465])

    call avR2(82, 9, 92, 1, 0, VVVV0, 0, [4, 0], [nGC_3463, nGC_3464, nGC_3462])

    call avR2(82, 10, 93, 1, 0, VVVV0, 0, [4, 0], [nGC_3467, nGC_3468, nGC_3466&
    ])

    call avR2(82, 11, 94, 1, 0, VVVV0, 0, [4, 0], [nGC_3465, nGC_3466, nGC_3465&
    ])

    call avR2(82, 12, 95, 1, 0, VVVV0, 0, [4, 0], [nGC_3462, nGC_3464, nGC_3463&
    ])

    call avR2(82, 13, 96, 1, 0, VVVV0, 0, [4, 0], [nGC_3462, nGC_3464, nGC_3463&
    ])

    call avR2(82, 14, 97, 1, 0, VVVV0, 0, [4, 0], [nGC_3463, nGC_3464, nGC_3462&
    ])

    call avR2(82, 15, 98, 1, 0, VVVV0, 0, [4, 0], [nGC_3463, nGC_3462, nGC_3464&
    ])

    call avR2(82, 16, 99, 1, 0, VVVV0, 0, [4, 0], [nGC_3462, nGC_3462, nGC_3462&
    ])

    call avR2(82, 17, 100, 1, 0, VVVV0, 0, [4, 0], [nGC_3475, nGC_3475,        &
    nGC_3475])

    call avR2(82, 18, 101, 1, 0, VVVV0, 0, [4, 0], [nGC_3475, nGC_3475,        &
    nGC_3475])

    call avR2(82, 19, 102, 1, 0, VVVV0, 0, [4, 0], [nGC_3475, nGC_3475,        &
    nGC_3475])

    call avR2(82, 20, 103, 1, 0, VVVV0, 0, [4, 0], [nGC_3476, nGC_3476,        &
    nGC_3476])

    call avR2(82, 21, 104, 1, 0, VVVV0, 0, [4, 0], [nGC_3475, nGC_3475,        &
    nGC_3475])

    call avR2(82, 22, 105, 1, 0, VVVV0, 0, [4, 0], [nGC_3475, nGC_3475,        &
    nGC_3475])

    call avR2(82, 23, 106, 1, 0, VVVV0, 0, [4, 0], [nGC_3475, nGC_3475,        &
    nGC_3475])

    allocate(vertices(550)%branchR2(0:1))
    call avR2(550, 0, 19, 1, 0, FVFa0, 0, [2, 1], [nGC_3390, nGC_3388])

    call avR2(550, 1, 19, 1, 0, FVFa0, 0, [0, 3], [nGC_3407, nGC_3406])

    allocate(vertices(1100)%branchR2(0:0))
    call avR2(1100, 0, 8, 1, 0, FFaV1, 0, [0, 3], [nGC_3278])

    allocate(vertices(845)%branchR2(0:0))
    call avR2(845, 0, 8, 1, 0, FSFa2, 0, [0, 3], [nGC_3318])

    allocate(vertices(945)%branchR2(0:0))
    call avR2(945, 0, 8, 1, 0, FSFa1, 0, [0, 3], [nGC_3305])

    allocate(vertices(709)%branchR2(0:1))
    call avR2(709, 0, 20, 1, 0, VFaF1, 0, [0, 3], [nGC_3389, nGC_3387])

    call avR2(709, 1, 20, 1, 0, VFaF1, 0, [2, 1], [nGC_3390, nGC_3388])

    allocate(vertices(1213)%branchR2(0:1))
    call avR2(1213, 0, 61, 1, 0, VVVV0, 0, [2, 2], [nGC_3446, nGC_3446,        &
    nGC_3446])

    call avR2(1213, 1, 62, 1, 0, VVVV0, 0, [2, 2], [nGC_3447, nGC_3447,        &
    nGC_3447])

    allocate(vertices(1057)%branchR2(0:1))
    call avR2(1057, 0, 14, 1, 0, FFa0, 0, [0, 2], [nGC_3217, nGC_3216, nGC_3213&
    , nGC_3213])

    call avR2(1057, 1, 14, 1, 0, FFa0, 0, [2, 0], [nGC_3215, nGC_3215, nGC_3214&
    , nGC_3214])

    allocate(vertices(41)%branchR2(0:1))
    call avR2(41, 0, 21, 1, 0, VFFa1, 0, [0, 3], [nGC_3260, nGC_3259])

    call avR2(41, 1, 21, 1, 0, VFFa1, 0, [2, 1], [nGC_3261, nGC_3261])

    allocate(vertices(749)%branchR2(0:1))
    call avR2(749, 0, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_3389, nGC_3387])

    call avR2(749, 1, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_3390, nGC_3388])

    allocate(vertices(481)%branchR2(0:0))
    call avR2(481, 0, 8, 1, 0, FSFa1, 0, [0, 3], [nGC_3306])

    allocate(vertices(353)%branchR2(0:0))
    call avR2(353, 0, 8, 1, 0, VFaF1, 0, [0, 3], [nGC_3285, nGC_3286])

    allocate(vertices(920)%branchR2(0:1))
    call avR2(920, 0, 21, 1, 0, SFFa0, 0, [0, 3], [nGC_3337, nGC_3339])

    call avR2(920, 1, 21, 1, 0, SFFa0, 0, [2, 1], [nGC_3338, nGC_3340])

    allocate(vertices(1131)%branchR2(0:0))
    call avR2(1131, 0, 8, 1, 0, FFaV1, 0, [0, 3], [nGC_3280])

    allocate(vertices(925)%branchR2(0:0))
    call avR2(925, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_3265])

    allocate(vertices(1113)%branchR2(0:0))
    call avR2(1113, 0, 8, 1, 0, VFaF0, 0, [0, 3], [nGC_3280])

    allocate(vertices(469)%branchR2(0:0))
    call avR2(469, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_3308])

    allocate(vertices(830)%branchR2(0:1))
    call avR2(830, 0, 17, 1, 0, FaFS1, 0, [2, 1], [nGC_3369, nGC_3369])

    call avR2(830, 1, 17, 1, 0, FaFS1, 0, [0, 3], [nGC_3367, nGC_3368])

    allocate(vertices(747)%branchR2(0:1))
    call avR2(747, 0, 18, 1, 0, FaSF0, 0, [0, 3], [nGC_3321, nGC_3323])

    call avR2(747, 1, 18, 1, 0, FaSF0, 0, [2, 1], [nGC_3322, nGC_3324])

    allocate(vertices(137)%branchR2(0:0))
    call avR2(137, 0, 8, 1, 0, FaVF1, 0, [0, 3], [nGC_3274, nGC_3275])

    allocate(vertices(956)%branchR2(0:1))
    call avR2(956, 0, 19, 1, 0, FSFa0, 0, [2, 1], [nGC_3376, nGC_3376])

    call avR2(956, 1, 19, 1, 0, FSFa0, 0, [0, 3], [nGC_3374, nGC_3375])

    allocate(vertices(129)%branchR2(0:0))
    call avR2(129, 0, 8, 1, 0, FFaS1, 0, [0, 3], [nGC_3364, nGC_3363])

    allocate(vertices(677)%branchR2(0:0))
    call avR2(677, 0, 17, 1, 0, FaFV0, 0, [0, 3], [nGC_3403, nGC_3402])

    allocate(vertices(636)%branchR2(0:1))
    call avR2(636, 0, 19, 1, 0, FSFa0, 0, [2, 1], [nGC_3297, nGC_3299])

    call avR2(636, 1, 19, 1, 0, FSFa0, 0, [0, 3], [nGC_3312, nGC_3313])

    allocate(vertices(1122)%branchR2(0:0))
    call avR2(1122, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_3268])

    allocate(vertices(1093)%branchR2(0:0))
    call avR2(1093, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_3266])

    allocate(vertices(1214)%branchR2(0:1))
    call avR2(1214, 0, 59, 1, 0, VSVS0, 0, [2, 2], [nGC_3442])

    call avR2(1214, 1, 60, 1, 0, VSVS0, 0, [2, 2], [nGC_3443])

    allocate(vertices(287)%branchR2(0:1))
    call avR2(287, 0, 20, 1, 0, VFaF0, 0, [0, 3], [nGC_3378])

    call avR2(287, 1, 20, 1, 0, VFaF0, 0, [2, 1], [nGC_3380])

    allocate(vertices(1215)%branchR2(0:1))
    call avR2(1215, 0, 63, 1, 0, VVSS0, 0, [2, 2], [nGC_3444])

    call avR2(1215, 1, 64, 1, 0, VVSS0, 0, [2, 2], [nGC_3445])

    allocate(vertices(877)%branchR2(0:0))
    call avR2(877, 0, 19, 1, 0, FSFa0, 0, [0, 3], [nGC_3370, nGC_3371])

    allocate(vertices(527)%branchR2(0:1))
    call avR2(527, 0, 21, 1, 0, SFFa0, 0, [0, 3], [nGC_3325, nGC_3327])

    call avR2(527, 1, 21, 1, 0, SFFa0, 0, [2, 1], [nGC_3326, nGC_3328])

    allocate(vertices(1118)%branchR2(0:1))
    call avR2(1118, 0, 42, 1, 0, FaF0, 0, [0, 2], [nGC_3217, nGC_3216, nGC_3254&
    , nGC_3254])

    call avR2(1118, 1, 42, 1, 0, FaF0, 0, [2, 0], [nGC_3215, nGC_3215, nGC_3253&
    , nGC_3253])

    allocate(vertices(398)%branchR2(0:0))
    call avR2(398, 0, 17, 1, 0, FaFV0, 0, [0, 3], [nGC_3284, nGC_3283])

    allocate(vertices(304)%branchR2(0:1))
    call avR2(304, 0, 20, 1, 0, VFaF0, 0, [0, 3], [nGC_3379])

    call avR2(304, 1, 20, 1, 0, VFaF0, 0, [2, 1], [nGC_3380])

    allocate(vertices(708)%branchR2(0:1))
    call avR2(708, 0, 19, 1, 0, FVFa1, 0, [0, 3], [nGC_3379])

    call avR2(708, 1, 19, 1, 0, FVFa1, 0, [2, 1], [nGC_3380])

    allocate(vertices(549)%branchR2(0:0))
    call avR2(549, 0, 8, 1, 0, FaVF1, 0, [0, 3], [nGC_3404, nGC_3405])

    allocate(vertices(385)%branchR2(0:1))
    call avR2(385, 0, 17, 1, 0, FaFS1, 0, [0, 3], [nGC_3321, nGC_3323])

    call avR2(385, 1, 17, 1, 0, FaFS1, 0, [2, 1], [nGC_3322, nGC_3324])

    allocate(vertices(254)%branchR2(0:3))
    call avR2(254, 0, 28, 1, 0, VFaF1, 0, [1, 2], [nGC_3417, nGC_3416])

    call avR2(254, 1, 28, 1, 0, VFaF1, 0, [3, 0], [nGC_3412, nGC_3412])

    call avR2(254, 2, 29, 1, 0, VFaF1, 0, [1, 2], [nGC_3415, nGC_3414])

    call avR2(254, 3, 29, 1, 0, VFaF1, 0, [3, 0], [nGC_3409, nGC_3409])

    allocate(vertices(408)%branchR2(0:3))
    call avR2(408, 0, 28, 1, 0, VFaF1, 0, [1, 2], [nGC_3435, nGC_3434])

    call avR2(408, 1, 28, 1, 0, VFaF1, 0, [3, 0], [nGC_3427, nGC_3427])

    call avR2(408, 2, 29, 1, 0, VFaF1, 0, [1, 2], [nGC_3433, nGC_3432])

    call avR2(408, 3, 29, 1, 0, VFaF1, 0, [3, 0], [nGC_3424, nGC_3424])

    allocate(vertices(1216)%branchR2(0:1))
    call avR2(1216, 0, 57, 1, 0, VVVV0, 0, [2, 2], [nGC_3448, nGC_3448,        &
    nGC_3448])

    call avR2(1216, 1, 58, 1, 0, VVVV0, 0, [2, 2], [nGC_3449, nGC_3449,        &
    nGC_3449])

    allocate(vertices(1217)%branchR2(0:1))
    call avR2(1217, 0, 57, 1, 0, SVSV0, 0, [2, 2], [nGC_3444])

    call avR2(1217, 1, 58, 1, 0, SVSV0, 0, [2, 2], [nGC_3445])

    allocate(vertices(213)%branchR2(0:0))
    call avR2(213, 0, 8, 1, 0, FaFV0, 0, [0, 3], [nGC_3396, nGC_3397])

    allocate(vertices(1084)%branchR2(0:0))
    call avR2(1084, 0, 8, 1, 0, FaFV1, 0, [0, 3], [nGC_3280])

    allocate(vertices(1086)%branchR2(0:0))
    call avR2(1086, 0, 13, 1, 0, FFa3, 0, [0, 2], [nGC_3243, nGC_3244, nGC_3251&
    , nGC_3251])

    allocate(vertices(1218)%branchR2(0:1))
    call avR2(1218, 0, 59, 1, 0, VVVV0, 0, [2, 2], [nGC_9784, nGC_3438,        &
    nGC_9784])

    call avR2(1218, 1, 60, 1, 0, VVVV0, 0, [2, 2], [nGC_9782, nGC_3439,        &
    nGC_9782])

    allocate(vertices(374)%branchR2(0:1))
    call avR2(374, 0, 21, 1, 0, SFFa0, 0, [0, 3], [nGC_3298, nGC_3296])

    call avR2(374, 1, 21, 1, 0, SFFa0, 0, [2, 1], [nGC_3299, nGC_3297])

    allocate(vertices(71)%branchR2(0:0))
    call avR2(71, 0, 8, 1, 0, FaSF0, 0, [0, 3], [nGC_3362, nGC_3361])

    allocate(vertices(442)%branchR2(0:1))
    call avR2(442, 0, 21, 1, 0, SFFa0, 0, [0, 3], [nGC_3351, nGC_3352])

    call avR2(442, 1, 21, 1, 0, SFFa0, 0, [2, 1], [nGC_3353, nGC_3353])

    allocate(vertices(495)%branchR2(0:0))
    call avR2(495, 0, 8, 1, 0, SFaF0, 0, [0, 3], [nGC_3334, nGC_3333])

    allocate(vertices(1219)%branchR2(0:1))
    call avR2(1219, 0, 55, 1, 0, SVVS0, 0, [2, 2], [nGC_3440])

    call avR2(1219, 1, 56, 1, 0, SVVS0, 0, [2, 2], [nGC_3441])

    allocate(vertices(491)%branchR2(0:0))
    call avR2(491, 0, 19, 1, 0, FVFa1, 0, [0, 3], [nGC_3378])

  end subroutine fill_vertices_mdl4
end module vertices_info4
